function [ ] = i0198_plotSkin (skin, sr, f1, f2, f3)

sudim = 2 ;
pudim = 3 ;

Uv = skin(sr).mUv;
Av = skin(sr).mAv;
Xv = skin(sr).mXv;
NV = skin(sr).mNV;
TV = skin(sr).mTVcon;
NE = skin(sr).mNE;

if f1>0 
figure(f1)
scatter(Uv(:,1), Uv(:,2), 'k');hold on
end

if f2>0 
figure(f2)
scatter3(Av(:,1), Av(:,2), Av(:,3), 'k');hold on
end

if f3>0 
figure(f3)
scatter3(Xv(:,1), Xv(:,2), Xv(:,3), 'k');hold on
end



for e = 1:1:NE
    
    [nv,xp] = i0103_nTriang (TV, e, Av, pudim);
    
    u = zeros(4,2);
    a = zeros(4,3);
    x = zeros(4,3);
    
    for i = 1:1:3
        
        u(i,:) = Uv(TV(e,i),:);
        
        a(i,:) = Av(TV(e,i),:);
        x(i,:) = Xv(TV(e,i),:);
    end
    u(4,:) = Uv(TV(e,1),:);
    a(4,:) = Av(TV(e,1),:);
    x(4,:) = Xv(TV(e,1),:);
    
    
    
    if f1>0
 	figure(f1)
    plot(u(:,1), u(:,2), 'r'); hold on
    axis equal
    end
    if f2>0
    figure(f2)
    plot3(a(:,1), a(:,2), a(:,3), 'r'); hold on
    axis equal
    end
    if f3>0
  	figure(f3)
    plot3(x(:,1), x(:,2), x(:,3), 'r'); hold on
    axis equal
    end
end

end

