function [NE, EVcon, xCt, aCt] = im0152_delMLTout (MLT, NE, EVcon, Av, Xv, xCt, aCt, nd)

% RETRUNS:
% NE, EVcon, xCt, aCt: updated by removing triangles outside the MLT

xdim = 3 ;
pudim = 3 ;

pNE     = NE;
pEVcon  = EVcon;
pxCt   	= xCt ;
paCt    = aCt ;


NE = 0 ;
EVcon = zeros(1,4);
xCt = zeros(1,xdim);
aCt = zeros(1,pudim);

Ccoor = zeros(pudim,1);


SP = 'A' ; % may be 'A' or 'X'

for e = 1:1:pNE

    if SP =='A'
        Ccoor(:,1) = paCt(e,:);
    elseif SP == 'X'
        Ccoor(:,1) = pxCt(e,:);
    end
    
    tdm = 0 ; % multiplier of thresold distance
    
	IN = i0102_pIN (e, tdm, Ccoor, MLT, pudim, 'open', SP, nd);
       

	if IN == 1

        NE = NE + 1 ;

        for i = 1:1:4
            EVcon(NE,i) = pEVcon(e,i);
        end

        for di = 1:1:xdim
            xCt(NE,di) = pxCt(e,di);
            aCt(NE,di) = paCt(e,di);
        end
	end
end





end

