function [ur] = pd0172_pdSurfaces (ur, r, sP, sw, sEP, sEw, sDegree, sNcp, sKnotV, sUsize, pxdim, Xtol, DUtol)

% RETURNS:
% ur(DoF,1) updated with edge curves in di diretion prescribed displacements

np = (sNcp(1)-2)*(sNcp(2)-2);

if np > 0

    cXo = zeros(np,pxdim);

    conta = 0 ;
    for a = 2:1:sNcp(1)-1
    for b = 2:1:sNcp(2)-1

        conta = conta + 1 ;
        cXo(conta,:) = sEP(a,b,:);

    end
    end

    [sU] = s2831b_PPsurf (cXo, np, sDegree, sNcp, sKnotV, sUsize, sP, sw, [0 0], pxdim, Xtol, DUtol);

    u = zeros(2,1);
    
  	conta = 0 ;
    for a = 2:1:sNcp(1)-1
    for b = 2:1:sNcp(2)-1

        conta = conta + 1 ;

        u(:,1) = sU(conta,:);
        [X] = b2601_BNURBS_Xcoord (u, sKnotV, sNcp, sDegree, sUsize, sEw, sEP, 2, pxdim); 

        for di = 1:1:pxdim
            ur(r(conta)*pxdim-(pxdim-di),1) = X(di)-sEP(a,b,di);
        end
    end
    end

end

end

