function [ us, singular ] = a0207_Usingu ( kv, U, p )

% RETURNS:

% us:   param. coord. where bf is singular ('peaky')
% (if repetitions in knots are p)
% singular: 0 if smooth, 1 if is singular (posseses a peak)

% INPUTS:
% U:    local knot vector
% p:    degree
% kv:   global knot vector

% works in one direction
% it's expected to be only repetition for one value



% 1.- Values initiation
% and rounds to make sure u is not out os scope:

singular=0 ;
us = -1 ;
U = round (U,6);


% 2.- Counts No. repetitions and stores location:

for i=1:1:p+2
    
    u = U(i);
    
    % singularities are not at the end points of the parameter domain
    if u~=kv(1) && u~=kv(end) 
        
        conta=0;
        for j=1:1:p+2

            if U(j)==u
            conta=conta+1;
            end

        end

        if conta == p
            singular=1 ;
            us = u ;
            break
        end
    
    end
    
    
end

















end

