function [Nts, tsR] = st0305_tsR (pR, tFace)

% RETURNS: trimming surfaces refs and corresponding patches

Nf = tFace(pR).Nfa;

Nts = 0; % No. trimming surfaces
tsR = zeros(1,1); % trimming surfaces refs, 


for s = 1:1:Nf

	Tr = tFace(pR).mSur(s).Tr;

    if Tr==1
        Nts = Nts + 1 ;
        tsR(Nts,1) = s ;
    end
    
end


end

