function [Ntc, tcR] = st0308_tcR (Nts, tsR, ccTp, pR)

nlo = ccTp(pR,1).nlo;
ncu = ccTp(pR,1).ncu;
SCcon = ccTp(pR,1).SCcon;

Ntc = 0 ;
tcR = zeros(1,1); % trimming curves and patch ref.

% 1.1.- Curves and patches refs.

for i = 1:1:Nts
    
    sR = tsR(i,1);
    
    for l = 1:1:nlo(sR,1)
        
        for c = 1:1:ncu(sR,1)
            
            cR = abs(SCcon(sR,l,c)); % curve ref.

            % stores the ref. if not stored previously
            
            ncF = 1 ; % new curve flag
            for j = 1:1:Ntc
                
                if tcR(j,1)==cR
                    ncF = 0;
                    break
                end
            end
            
            if ncF==1
                Ntc = Ntc+1;
                tcR(Ntc,1) = cR;
            end
            
        end
        
    end
    
end




end

