function [  ndig, wbF, DerC, tolRc, tolRs, tolD, ...
            R, Nvx, Rb, Nvxb, pRx, pesw, ...
            DUtol, Xtol, Ks, ...
            NGPb, dirF, d, neuF,t] = pd0421_readForm ...
            (Spatches, Npa, Nbe, repI, pRx, pesw, DUtol, pxtol, Ks, NGPb, NEU, DIR)

  
% General:

xdim    = 3 ;
ndig    = 5 ;
wbF     = 1 ;
DerC    = 'ip' ;
tolRc   = 1.50 ;
tolRs   = 4.00 ;
tolD    = 20 ;


% Skins:

R   = repI(1,1);
Nvx = repI(1,2);

Rb   = repI(2,1);
Nvxb = repI(2,2);

pRx = str2num(pRx);

pesw = str2num(pesw);


% Point projection:

DUtol = str2num(DUtol);

pxtol = str2num(pxtol);
[Xtol] = z2891_XtolPatches (pxtol, Spatches, Npa);


% Trimming skins:

Ks = str2num(Ks);


% BC:

dirF = zeros(Nbe,1);
d    = zeros(Nbe,xdim);
neuF = zeros(Nbe,1);
t    = zeros(Nbe,xdim);

NGPb = str2num(NGPb);

if NGPb > 0

    for i = 1:1:Nbe

        if NEU(i,1)>0

            bR = NEU(i,1);

            neuF(bR,1) = 1 ;
            for di = 1:1:xdim
                t(bR,di) = NEU(i,1+di);
            end
        end

        if DIR(i,1)>0

            bR = DIR(i,1);

            dirF(bR,1) = 1 ;
            for di = 1:1:xdim
                d(bR,di) = DIR(i,1+di);
            end
        end
    end

    end

end

