function [tBv, tUv, tAv, tXv, tANv, tXNv, tNCS] = mt0602_NNttr (sR, tNV, i, tBv, tUv, tAv, tXv,tANv, tXNv, tNCS, skin)

% RETURNS:
% Features of new node of TTR, first time is detected

% factor for slave patches:

nv = zeros(3,1);

% Node coordinates and normals in patch parameter space:

tAv(tNV,:) = skin.mAv(i,:);
tUv(tNV,:) = skin.mUv(i,:);
tBv(tNV,:) = skin.mBv(i,:);

nv(:,1) = skin.mANv(i,:);
tANv(tNV,:) = nv;
    

% same but in physical space:

tXv(tNV,:) = skin.mXv(i,:);
      
nv(:,1) = skin.mXNv(i,:);
tXNv(tNV,:) = nv;


% curve and surfaces for the node:

tNCS(tNV,1) = skin.mNC(i,1);
tNCS(tNV,2) = sR;

end