function [Tnod, Tlims, tv1, tv2, tp] = um0626_MLTtri (MLT,t)

pudim = 3 ; 

Tlims = zeros(pudim,2); % limits of enveloping cube of triangle
Tnod = zeros(3,pudim);

nT = zeros(3,1);

tm1 = zeros(pudim,1); % temporaries
tm2 = zeros(pudim,1);
tm3 = zeros(pudim,1);

for i = 1:1:3 
    
    nT(i) = MLT.tTVcon(t,i);
    Tnod(i,:) = MLT.tAv(nT(i),:);

end

tm1(:,1) = MLT.tAv(nT(1),:);
tm2(:,1) = MLT.tAv(nT(2),:);
tm3(:,1) = MLT.tAv(nT(3),:);


tv1 = tm2 - tm1; % 2 vectors and one point
tv2 = tm3 - tm1;
tp = tm1 ;

for di = 1:1:pudim
    
    Tlims(di,1) = min(tm1(di),min(tm2(di),tm3(di)));
    Tlims(di,2) = max(tm1(di),max(tm2(di),tm3(di)));

end

end

