function [conF] = um0628_conF (Tlims, Llims, Tnod, Lnod, nd)

% RETURNS:
% conF = 1 if conditions of potential intersection are met


pudim = 3 ;
conF = 1 ; % conditions flag


% CONDITION 1: Line and side cubes must intersect:
            
for di = 1:1:pudim

    if (Llims(di,2) < Tlims(di,1)) || (Tlims(di,2) < Llims(di,1))
        conF = 0 ;
        break
    end
    
end


% CONDITION 2: Line must not have node on one node of the triangle:

if conF == 1

	for i = 1:1:2
        
        for j = 1:1:3

            CO = go2542_coincidentP (Lnod(i,:), Tnod(j,:), pudim, nd);

            if CO==1
                conF = 0;
                break
            end

        end

        if CO==1
            break
        end

	end

end


end

