function [Uf, Af, Xf] = fs0779_innerMn (n1, n2, tFace, sR, Spatches, pR, Uvm, Avm, Xvm, Xtol, DUtol)

sudim = 2 ;
pudim = 3 ;
xdim = 3 ;

sDegree = tFace(pR).mSur(sR).Degree ;
sNcp    = tFace(pR).mSur(sR).Ncp ;
sKnotV  = tFace(pR).mSur(sR).KnotV ;
sUsize  = tFace(pR).mSur(sR).Usize ;
sP      = tFace(pR).mSur(sR).P ;
sw      = tFace(pR).mSur(sR).w ;
sCD     = tFace(pR).mSur(sR).CS ;
[sEw,sEP] = GEN_12_ExpandBw (sw, sP, xdim, sudim, sNcp);  
sULims = [ 0 1 ; 0 1 ];

pDegree = Spatches(pR,1).INS(1).mDegree ;
pNcp    = Spatches(pR,1).INS(1).mNcp ;
pKnotV  = Spatches(pR,1).INS(1).mKnotV ;
pUsize  = Spatches(pR,1).INS(1).mUsize;
pP      = Spatches(pR,1).INS(1).mP ;
pw      = Spatches(pR,1).INS(1).mw ;
pCD     = zeros(pudim,1);
[pEw,pEP] = GEN_12_ExpandBw (pw, pP, xdim, pudim, pNcp);  
pULims = [ 0 1 ; 0 1 ; 0 1 ];

u0 = zeros(sudim,1);
at = zeros(pudim,1);
Xt = zeros(xdim,1);

u0(:,1) = (Uvm(n1,:) +  Uvm(n2,:))/2; % start for pp
at(:,1) = (Avm(n1,:) + Avm(n2,:))/2;  % point to project

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%{
% X coords of 'at'
[Xt] = b2601_BNURBS_Xcoord (at, pKnotV, pNcp, pDegree, pUsize, pEw, pEP, pudim, xdim); 

% Ucoords ot Xt => final coordinate
[Uf, ~] = s2835b_onePoint (Xt, u0', sDegree, sNcp, sKnotV, sUsize, sP ,sw, sEP ,sEw, sCD, sULims, xdim, Xtol, DUtol); 
    
% X coords of final point
[Xf] = b2601_BNURBS_Xcoord (Uf, sKnotV, sNcp, sDegree, sUsize, sEw, sEP, sudim, xdim);
   
% Acoords of final point:
[Af,~] = v2865b_onePoint (Xf, at', pDegree, pNcp, pKnotV, pUsize, pP ,pw, pEP ,pEw, pCD, pULims, xdim, Xtol, DUtol);

%}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% {

Xt = (Xvm(n1,:) + Xvm(n2,:))/2;  % point to project

[Uf, ~] = s2835b_onePoint (Xt, u0', sDegree, sNcp, sKnotV, sUsize, sP ,sw, sEP ,sEw, sCD, sULims, xdim, Xtol, DUtol); 

Uf = (Uf + u0')/2;


[Xf] = b2601_BNURBS_Xcoord (Uf, sKnotV, sNcp, sDegree, sUsize, sEw, sEP, sudim, xdim);

[Af,~] = v2865b_onePoint (Xf, at', pDegree, pNcp, pKnotV, pUsize, pP ,pw, pEP ,pEw, pCD, pULims, xdim, Xtol, DUtol);

%}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Uf = Uf' ;
Af = Af' ;



end

