function [Uvm] = fs0780_edgeAdjac (Nlv, NL, Uvm, VLcon, LVcon, eNn )

sudim = 2 ;

nd = 6 ;
accNs = 0 ; % accumulated nodes at starting
accNe = 0 ; % accumulated nodes at end


for L = 1:1:NL
    
    accNe = accNe + Nlv(L) ;
    
    for i = 1:1:Nlv(L)
    
        nR = accNs + i ;
        
        % Lines attached to that node:
        % Era(Nal,3): local ref in VLcon/angle/rs (ref. of node in the tern: 1 or 3
        
        [Era, Nal] = fs0781_Era (nR, Uvm, VLcon, LVcon, eNn, nd, sudim);

        if Nal > 0
            
            
            % angles, tangent vector and curvature of prev. and next edges of the node 'nR':
            
            [a1, a2, t1, t2, c1, c2] = fs0783_angPrNx (nR, i, accNe, LVcon, Uvm, nd, sudim);
   

            % recomputes angles for attached lines and updates angles within Era:
            
            pc = 5 ; % percentaje of fitting

            [~, Era] = fs0784_recAngle (nR, Era, Nal, a1, a2, pc);
            
         
            
            % re-locates intermediate node in attached lines acc. to updated angle:
            
            Uvm = fs0786_reU2 (nR, Uvm, Nal, Era, t1, t2, VLcon, LVcon, sudim);

        end
        
 
    end
    
    accNs = accNs + Nlv(L) ;
    
end




end

