function [BCf, BCk] = b0824_upBC (BCf, BCk, bk, bf)

% RETURNS: updated BCk and BCf, in case of coupling and Dirichlet BC's:

% INPUTS:
% BCf, BCf: prev. BC matrix / vector
% bk, bf:   bc matrix / vector for this particular case, to add to BCk & BCf
  
c = size(BCk,2);

if c == 2 % first condition => initiates the matrix
    
    BCk = bk ;
    BCf = bf ;
                
else  % there are conditions already stores => stores after them
                
    BCk = [BCk ;
           bk ];
                         
	BCf = [BCf ;
           bf ];      
end

end

