function [filR] = b0842_rowsRef (RicpA, Lr1, sorA, cDoF, restr, pxdim)

% RETURNS:   
% filR(pxdim,1) : rows ref's to add in bf & bk

% INPUTS:
% Lr1: local reference in RicpA
% cDoF: No. constrained DoF (max. is xdim) in each anchor
% restr(pxdim): restrained(1) or not(0) direction

filR   = zeros(pxdim,1) ; 
ar     = RicpA(Lr1);
relPos = sorA(ar);
    
diResta = 1;

for di = 1:1:pxdim
    
    if restr(di) == 1   
        
        filR(di) = cDoF * relPos + (diResta-cDoF);
        diResta = diResta+1;
        
    end
    
end



end

