function [Bentities] = c0914_J1be (Bentities, Nbe, insR, xdim)

% RETURNS:
% Bentities with updated Jacobian 1 => Bentities.skin.mGP.dJ1

eudim = 2 ;

for b = 1:1:Nbe 

	eKnotV  = Bentities(b,1).INS(insR,1).skin.mKnotV ;
	eNcp    = Bentities(b,1).INS(insR,1).skin.mNcp ;
	eDegree = Bentities(b,1).INS(insR,1).skin.mDegree ;
	eUsize  = Bentities(b,1).INS(insR,1).skin.mUsize ;
	eP      = Bentities(b,1).INS(insR,1).skin.mP ;
	ew      = Bentities(b,1).INS(insR,1).skin.mw ;
    
    Ngp = Bentities(b,1).INS(insR,1).skin.mNgp;
    GP  = Bentities(b,1).INS(insR,1).skin.mGP;
    
    for g = 1:1:Ngp
        
        u = GP(g,1).mUcoor;
        
        [~, detJ1] = j2315_J1_Bspline (u, eKnotV, eNcp, eDegree, eUsize, eP, ew, eudim, xdim);
        
        Bentities(b,1).INS(insR,1).skin.mGP(g,1).dJ1 = detJ1;

    end

end


end

