classdef cBentities < handle

% BoEntity: contains all the info of a surface

% note: id is the number of the correspondant array. That facilitates searching afterwards.
% note: for integration, these BoEntities follwo the IGA standard elements integration (lines, rect, and bricks)

% Bo surfaces can be attached to conditions: Dirichlet, coupling or Neumann
% It might not be attached to a condition, if it is just geometry with no constraints.

properties

    
    % Conditions ref's associated to that B.E.
    
    mDIR; % flags of conditions (1 if there is, 0 if not)
    mNEU;
    mCOU;
    mPa ;
    
    INS = cBINS; % instance of the boundary entity
end


methods
    
    function obj = cBentities()
        
        % constructor by default
        % initiates conditions to zero

        obj.mDIR = 0 ;
        obj.mNEU = 0 ;
        
    end

end














    
end



