classdef cPINS < handle

    % refinement instance, to be nested inside patch instance
    % describes anchors, elements, insertion and respresentation wires at
    % each refinement instance of the patch
    
    properties

        
        % NURBS:
        
        mDegree;    
        mUsize;     
        mKnotVI;    
        mKnotV;     
        mNcp ;
        mEP;
        mEw;
      	mP;
        mw;
        
        
        % CONTROL POINTS:
        
     	mNacp;	% Aggregated No. cp's
        mCP;    % matrix with anchors, each anchor is an object

        % 'ON' flag:
        mNon;  % No. anchors active
        mCPref ; % correlative position of ON cp's ,  mCPref(mNacp,1). if=0 off, if>0 indicates correlative reference
        
        % Cp's influenced by B.E.'s.:
        mNicpE ; % (nbe,1)
        mRicpE ; % (NicpE,1)
        
        
        % INTEGRATION MESH:
        
        mIM ; % = cIMesh ;
        
        
      	% SKINS for representation:
        
        mNsk ; % number of skins
        skin; %  cPskin ;
          
        
        % SKINS for discretization (trimming skins):
        
        mNts; % number of skins
        Tskin; % cTskin ;
        

    end
    
    methods
        


        
    
    end

end
