function [Lav] = tm1309_avEL (Xnod, Nn, dim)

% RETURNS:
% Lav: average length of edges
% valid for either triangle or tetrahedron

% assumes linear (4 nodes tet and 3 nodes triang).


Lav = 0 ;

% sums first three edges length

x1 = zeros(dim,1);
x2 = zeros(dim,1);

r = [ 1 2 3 1 ];

for i = 1:1:3
    
    x1(:,1) = Xnod(r(i),:);
    x2(:,1) = Xnod(r(i+1),:);
    Lav = Lav + norm(x2-x1);
    
end


if Nn==3

    % triangles:
    
    Lav = Lav / 3 ;
    
    
elseif Nn==4
    
    % tets:
    
    x1(:,1) = Xnod(4,:);
    
    for i = 1:1:3
    
        x2(:,1) = Xnod(i,:);
        Lav = Lav + norm(x2-x1);

    end
    
    Lav = Lav / 6 ;
    
end


end

