function [Le] = tm1315_egdeLcon (LV, lR, nR, C)

% RETURNS:
% Le: edge lenght given the conn. matrices or not

% INPUTS:
% LV:       line vs vertex conn. matrix. LV=0 if does not apply
% lR:       line ref. lR = 0 if it does not apply
% nR(2,dim): end nodes refs. nR = 0 if does not apply
% C(n,dim): nodes coords

dim = size(C,2);


% nodes refs:

if nR == 0
    
    n1 = LV(lR,1);
    n2 = LV(lR,2);
    
elseif LV == 0
    
    n1 = nR(1);
    n2 = nR(1);
    
end


% length:

c1 = zeros(dim,1);
c2 = zeros(dim,1);

c1(:,1) = C(n1,:);
c2(:,1) = C(n2,:);

Le = norm(c2-c1);

end

