function [otpS, U0, mNCS] = th1316_curveB1 (Xv, Uv, n, NCS, connT)

xdim = 3 ;
  
% stores all opposite nodes of lines of both nodes:
            
onR = zeros(2,1);
Non = zeros(2,1);
            
for k = 1:1:2  
                
    conta = 0 ;
    for i = 1:1:size(connT.VL,2)

        lR = connT.VL(n(k),i);
        if lR > 0
            for j = 1:1:size(connT.LV,2)

                nR = connT.LV(lR,j);
                            
                if (nR > 0 && NCS(nR,2)>0) && (nR~=n(1) && nR~=n(2))
                    conta = conta + 1 ;
                    onR(k,conta) = nR ; 
                end

            end
        end
    end
    
	Non(k) = conta ;
                
end
            
            
% detects common surface:
            
sRs = 0 ;
            
for i = 1:1:Non(1)
                
	or = onR(1,i);
 	s1 = NCS(or,2);
                
    for j = 1:1:Non(2)
                    
        or = onR(2,j);
        s2 = NCS(or,2);
                    
        if s1==s2
            sRs = s1 ;
         	break
        end
    end
                
	if sRs>0
        break
	end
end
            
            
            
% selects those nodes that have shared surface between n1 and
% n2, chooses the one closer to both nodes:
            
Xa = zeros(1,xdim);
Xb = zeros(1,xdim);
Xo = zeros(1,xdim);
            
Xa(1,:) = Xv(n(1),:);
Xb(1,:) = Xv(n(2),:);
            
conta = 0 ;
            
don = zeros(1,2); % opp. node ref and distance to opp nodes
            
for k = 1:1:2
for i = 1:1:Non(k)
                    
	or = onR(k,i);
                    
	if NCS(or,2)==sRs
                        
        conta = conta + 1 ;
                        
        don(conta,1) = or;
                        
        Xo(1,:) = Xv(or,:);
                        
    	d1 = norm(Xo'-Xa');
    	d2 = norm(Xo'-Xb');
                        
        don(conta,2) = (d1 + d2) / 2 ;
                        
	end
                    
end
end
            
don = sortrows(don,2);
            

otpS = "S" ;
            
U0(1,:) = Uv(don(1),:);
   
mNCS(1,1) = 0;
mNCS(1,2) = sRs;


end

