function [otpS, B0, mNCS, isF] = th1318_curveB3 (Xv, n, ccTp, agCurv, pR, sR, nd)

xdim = 3;
isF  = 1;

% searches if any contour curve has the same end cps. If not, 
% the potential mid-node is an internal point and no need to be inserted
            
icR = 0;
            
Xv1 = zeros(1,xdim);
Xv2 = zeros(1,xdim);
            
Xc1 = zeros(1,xdim);
Xc2 = zeros(1,xdim);
            
Xv1(1,:) = Xv(n(1),:);
Xv2(1,:) = Xv(n(2),:);
            
for k = 1:1:2
                
    for L = 1:1:ccTp(pR).nlo(sR(k),1)
                
        for c = 1:1:ccTp(pR).ncu(sR(k),L)
                        
            tcR = abs(ccTp(pR).SCcon(sR(k),L,c));
                        
        	tcNcp = agCurv(tcR).Ncp ;
            tcP   = agCurv(tcR).P ;
                        
        	Xc1(1,:) = tcP(1,:);
           	Xc2(1,:) = tcP(tcNcp,:);
                        
        	CO11 = go2542_coincidentP (Xv1, Xc1, xdim, nd);
          	CO22 = go2542_coincidentP (Xv2, Xc2, xdim, nd);
                        
        	CO12 = go2542_coincidentP (Xv1, Xc2, xdim, nd);
          	CO21 = go2542_coincidentP (Xv2, Xc1, xdim, nd);
                        
            if (CO11==1 && CO22==1) || (CO12==1 && CO21==1)
             	icR = tcR;
              	break
            end
        end
                
        if icR>0
        break
        end
        
    end
                
    if icR>0
 	break
    end
end
                

if icR > 0 
                
	% node to insert lies at mid-location of the curve:
 	otpS = "C" ;

 	B0(1,1) = 0.5;

  	mNCS(1,1) = icR;
  	mNCS(1,2) = sR(1);

elseif icR == 0
                
	% no control curve connects n1 to n2 => not mid-node:
    
 	otpS = "" ;

 	B0(1,1) = 0;

  	mNCS(1,1) = 0;
  	mNCS(1,2) = 0;
    
 	isF = 0 ;
    
end



end

