function [connT, pNE, uNte, uclR] = th1323_upTet (Av, connT, pNE, clR, Nte, liR)

% RETURNS:
% connT, pNE: updated to account for split of involved nodes
% uNte, uclR: updted No. elements involved and their refs

% updated involved tets initiation:

uNte = Nte ;
uclR = clR ;

nr = size(Av,1); % new node ref is the the last

for e = 1:1:Nte
    
    eR = clR(e);
    
    % current nodes refs of the element
    cnr = connT.EV(eR,:);

    % all connections are to be kept except liR.
    
    nlr = [ connT.LV(liR,1) ; connT.LV(liR,2) ] ; % nodes of liR
    

    % 'free' nodes => not in liR and are kepts are they are:
    
    nf = zeros(2,1);
    conta = 0 ;
    
    for i = 1:1:4
        
        if cnr(i)~=nlr(1) && cnr(i)~=nlr(2) 
            conta = conta + 1 ;
            nf(conta,1) = cnr(i);
        end
        
    end
    

    % current element:
    
    connT.EV(eR,1) = nlr(1) ; 
    connT.EV(eR,2) = nr ; 
    connT.EV(eR,3) = nf(1) ;
    connT.EV(eR,4) = nf(2) ;
    
    
    % adds element:
    
    pNE = pNE + 1 ; 
    
  	connT.EV(pNE,1) = nlr(2) ; 
    connT.EV(pNE,2) = nr ; 
    connT.EV(pNE,3) = nf(1) ;
    connT.EV(pNE,4) = nf(2) ;
    
    uNte = uNte + 1 ;
    uclR(uNte,1) = pNE ;
    
end


NV = nr ;
[connT] = th1333_OtherConnLin (pNE, NV, connT.EV);


end

