function [LVcon, ELcon] = th1332_LV_EL_Linear (Spatches, pR, r, NE, EVcon)

% r(6,2): edges nodes references

pudim = 3 ;

pUsize   = Spatches(pR,1).INS(1).mUsize ;
pKnotV   = Spatches(pR,1).INS(1).mKnotV ;

pULims = zeros(pudim,2);

for di = 1:1:pudim
    pULims(di,1) = pKnotV(di,1);
    pULims(di,2) = pKnotV(di,pUsize(di));
end

LVcon = zeros(1,3); % might be linear or quaratic, the latter witht he mid-nod in position 2 of LVcon

ELcon = zeros(NE,6); % element - line connectivity

NLI = 0 ;

% 1.- first element:
 
for i = 1:1:6
    
    NLI = NLI + 1 ;
    
    ELcon(1,i) = NLI;
    
    n1 = EVcon(1,r(i,1));
    n2 = EVcon(1,r(i,2));
 
	LVcon(NLI,1) = n1;
	LVcon(NLI,2) = n2;

end


% 2.- rest of the elements:

for e = 2:1:NE
    
    for i = 1:1:6
        
        % candidate couple of nodes:
        
        n1 = EVcon(e,r(i,1));
        n2 = EVcon(e,r(i,2));
        
        % check if they're IN already (aIN=1):
        
        aIN = 0 ;
        for j = 1:1:NLI

            e1 = LVcon(j,1); % extg. refs
            e2 = LVcon(j,2);

            if (e1==n1 && e2==n2) || (e2==n1 && e1==n2) 
                aIN = 1;
                ELcon(e,i) = j;
                break
            end
            
        end
        
        % adds if is not IN:
        
        if aIN == 0
            
            NLI = NLI + 1 ;

            ELcon(e,i) = NLI;
   
            LVcon(NLI,1) = n1;
            LVcon(NLI,2) = n2;

        end

    end
end


end