function [pNE, connT, THC, MLT] = th1336_surLines ...
    (pR, Spatches, rTskin, pNE, connT, THC, MLT, agCurv, pL, Xtol, DUtol)

% RETURNS: tetrahedralization with all lines from rTskins in

tolL = 1.0 ;
tolA = 0.1 ;
nd = 3 ;


%{

[tsF] = ts1631_TtsF (pR, connT, MLT, THC); % prepares flags of TET lines on MLT

if pR == 1
    
    fr = 500 ;
    ts1633_plotTtsF (fr, connT, tsF, 0, THC, MLT);

end

if gg==0
end

%}


% 1.- CHECKS MLT VS TETS:
% Any line in MLT that is not in tets is included in the tets.

[MLT, THC, pNE, connT] = tm1312_mVSt ...
(pR, Spatches, rTskin, pNE, connT, THC, MLT, agCurv, pL, Xtol, DUtol, tolL, tolA, nd);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Tetrahedralization
%{
if pR == 1
    fr = 665 ; %%%%%%%%%%%%%%%%%%%%%%%%%

    pm0650_plotMLT (MLT, 'A', fr, 'g', 2.5, 0, 0, 0, 0, 0, 0, 0, 0);
    
    Lthk = 1 ;
    transp = 0.33 ;
    lrF = 0 ; % line ref. flag

    Cv = THC.Av ;
    NLI = size(connT.LV,1);
    LVcon = connT.LV;

    pt1368_pTetLinMesh (Cv, NLI, LVcon, fr, Lthk, transp, lrF)

    figure(fr)
    for i = 1:1:size(THC.Av,1)
        
        if THC.rm(i) > 0
            
            r = THC.rm(i);
            
            %scatter3 ( THC.Av(i,1) , THC.Av(i,2) , THC.Av(i,3) , 'r', 'filled'); hold on
            
            scatter3 ( MLT.tAv(r,1) , MLT.tAv(r,2) , MLT.tAv(r,3) , 'r', 'filled'); hold on
            
        end
        
    end
    
    
    if gg==0
    end
    
end
%}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% 2.- CHECKS TET LINES vs MLT:

% Any line of tets that passes throught MLT is split, then updates
% tets & MLT by new node insertion

[connT, THC, pNE, MLT] = um0623_tVSm ...
(pR, Spatches, rTskin, agCurv, connT, THC, pNE, MLT, Xtol, DUtol, tolL, tolA, nd);





[MLT, THC, pNE, connT] = tm1312_mVSt ...
(pR, Spatches, rTskin, pNE, connT, THC, MLT, agCurv, pL, Xtol, DUtol, tolL, tolA, nd);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Tetrahedralization
%{
if pR == 1
    fr = 667 ; %%%%%%%%%%%%%%%%%%%%%%%%%

    pm0650_plotMLT (MLT, 'A', fr, 'g', 2.5, 0, 0, 0, 0, 0, 0, 0, 0);
    
    Lthk = 1 ;
    transp = 0.33 ;
    lrF = 0 ; % line ref. flag

    Cv = THC.Av ;
    NLI = size(connT.LV,1);
    LVcon = connT.LV;

    pt1368_pTetLinMesh (Cv, NLI, LVcon, fr, Lthk, transp, lrF)

    figure(fr)
    for i = 1:1:size(THC.Av,1)
        
        if THC.rm(i) > 0
            
            r = THC.rm(i);
            
            %scatter3 ( THC.Av(i,1) , THC.Av(i,2) , THC.Av(i,3) , 'r', 'filled'); hold on
            
            scatter3 ( MLT.tAv(r,1) , MLT.tAv(r,2) , MLT.tAv(r,3) , 'r', 'filled'); hold on
            
        end
        
    end
    
    
    if gg==0
    end
    
end
%}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%






end

