function [Cnst] = tr1345_CnstTri (NL, Nlv)

% RETURNS:
% Cnst(n,2): contrained pairs (vtx refs) for triangulation

% INPUTS:
% NL: No. loops
% Nlv: No. vtx per loop

accvr = 0 ;
for lo = 1:1:NL

    if lo==1 % first loops initiates constraints
        
        fr = 1 ; % first and last vtx refs
        lr = Nlv(lo);
        
        Cnst = [ [ fr:1:lr ]' [ fr+1:1:lr , fr ]' ]; 

    else % more loops add afterwards
        
      	fr = accvr + 1 ; % first and last vtx refs
        lr = accvr + Nlv(lo);
        
        loCnst = [ [ fr:1:lr ]' [ fr+1:1:lr , fr ]' ]; 
        
        % add to the end of Cnst:
        
        Cnst = [ Cnst ; loCnst ];
        
    end
    
    accvr = accvr + Nlv(lo); % accumulated up to end of loop 'lo'
    
end

end

