function [ ] = pt1371_pTet_iem (unod, iem, st, fr, colr, nodON)

% plots tetrahedral of any degree (uses iem matrix)

% st: step to represent
% nodON: if = 1 plots also the nodes

dim = 3 ;
figure(fr);



% octaedral face:

x = zeros(dim,1);

a = zeros(1,dim);
b = zeros(1,dim);
c = zeros(1,dim);

j = 0 ;
for i = 0:st:1
    
    j = j+1;
    
    x(1,1) = i ;
    x(2,1) = 1-i;
    x(3,1) = 0 ;
    
    [x, ~, ~] = mp1353_TETmapp (x, unod, dim, dim, iem);
    a(j,:) = x(:,1);
    
    
    x(1,1) = 0 ;
    x(2,1) = i;
    x(3,1) = 1-i ;
    
 	[x, ~, ~] = mp1353_TETmapp (x, unod, dim, dim, iem);
    b(j,:) = x(:,1);
    
    
	x(1,1) = i ;
    x(2,1) = 0 ;
    x(3,1) = 1-i ;
    
	[x, ~, ~] = mp1353_TETmapp (x, unod, dim, dim, iem);
    c(j,:) = x(:,1);
    
end

plot3(a(:,1), a(:,2), a(:,3), colr);  hold on
plot3(b(:,1), b(:,2), b(:,3), colr);  hold on
plot3(c(:,1), c(:,2), c(:,3), colr);  hold on





% orthonormal faces:

x = zeros(dim,1);

a = zeros(1,dim);
b = zeros(1,dim);
c = zeros(1,dim);

j = 0 ;
for i = 0:st:1
    
    j = j+1;
    
    x(1,1) = i ;
    x(2,1) = 0 ;
    x(3,1) = 0 ;
    
 	[x, ~, ~] = mp1353_TETmapp (x, unod, dim, dim, iem);
    a(j,:) = x(:,1);
    
  	x(1,1) = 0 ;
    x(2,1) = i ;
    x(3,1) = 0 ;
    
 	[x, ~, ~] = mp1353_TETmapp (x, unod, dim, dim, iem);
    b(j,:) = x(:,1);
    
  	x(1,1) = 0 ;
    x(2,1) = 0 ;
    x(3,1) = i ;
    
 	[x, ~, ~] = mp1353_TETmapp (x, unod, dim, dim, iem);
    c(j,:) = x(:,1);
    
end

plot3(a(:,1), a(:,2), a(:,3), colr);  hold on
plot3(b(:,1), b(:,2), b(:,3), colr);  hold on
plot3(c(:,1), c(:,2), c(:,3), colr);  hold on




% nodes:

if nodON == 1
    
    scatter3(unod(:,1),unod(:,2),unod(:,3),'r'); hold on

end



axis equal





end

