function [ ] = pt1373_pTetConn (eR, connT, Av, fr, colr, transp, Lthk, erF, filF)

% plots one linear tet, entering just its ref and conn. matrices

pudim = 3 ;

Anod = zeros(4,pudim);
C = zeros(pudim,1);

for k = 1:1:4
    
    nR = connT.EV(eR,k);
    
    Anod(k,:) = Av(nR,:);
    
    for di = 1:1:pudim
        C(di,1) = C(di,1) + Av(nR,di)/4;
    end
    
end

pt1362_pTet (Anod, pudim, fr, colr, transp, Lthk, filF);

if erF==1
    figure(fr)
    scatter3(C(1),C(2),C(3),'r'); hold on
    text(C(1),C(2),C(3),num2str(eR)); hold on
end

end

