function [Bentities] = n1412_Du2beINS (Bentities, Spatches, Nbe, insR, xdim)

% RETURNS:
% Bentities with next instance to insR with recomputed features that depend
% on Xcoord's, i.e. Du vector

niR = insR+1;

for b = 1:1:Nbe
    
    % patches attached to that boundary entity and their features:
    
    % Cou = Bentities(b,1).mCOU ;
    Pa  = Bentities(b,1).mPa ;
    
    pKnotV  = Spatches(Pa(1),1).INS(niR,1).mKnotV;
    pNcp    = Spatches(Pa(1),1).INS(niR,1).mNcp;
    pDegree = Spatches(Pa(1),1).INS(niR,1).mDegree;
    pUsize  = Spatches(Pa(1),1).INS(niR,1).mUsize;
    
    pEP = Spatches(Pa(1),1).INS(niR,1).mEP;
    pEw = Spatches(Pa(1),1).INS(niR,1).mEw;
    
    pudim = 3 ;
    xdim = 3 ;
    
    
    % Skin vertexes physical coord's:

	tskin = Bentities(b,1).INS(niR,1).skin ;
        
	NV = tskin.mNVm;
        
    Acoor = zeros(pudim,1);
    Xcoor =  zeros(NV,xdim);
    
    for v = 1:1:NV
        Acoor(:,1) = tskin.mAv(v,:);
        X = b2601_BNURBS_Xcoord (Acoor, pKnotV, pNcp, pDegree, pUsize, pEw, pEP, pudim,xdim);
        Xcoor(v,:) = X(:,1);       
    end
       
    tskin.mXv = Xcoor ;


    % GP's  Xcoor (note the J1 is pending)

    Ngp = Bentities(b,1).INS(niR,1).skin.mNgp ;
    GP = Bentities(b,1).INS(niR,1).skin.mGP ;
    
    for g = 1:1:Ngp
        
        Acoor = GP(g,1).mAcoor;

        X = b2601_BNURBS_Xcoord (Acoor, pKnotV, pNcp, pDegree, pUsize, pEw, pEP, pudim, xdim);
        GP(g,1).mXcoor = X ;

    end
    
    tskin.mGP = GP ;

	Bentities(b,1).INS(niR,1).skin = tskin ;
    
	clearvars 'tskin' 'Xcoor';
    clearvars 'GP' 'Ngp' ;

end


% GP's physical derivatives and jacobian 1 for GP's: PENDING !!
    
%[Bentities] = c0915_XbfGP (Bentities, Nbe, niR, xdim);




end




