function [rv, rP1, rP2] = ts1602_mLAspace (ILn, Av, plotF, fr, colr, Lthk, transp)

pudim = 3 ;

rv = zeros(pudim,1);
rP1 = zeros(pudim,1);
rP2 = zeros(pudim,1);

n1 = ILn(1,1);
n2 = ILn(2,1);

for di = 1:1:pudim
    
    rP1(di,1) = Av(n1,di);
    rP2(di,1) = Av(n2,di);
    rv(di,1) = Av(n2,di) - Av(n1,di);
    
end


if plotF == 1
    
    x = [ rP1' ; rP2' ];
    
    figure(fr)
    
    p1 = plot3(x(:,1), x(:,2), x(:,3), colr, 'LineWidth', Lthk); hold on
    p1.Color(4) = transp;
    
    axis equal
    
    
end


end

