function [pNE, connT, MLT, THC, teR2, tp] = ts1612_flip23 ...
    (THC, ILn, pNE, connT, connS, MLT, isi, teR1)

% flips 2=>3 unless distance between one line of the intersected side and
% the missing line is so close that it is better to insert node on the line


pudim = 3 ;
teR2 = teR1 ;

% 1.- MEASURES DISTANCE BT'N LINES
% (if too close does not flip)

sr = isi(1,1).R; % common side reference

A1 = MLT.tAv(ILn(1,2),:)';
A2 = MLT.tAv(ILn(2,2),:)';
u = A2 - A1;

[lm] = tn3607_SiLvsMLR (connS, connT, THC, sr, A1, u);


% compares distance to line length:

pL1 = 5.0 ;
if lm(1,2) < pL1 * lm(1,3) / 100
    tp = "0";
    return
end



% 4.- IF BOTH LINES ARE NOT TOO CLOSE => FLIPS 2 => 3

	pNE = pNE + 1 ;

 	% original elements refs
	ot1 = teR1(1); 
 	ot2 = teR1(2);

 	% new elements refs:

	rt = ot1 ;
	ft = ot2 ;
 	bt = pNE ;
   	ner = [ rt, ft, bt ] ;

 	sr = isi(1,1).R; % common side reference


	% local refs of nodes:

  	r = [ ILn(1,1) ILn(2,1) connT.SV(sr,1) connT.SV(sr,2) connT.SV(sr,3) ];

        
  	% updates conn. matrix:

  	connT.EV(rt,1) = r(1); connT.EV(rt,2) = r(2); connT.EV(rt,3) = r(3); connT.EV(rt,4) = r(4) ;
 	connT.EV(ft,1) = r(1); connT.EV(ft,2) = r(2); connT.EV(ft,3) = r(3); connT.EV(ft,4) = r(5) ;
  	connT.EV(bt,1) = r(1); connT.EV(bt,2) = r(2); connT.EV(bt,3) = r(4); connT.EV(bt,4) = r(5) ;


	pNV = size(THC.Av,1);
	[connT] = th1333_oConnL (pNE, pNV, connT.EV);

    
	teR2 = [ teR1 ; pNE ]; 
    
    tp = "flip 2 => 3" ;
    
 
end

