function [siR] = ts1617_GsideR (connT, connS, nsR, eR)

% RETURNS:
% sR: global side ref corresponding to trhee nodes of a tet

% INPUTS:
% connT, connS
% nsR(3): nodes refs of the side
% eR: tet ref


r = zeros(3,1);
    
siR = 0 ;
    
for k = 1:1:4
        
	tmp = connT.ES(eR,k);
        
    for i = 1:1:3
        r(i) = connS.SV(tmp,i);
    end
    

        % is the side that has the 'r' nodes refs
        
        for a = 1:1:3
            if r(a)==nsR(1) || (r(a)==nsR(2) || r(a)==nsR(3))

                for b = 1:1:3

                    if b~=a
                    if r(b)==nsR(1) || (r(b)==nsR(2) || r(b)==nsR(3))

                        for c = 1:1:3

                            if c~=a && c~=b
                            if r(c)==nsR(1) || (r(c)==nsR(2) || r(c)==nsR(3))

                                siR = tmp ;
                                break

                            end    
                            end
                        end

                        if siR>0
                        break
                        end

                    end
                    end

                end

                if siR>0
                break
                end

            end
        end

	if siR>0
	break
    end
  
end

end

