function [outS] = ts1619_outElem (IP, connT, Av, nd)

% RETURNS:
% outS: element ref where the intermediate poin lies (when IP is outside its corresponding element)

pudim = 3 ;
NE = size(connT.EV,1);

outS = [ 0 0 0 0 ] ;

for e = 1:1:NE
    
    Anod = zeros(4,pudim);
    for k = 1:1:4
        
        nR = connT.EV(e,k);
        Anod(k,:) = Av(nR,:);
        
    end
    
    [IN, sR, lR, ~, ~] = go2539_PinTet (Anod, IP, nd);
    
    if IN > 0
        
        outS(1,1) = IN ;
        
        if IN == 2
            
            % side:
            outS(1,2) = sR ;
            
        elseif IN == 3
            
            % edge:
            outS(1,2) = lR ;
            outS(1,3) = lR ;
            
        elseif IN == 4
            
            if NOTCHECKED == 0
            end
            
        end
        
        outS(1,4) = eR ;
    end
    
    
end




end

