function [pNE, connT, MLT, THC, fpF, teR2] = ei1640_flipLine ...
         (contaL, teR1, pNE, connT, MLT, THC, connS, ILn, mLR, isi, tolL, nd)

% RETURNS:
% pNE and connT: updated in case there is tets flipping to include the MLT missing line.
% ilR: intersected line ref of the tets, in case exist, otherwise ilR = 0
% fpF = 1 if there is flipping, otherwise = 0
% clF = 1 if there is common line of tets intersected, otherwise = 0


pudim = 3 ;
Nis = size(isi,1);

fpF = 0 ;
teR2 = teR1 ;


% 1.- DETECTION OF INTERSECTION: INTERSECTION POINT, INTERSECTED EDGE and ATTACHED SIDES/TETS:   

[IP, ilR,~,~] = ei1641_IP (contaL, connT, connS, THC, Nis, isi, tolL, nd);



if ilR == 0 
    return % no intersection with edge found
else
   
    
% All elements attached to such line (ilR):
Nel = size(teR1,1);
elR = teR1 ;


% 2.- IDENTIFIES FLIPPING CASE:
    
[fpF, connT] = ei1642_FlippCase (contaL, ILn, mLR, THC, connT, MLT, ilR, elR, Nel) ;
    
if fpF == 1
    
    pNV = size(THC.Av,1);
    [connT] = th1333_oConnL (pNE, pNV, connT.EV);
    
   return 
end



end

