function [mtF, cnR] = mt1691_chkTnod (eAv, meR, Anod, pL, connT, THC)

% RETURNS: 

% mtF: moved tet node = 1 if tet node is moved
% cnR: closest node ref of tets

pudim = 3 ;


bave = tm1313_bave (Anod, pudim);
tD = bave * pL / 100; % threshold distance


% 1.- STORES NODES REFS and THEIR DISTANCE TO eAv:

d = zeros(pudim,1);
cnRl = 0 ;

rd = zeros(4,2);

for k = 1:1:4

    for di = 1:1:pudim
        d(di,1) = eAv(di,1) - Anod(k,di);
    end
    
    nd = norm(d);
    
    rd(k,1) = k ;
    rd(k,2) = nd;
    
end

rd = sortrows(rd,2);



% 2.- EVALUATES IF EXISTS A NODE NOT AT MLT AND CLOSER THAN eAv THAN tD:

mtF = 0 ;
cnR = 0 ;

for k = 1:1:4
    
    nR = connT.EV(meR,rd(k,1));
    
    if rd(k,2) < tD && THC.rm(nR,1) < 0
        
        mtF = 1 ;
        cnR = nR ;
        break
    end
    
end



end

