function [LVcon] = uc1908_upLVconto (NL, Nlv, NE, TVcon, contaL, cLoop)

% RETURNS:
% LVcon updated, but keeping the contour order

LVcon = zeros(1,2);
NLI = 0 ;


% First are the contour loops:

accV = 0 ;

for L = 1:1:NL

    for k = 1:1:Nlv(L,1)
        
        NLI = NLI + 1 ;
        
        LVcon(NLI,1) = NLI;
        LVcon(NLI,2) = NLI+1;
        
        if k == Nlv(L,1)
            LVcon(NLI,2) = accV+1;
        end  
    end
    
    accV = accV + Nlv(L,1);

end


% Rest of the lines:

r = [1 2 3 1];



for e = 1:1:NE
    
    for i = 1:1:3
        
        % candidate couple of nodes:
        n1 = TVcon(e,r(i));
        n2 = TVcon(e,r(i+1));
        
        % check if they're IN already and adds if not:
        aIN = 0 ;
        for j = 1:1:NLI
            
            if (LVcon(j,1)==n1 && LVcon(j,2)==n2) || (LVcon(j,2)==n1 && LVcon(j,1)==n2) 
                aIN = 1;
                break
            end
            
        end
        
        if aIN == 0
            NLI = NLI + 1 ;
            LVcon(NLI,1) = n1 ;
            LVcon(NLI,2) = n2 ;
        end
        
    end
end


end

