function [LTcon, VLcon, TLcon, VTcon] = uc1909_oConn (NE, NV, TVcon, LVcon)


% 1.- Line edges - vtx conn. matrices LVcon: already given

NLI = size(LVcon,1);
r = [1 2 3 1];


% 2.- Vertex - lines:

VLcon = zeros(NV,1);

for l = 1:1:NLI
for i = 1:1:2

	vR = LVcon(l,i);
  
    
	addF = 0 ;
    for j = 1:1:size(VLcon,2)
            
        if VLcon(vR,j)==0
                
            VLcon(vR,j) = l ;
            break
                
        elseif j == size(VLcon,2)
                
            addF = 1 ;
                
        end 
    end
        
    if addF == 1
	VLcon(vR,j+1) = l ;
    end  
    
end
end


% 3.- Triangles - lines:

TLcon = zeros(NE,3);

for e = 1:1:NE
    
    contaL = 0 ;

    for i = 1:1:3
        
        n1 = TVcon(e,r(i));
        n2 = TVcon(e,r(i+1));

        for l = 1:1:NLI
            
            conta = 0;
            for j = 1:1:size(LVcon,2)
                
                if LVcon(l,j)==n1 || LVcon(l,j)==n2 
                    conta = conta + 1 ;
                end
                if conta==2
                    break
                end
            end
            
            if conta==2
                contaL = contaL + 1 ;
                TLcon(e,contaL) = l ;
                break
            end
            
        end
        
    end
    
end


% 4.- Triangles - lines:

LTcon = zeros(NLI,2);

% first element

e = 1 ;

for L = 1:1:3 
    LR = TLcon(e,L);
    LTcon(LR,1) = e ;
end


% rest of elements:

for e = 2:1:NE
    
    for L = 1:1:3
        
        LR = TLcon(e,L);
        
        if LTcon(LR,1)==0
            LTcon(LR,1) = e ;
        else
            LTcon(LR,2) = e ;
        end
    
    end
    
end


% 5.- Vtx - triangles:

VTcon = zeros(NV,1);

nev = zeros(NV,1); % No. elms attached to each vtx


for e = 1:1:NE 

	for i = 1:1:3 
        
        vr = TVcon(e,i);
        
        nev(vr) = nev(vr)+1;
        
     	VTcon(vr,nev(vr)) = e ;
        
	end

end







end