function [affE, Nae] = im2103_affElems(IEnet, netCoor, udim)

% RETURNS:
% affE(Nae): affected elements by the partition in elements whose coord's in IEnet are netCoor


% size of IEnet
tam = [ size(IEnet,1), size(IEnet,2), size(IEnet,3)];

Nae = 0 ;
affE = zeros(1,1); % 'first 1' will increase up to final Nae


% searches first non-zero in each direction in each sense:

nc = zeros(udim,1); % abreviated net coordinates
for di=1:1:udim
    nc(di) = netCoor(di);
end


for di=1:1:udim
for sentido = -1:2:1
    
    Efound = 0 ;
    acc = 1;
    nc(di) = netCoor(di) + sentido * acc ;

    while nc(di) > 0 && nc(di) < tam(di)+1

        eR = IEnet(nc(1), nc(2), nc(3));

        if eR > 0
            Efound = eR ;
            break
        end

        acc = acc + 1 ;
        nc(di) = netCoor(di) + sentido * acc ;
    end

    if Efound > 0
        Nae = Nae + 1 ;
        affE(Nae,1) = Efound ;
    end

    % re-start nc(di) value:
    nc(di) = netCoor(di);
    
end
end

end

