function [netCoor] = im2105_netCoor (IEnet, effKV, iuc, udim)

% RETURNS:
% netCoor(udim,1): coordinates (psition) of elemetn with Ucoor iuc(udim) in IEnet

netCoor = zeros(udim,1);

for di=1:1:udim
    
    iFlag = 0 ;
    for i = 1:1:size(IEnet,di)+1

        if effKV(di,i) < iuc(di)    
        elseif effKV(di,i) == iuc(di)
            
            iFlag = 1 ;
            netCoor(di) = i-1 ;
            
        else
            
            if iFlag == 0
                
                iFlag = 1 ;
                netCoor(di) = i-1 ;
                
            elseif iFlag == 1  
            end
            
        end
    end 
end

end

