function [ Txi ] = GEM_0605_planTriCoor(xVer, xi, n)

% RETURNS:
% anod(3,1):    triangular coord's of certain location xi

% INPUTS:
% xVer(3,2):    coord's of vertex
% xi(2,1):      location where compute Txi
% n:            order of the triangle

% anod = d/D
% d: distance from xi to opp. edge
% D: distance from vertex to opp edge

Txi = zeros(3,1);

Pr = zeros(2,1);
vr = zeros(2,1);

oppV = zeros(2,1);

for i=1:1:3
    
    if i == 1
        b =2 ;  c = 3 ;
    elseif i==2
        b = 3 ;  c = 1 ;
    elseif i == 3
        b = 1 ;  c = 2 ;
    end
    
    Pr(:) = xVer(b,:);
    vr(1) = xVer(c,1) - xVer(b,1);
    vr(2) = xVer(c,2) - xVer(b,2);
    
    oppV(:) = xVer(i,:);
    
    [ d , ~ ] = GEN_27_distPtoRecta( xi, Pr, vr, 2 );
    [ D , ~ ] = GEN_27_distPtoRecta( oppV, Pr, vr, 2 );

    Txi(i) = d/D * n ;
    
end








end

