function [dist, Vdist] = go2504_PtoBNURBSdist (Degree, Ncp, KnotV, Usize, P ,w, u, xdim, udim)

% RETURNS: 
% dist: distance from a point 'X' in physical space to a Bspline NURBS surface 'S' (B-spline, not T-spline)
% Vdist: vector of that distance (from X to S)

% INPUTS:

% xdim: physical space dims = 3

% derivatives of surface
ord = [2 2];

[dS] = GEN02a01_BNURBS_deriv (Degree, Ncp, KnotV, Usize, P ,w, ord, u, xdim, udim);

dist  = 0 ;
Vdist = zeros(xdim,1);





end

