function [G] = GEN_07_cdgT (Nn, Cnod, dim)

% RETURNS:
% G(dim): centre of gravity of triangle or tetrahedral

% INPUTS:
% Nn:           No. nodes
% Cnod(Nn,dim): coor's of each node
% dim:          No. dimensions

G = zeros(dim,1);

for di=1:1:dim
    
    for nod = 1:1:Nn

        G(di) = G(di) + Cnod(nod,di)/Nn ;

    end
    
end


end

