function [x, iF, cF] = go2528_LineSegmIntersct (P, tita, a,b, modo, nd)

% RETURNS:
% x: intersection point coord's btn line and segment (even if outside segment)
% iF: 'in' flag , iF = 1 if line P-tita intersects a-b
% cF: segment and line are in the same line (cF = 1 if that occurs)

% works in 2D

% INPUTS:
% P, tita: line point coords and angle (rads)
% a,b: segment end points coordinates


% 1.- Generates two points for the line:

p1 = P ;
p2 = [P(1)+cos(tita) , P(2)+sin(tita)];


% 2.- Check intersection

[x, iF2, pF] = go2526_TwoLinIntersec (p1,p2, a,b, modo, nd);


% 3.- In case of parallels checks coincidence:

cF = 0 ;

if pF == 1
for di=1:1:2  
    if (round(P(di),nd)==round(a(di),nd) && round(P(di),nd)==round(b(di),nd))
            
       cF = 1 ;
       break
            
    end   
end 
end


% 4.- Transfers if intersects:

iF = iF2(2);

end

