function [CO] = go2542_coincidentP (a, b, dim, nd)

% RETURNS: compares vectors a and b to check if are the same
% CO: 1 if a=b  /  0 if a~=b

% INPUTS:
% a,b(dim): vector components
% dim:      No. dimensions
% nd:       No. decimals (for rounding)

conta = 0;

for di = 1:1:dim
    
    if go2540_round (a(di), nd) == go2540_round (b(di), nd) 
        conta = conta + 1 ;
    end
end


if conta == dim
    CO = 1 ; 
else
    CO = 0 ;
end


end

