function [h] = go2547_dBtwn2Lines (A,u, B,v)


% RETURNS:
% h: distance between 2 lines

% INPUTS:
% A,u: point and vector of line 1
% B,v: point and vector of line 2


AB = B-A;

V = det([ AB' ; u' ; v' ]);
c = cross(u,v);

h = abs(V/norm(c));


end

