function [c] = go2549_cPr2r (A0, A,u, B,v, A1,A2, B1,B2, tolP)


% RETURNS:
% c(dim,1): closest point of one line to another line

dim = 3 ;


% if A,u are 0, computes them from A1,A2:

if A == 0 && u == 0
    
    A = A1;
    u = A2-A1;
    
   	B = B1;
    v = B2-B1;
    
end


% finds the point on A closest to B:

err = tolP + 1;
P = A0 ;

contaI = 0 ;

while err > tolP

    contaI = contaI + 1 ;
    
    Pp = P ;
    
    [~, d] = go2527_distPtoRecta (P, B, v, dim);
    P = P + d ;

    
    [~, d] = go2527_distPtoRecta (P, A, u, dim);
    P = P + d ;

    err = 100*norm(P-Pp) / norm(P);
    
end

c = P ;

end

