function [Ui] = go2553_halveSpan (U,s, n)

% RETURNS:
% Ui: inserts at mid point of span s of U

% INPUTS:
% U: original sequence
% s: span to halve
% nk: No. elements of U

Ui = zeros(n+1,1);

j = 0 ;
for i = 1:1:n
    
    j = j+1;
    
    if i==s
        
        Ui(j,1) = U(i);
        j = j+1;
        if i==n
            Ui(j,1) = (U(i-1)+U(i))/2;
        else
            Ui(j,1) = (U(i)+U(i+1))/2;
        end
        
        
    else
        
        Ui(j,1) = U(i);
        
    end
    
end



end

