function [f1S, f2S, f3S] = go2554_S_normS (u, Degree, Ncp, KnotV, Usize, P ,w, xdim, udim, p)

% RETURNS
% f3S(xdim,1): third seminorm of a NURBS surface at location u

f1S = zeros(xdim,1);
f2S = zeros(xdim,1);
f3S = zeros(xdim,1);

ord = [3 3];

[dS] = b2701_BNURBS_deriv (Degree, Ncp, KnotV, Usize, P ,w, ord, u, xdim, udim);

%{
Su = zeros(xdim,1);
Sv = zeros(xdim,1);

Su(:,1) = dS(2,1,:);
Sv(:,1) = dS(1,2,:);
%}

Su = zeros(xdim,1);
Sv = zeros(xdim,1);

Suu = zeros(xdim,1);
Suv = zeros(xdim,1);
Svv = zeros(xdim,1);

Suuu = zeros(xdim,1);
Suuv = zeros(xdim,1);
Svvu = zeros(xdim,1);
Svvv = zeros(xdim,1);

Su(:,1) = dS(2,1,:);
Sv(:,1) = dS(1,2,:);



Suu(:,1) = dS(3,1,:);
Suv(:,1) = dS(2,2,:);
Svv(:,1) = dS(1,3,:);

Suuu(:,1) = dS(4,1,:);
Suuv(:,1) = dS(3,2,:);
Svvu(:,1) = dS(2,3,:);
Svvv(:,1) = dS(1,4,:);



for di = 1:1:xdim
    
    f1S(di,1) = ( Su(di)^p + Sv(di)^p ) ^ (1/p) ; 
    f2S(di,1) = ( Suu(di)^p + Suv(di)^p + Svv(di)^p ) ^ (1/p) ; 
    f3S(di,1) = ( Suuu(di)^p + Suuv(di)^p + Svvu(di)^p + Svvv(di)^p ) ^ (1/p) ; 
    
end




end

