function [u] = b2811_PPonePoint (x, Degree, Ncp, KnotV, Usize, P ,w, CD, xdim, udim)


% 1.- Computes some parameters to use afterwards and first Ucoor for first Xcoor point projection:

[ULims, seekst, ut, dmin, tolDist] = ...
    b2841_preparPProj (x, Degree, Ncp, KnotV, Usize, P,w, xdim, udim);                          

% Rounds up to achieve same precision as in GEN_03_FindSpan
ut = round(ut,12); 


% 2.- Works out the searching:
    
[ut] = b2803_PP_with_preSel ...
    (x, ut, ULims, seekst, dmin, tolDist, Degree, Ncp, KnotV, Usize, P ,w, CD, udim, xdim);


% 3.- Transfers to response with components:

u = zeros(udim,1);
for di=1:1:udim
    u(di) = ut(di);
end


end

