function [cX, N, Degree, Ncp, KnotV, Usize, ULims, P, w, EP, Ew, CD] = s2851b_case1 (udim, xdim)

% surface and row of points to do PP
% deformed plate inigially L x H

L = 100 ;
H = 50 ;

% 1.- Defines surface:

CD = [0 0] ;

Usize = [8 9];

KnotV = [...
    0 0 0 0.3  0.45 1 1 1 0;
    0 0 0 0 0.5 1 1 1 1 ];

Ncp = [5 5] ;
Degree = [2 3] ;

P = zeros(Ncp(1)*Ncp(2),xdim);
w = zeros(Ncp(1)*Ncp(2),1);



DL = L/(Ncp(1)-1);
DH = H/(Ncp(2)-1);

conta = 0 ;

Xacc = 0 ;
for i = 1:1:Ncp(1)
    
    Yacc = 0 ;
    for j = 1:1:Ncp(2)

        conta = conta + 1 ;
        
        P(conta,1) = Xacc;
        P(conta,2) = Yacc;

        w(conta) = 1 ;

        Yacc = Yacc + DH;
    end
    Xacc = Xacc + DL;
end

P(20,3) = -20 ;
P(21,3) = -20 ;
P(22,3) = -15 ;
P(23,3) = 0 ;
P(24,3) = 25 ;
P(25,3) = 25 ;

P(6,1) = 28 ;   P(6,2) = 20 ; P(6,3) = -12 ;
P(7,1) = 24 ;   P(7,2) = 10 ; P(7,3) = -2 ;
P(8,1) = 20 ;   P(8,2) = 5 ; P(8,3) = 6 ;
P(9,1) = 15 ;   P(9,2) = 0 ; P(9,3) = 15 ;
P(10,1)= 10 ;   P(10,2) = -5 ;P(10,3) = 30 ;

P(1,1) = -2 ;   P(1,2) = -12 ; P(1,3) = -12 ;
P(2,1) = -2 ;    P(2,2) = -12 ; P(2,3) = -2 ;
P(3,1) = 0 ;    P(3,2) = -12 ; P(3,3) = 6 ;
P(4,1) = 5 ;   P(4,2) = -12 ; P(4,3) = 15 ;
P(5,1) = 10 ;  P(5,2) = -12 ; P(5,3) = 30 ;

w(5)=0.5 ;
w(3) = 0.707 ;
w(10) = 0.707 ;


ULims = [...
        KnotV(1,1) KnotV(1,Usize(1));
        KnotV(2,1) KnotV(2,Usize(2))];

    
[Ew,EP] = GEN_12_ExpandBw (w, P, xdim, udim, Ncp);
    
% 2.- Path points to search:

cX = [  0 0 0 ;  5 1 2 ; 10 5 2 ; 20 8 4 ; 30 12 3];

N = size(cX,1);





end

