function [Nseg, segL] = su2915_segm (Nseg, segL, CLu, lo, po, sdi, pdi)

% UPDATES:
% segments

% INPUTS:
% Nseg, segL, segD: prev. segments matrices
% CLu: loop Ucoord's
% po: point if the loop 'lo' CLu
% sdi: direction to evaluate if is the same
% pdi: perp to sdi

if round(CLu(lo,po,sdi),9) == round(CLu(lo,po-1,sdi),9)

    if Nseg == 0

        % first segment
        Nseg = 1 ;
        segL(1,sdi,1) = CLu(lo,po-1,sdi);   segL(1,sdi,2) = CLu(lo,po,sdi);
        segL(1,pdi,1) = CLu(lo,po-1,pdi);   segL(1,pdi,2) = CLu(lo,po,pdi);

    elseif Nseg > 0

        % belongs to last segment: updates limit 2
        if round(CLu(lo,po,sdi),9) == round(segL(Nseg,sdi,2),9)

        segL(Nseg,pdi,2) = CLu(lo,po,pdi);

        % new segment
        else

        Nseg = Nseg+1;
        segL(Nseg,sdi,1) = CLu(lo,po-1,sdi); segL(Nseg,sdi,2) = CLu(lo,po,sdi);
        segL(Nseg,pdi,1) = CLu(lo,po-1,pdi); segL(Nseg,pdi,2) = CLu(lo,po,pdi);

        end

    end
                
end




end

