function [IN] = su2916_INsegm (b, Nseg1, segL1, Nseg2, segL2)

% RETURNS:
% IN check if point 'b' is aligned with segments, if so 
% checks that if is out of the segments scope, if so => turns IN to 0

IN = 1 ;


% segments parallel to dir 1:
sdi = 2 ;
for s = 1:1:Nseg1
    
    % segment limits
    a = [segL1(s,1,1) , segL1(s,2,1)];
    c = [segL1(s,1,2) , segL1(s,2,2)];
    
    Ucte = segL1(s,sdi,1); % constant u
    
    if round(Ucte,9) == round(b(sdi),9)
        
        % if is in the line checks if is out ot the segment
        [ON] = go2520_PonSegment (b, a,c, 2, 0.5);
        
        if ON==0
            IN = 0 ;
        end
    end
end


% segments parallel to dir 2:
sdi=1;
for s = 1:1:Nseg2
    
    % segment limits
    a = [segL2(s,1,1) , segL2(s,2,1)];
    c = [segL2(s,1,2) , segL2(s,2,2)];
    
    Ucte = segL2(s,sdi,1); % constant u
    
    if round(Ucte,9) == round(b(sdi),9)
        
        % if is in the line checks if is out ot the segment
        [ON] = go2520_PonSegment (b, a,c, 2, 0.5);
        
        if ON==0
            IN = 0 ;
        end
    end
end



end

