function [eNicp, eRicpA] = su2920_icpFromE (u, nELp, mE, FtoIe, udim)

% RETURNS:
% icps of one location (u = Ucoor) using elems from rect. mesh

eNicp = 0 ;
            
for e = 1:1:nELp
                
    eR = FtoIe(e);
    domL = mE(eR).mPcoLi;

    IN = GEN_08_Orthodom_Pin_ndec (u, domL, udim, 'closed', 9);

    if IN ==1

        if eNicp == 0
            eRicpA = mE(eR).mRicpA;
        else
            eRicpA = [eRicpA ; mE(eR).mRicpA];
        end
        
        eNicp = eNicp + mE(eR).mNicp;

    end
end

end

