function [Xcoor, Acoor, AcoorS] = su2925_XAcoords ...
    (Ucoor, eKnotV, eNcp, eDegree, eUsize, eEw,eEP,...
    Amid,  pDegree,  pNcp,  pKnotV,  pUsize,  pP , pw, pEP , pEw,  pCD,  pULims,...
    AmidS,spDegree, spNcp, spKnotV, spUsize, spP ,spw, spEP ,spEw, spCD, spULims,...
    couR, eudim, xdim, Xtol, DUtol)

% Physical coordiante (from surface parameter coordinates):

Xcoor  = b2601_BNURBS_Xcoord ...
(Ucoor, eKnotV, eNcp, eDegree, eUsize, eEw, eEP, eudim, xdim);
    
% Master patch parameter coordinates:

Amid = Amid';

[Acoor,~] = v2865b_onePoint ...
(Xcoor, Amid, pDegree, pNcp, pKnotV, pUsize, pP ,pw, pEP ,pEw, pCD, pULims, xdim, Xtol, DUtol);



% Slave patch parameter coordinates:

AcoorS = 0 ;

if couR > 0
    
    AmidS = AmidS';
    
    [AcoorS,~] = v2865b_onePoint ...
    (Xcoor, AmidS, spDegree, spNcp, spKnotV, spUsize, spP ,spw, spEP ,spEw, spCD, spULims, xdim, Xtol, DUtol);
end
    

end

