function [cP, ncp] = z2942_closeP (envR, neE, preP, xdim)

% RETURNS:
% cP(ncp,xdim): points of envR that contains any preP
% ncp: No. close points


nPR = size(preP,1); % No. preP points
P = zeros(xdim,1);
cP = zeros(1,xdim);

contaP = 0 ;


% 01.- LOOP ON preP TO DETECT RECT. ELEM THAT COTAINS IT:


for po = 1:1:nPR
    
    for di=1:1:xdim
        P(di) = preP(po,di);
    end
    
    for e = 1:1:neE

        domL = envR(e).Lims ;
        %IN = GEN_08_Orthodomain_Pin (P, domL, xdim, 'closed');
        IN = GEN_08_Orthodom_Pin_ndec (P, domL, xdim, 'closed', 9);
        
        % if finds rect. containing preP, stores corner coordinates 
        % and jumps to next rect.
        if IN==1
            
            % stores in temp candidate points:
            contaL = 0 ;
            temp = zeros(2^xdim,1);
            
            for i=1:1:2
            for j=1:1:2
                
                if xdim==2
                    
                    contaL = contaL + 1 ;
                    temp(contaL,1) = domL(1,i);
                    temp(contaL,2) = domL(2,j);
                    
                elseif xdim==3
                    
                    for k=1:1:2

                        contaL = contaL + 1 ;
                        temp(contaL,1) = domL(1,i);
                        temp(contaL,2) = domL(2,j);
                        temp(contaL,3) = domL(3,k);
                        
                    end
                end
            end
            end
            
            
            
            % stores if they are not already in:
            
            X = zeros(xdim,1);
            
            for i = 1:1:2^xdim
                
                X(:,1) = temp(i,:);
                [alreadyIN] = GEN_21_alreadyIN_simpler (cP, size(cP,1), xdim, X);
                
                if alreadyIN==0
                    contaP = contaP + 1 ;
                    for di=1:1:xdim
                        cP(contaP,di) = X(di);
                    end
                end
            end
            
            break
        end
        
    end
    
end



% 02.-  MAKES FINAL ANSWER:

ncp    = size(cP,1);




end

