function [ ] = r3012_Bentis (Spatches, pa, Bentities, Stp, xsF, usF, sc, xdim, udim)

% No. and ref's of B.E. attached to that patch:
pnbe = Spatches(pa).nbe ;
pRbe = Spatches(pa).Rbe ;


stL = 0.05 ;


for b = 1:1:pnbe
    
    bR = pRbe(b);

    
   	% 1.- Skin coord's, deformed (and scaled) and un-deformed:
    
    [Cv, Cv0] = r3020_EskVtx (Bentities, bR, pa, Stp, sc, xsF, usF, xdim);


    % 2.- Plots skin surface:
    
    NV  = Bentities(bR,1).INS(Stp,1).skin.mNV;
    NE  = Bentities(bR,1).INS(Stp,1).skin.mNE;
    TVcon  = Bentities(bR,1).INS(Stp,1).skin.mTVcon;
    ST = ones(NV,1);
    udfF = 0 ;
    
    r3019_skin (NE, Cv, Cv0, ST, TVcon, udfF);
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %{
    
    figure(bR)
    scatter3( Cv(:,1), Cv(:,2),Cv(:,3),'r'); hold on
    axis equal
    %}
    
	% 3.- Prints contours:

    Nlo  = Bentities(bR,1).INS(Stp,1).skin.mNlo;
    Nlv  = Bentities(bR,1).INS(Stp,1).skin.mNlv;
    LVcon = Bentities(bR,1).INS(Stp,1).skin.mLVcon;
    
    [Npl, LCv] = r3016_contoCoor (stL, Cv, Nlo, Nlv, LVcon, xdim);
    r3018_contour (Nlo, Npl, LCv, 'k', 3);
    

    % {
    
    % 4.- REFERENCES:
    r3015_BErefs (NV, Cv, bR, xdim);

    %}
end


end

