function [] = r3018_contour (Nlo, Npl, LCv, cr, Lw)

% ACTIONS:
% Draws skin contours

% assumes 3D, if not you must extend dimensions before call this function

% INPUTS:
% Nlo, Npl: No. loops, No. points per loop and coordinates
% LCv(Nlo,Npl,dim)

for lo = 1:1:Nlo
    
    x = zeros(Npl(lo,1),1);
    y = zeros(Npl(lo,1),1);
    z = zeros(Npl(lo,1),1);
    
    for v = 1:1:Npl(lo,1)
        
        x(v,1) = LCv(lo,v,1);
        y(v,1) = LCv(lo,v,2);
        z(v,1) = LCv(lo,v,3);  
        
    end
    
    pcon = plot3(x,y,z,cr, 'LineWidth',Lw); hold on 
    
end


% alpha(pcon, al) ;


end

