function [dkr, nk, dur, nu] = at3164_unknows (Ncp, nNod)

% RETURNS:
% dkr(nk): known refs
% dur(nu): unknown refs

% Nodes references for 'ua' (internals) and 'ub'(contour):

nk  = 2*Ncp(1) + 2*(Ncp(2)-2);
dkr = zeros (nk , 1);

contaR = 0;

for j = 1:1:Ncp(2)
    contaR = contaR + 1 ;
    dkr(contaR) = j ;
end

for i = 2:1:Ncp(1)-1
for j = 1:Ncp(2)-1:Ncp(2)
    contaR = contaR + 1 ;
    dkr(contaR) = (i-1)*Ncp(2) + j ;
end
end

for j = 1:1:Ncp(2)
    contaR = contaR + 1 ;
    dkr(contaR) = (Ncp(1)-1)*Ncp(2) + j ;
end

% un-known refs:
nu = nNod - nk ;
dur = zeros(nu , 1);

contaR = 0;
for i = 2:1:Ncp(1)-1
for j = 2:1:Ncp(2)-1

    contaR = contaR + 1 ;
    dur(contaR,1) = (i-1)*Ncp(2) + j ;
end
end

end

