function [Sbsurf, Sbound] = ri3193_Bound (bsurf, bound, Nbs, Nbo)


Sbsurf(1) = struct('R',0,'suR',0, 'Nob',0, 'boR', []);
Sbound(1) = struct('R',0,'Noc',0, 'cuR',[], 'cuO', []);

if Nbs > 0

    Sbsurf(Nbs) = struct('R',0,'suR',0, 'Nob',0, 'boR', []);
    for b = 1:1:Nbs

    	Sbsurf(b).R    = bsurf(b,1);
        Sbsurf(b).suR  = bsurf(b,3);
        Sbsurf(b).Nob  = bsurf(b,4);
    
        for i=1:1:Sbsurf(b).Nob
            Sbsurf(b).boR(i)  = bsurf(b,4+i);
        end
   
    end

    Sbound(Nbo) = struct('R',0,'Noc',0,'cuR',[], 'cuO', []);
    for b = 1:1:Nbo
        
    	Sbound(b).R    = bound(b,1);
        Sbound(b).Noc  = bound(b,5);
        
        j = 1 ;
        for i=1:1:Sbound(b).Noc
            Sbound(b).cuR(i)  = bound(b,5+j);
            Sbound(b).cuO(i)  = bound(b,5+j+1);
            j = j+3;
        end
    end

end


end

