function [Sbsurf, Sbound] = ri3195_rFrom1bSur ...
(Sbsurf, Sbound, Ssurf, Scurves, Nbs, Nbo, Nsu, Ncu)


% 1.- Boundaries ref => affected bounded surfaces:

rm = zeros(Nbo,1);

for b =1:1:Nbo
   rm(b) = Sbound(b).R ; % boundaries refs
end


for s = 1:1:Nbs % loop on bounded surfaces
    
    for b = 1:1:Sbsurf(s).Nob

        boR = Sbsurf(s).boR(b);
        
        for gb = 1:1:Nbo
            
            if boR == rm(gb)
                Sbsurf(s).boR(b) = gb;
                break
            end
            
        end
        
        
    end
end



% 2.- Surfaces refs => affected bounded surfaces:

rm = zeros(Nsu,1);

for s = 1:1:Nsu
    rm(s) = Ssurf(s).R;
end


for b = 1:1:Nbs % loop on bounded surfaces
    
    suR = Sbsurf(b).suR;
    
    for gs = 1:1:Nsu
        
        if suR == rm(gs)
            Sbsurf(b).suR = gs;
            break
        end
        
    end
       

end



% 3.- Curves => affected boundaries:

rm = zeros(Ncu,1);

for c =1:1:Ncu
   rm(c) = Scurves(c).R ; % curves refs
end


for s = 1:1:Nbo % loop on boundaries
    
    for c = 1:1:Sbound(s).Noc
        
        cuR = Sbound(s).cuR(c);
        
        for gc =1:1:Ncu
            
            if cuR == rm(gc)
                Sbound(s).cuR(c) = gc;
                break
            end
        end
    end
end


end

