function [Ltotal, Rc, NS] = ts3317_FixSize ...
         (c, cKnotV, cNcp,cDegree,cUsize, cB, cw, cUdim, cXdim, cNmin, R)

% RETURNS:
% Ltotal:   total lenght of the curve
% Rc:       current target segments lenght
% NS:       No. segments to compute


% 1.- Estimates total L:


%cKnotV = round(cKnotV,5);

[Ltotal] = ts3320_Ltotal (cKnotV,cNcp,cDegree,cUsize, cB,cw, cUdim,cXdim);

%{
if round(cB(1,1),4)==32.3933

    Ltotal
    
end
%}


% 2.- Computes L segment to cNmin and compares with ctam. 
% computes reference length (LR) and number of segments (NS)

NS = cNmin ;
Rc = Ltotal/NS;

% if ref. Length is greater than min. ctam => updates NS to make ctam lead.
if Rc > R
    NS = round(Ltotal / R); % + 0.5) ;
    Rc  = Ltotal/NS;
end






end

