function [Lc] = ts3319_Lsegm (u1,u2, NGP, cKnotV, cNcp,cDegree,cUsize, cB, cw, cUdim, cXdim)

% RETURNS:
% Lc: length of NURBS curve between u1 and u2.

[GPpc, Wg] = ip2301_GP_1D (NGP);

unp = [u1 ; u2];

Lc = 0 ;

[dJ2] = j2313_Jac2_elem (2, cUdim, 0, unp');

for g = 1:1:NGP
    uG = GPpc(g);
    u = m2321_parentMapping (uG, unp, 1,2);
    [~,dJ1] = j2315_J1_Bspline (u, cKnotV, cNcp, cDegree, cUsize, cB, cw, cUdim, cXdim);
    
    Lc = Lc + dJ2 * dJ1 * Wg(g)  ;
end


end

