function [u] = ds3325_backUcoor (u)

% Moves u back to the domain in case lies outside ULims

    % 1.1.- Case of corner: checks u itself, not elements references

    erCorner = 0;

    if u(1)<=0 && u(2)<=0 % corner 1

        u = [ 0 ; 0 ];
        erCorner = 1;

    elseif u(1)<=0 && u(2)>=1  % corner 2

        u = [ 0 ; 1 ];
        erCorner = 2;  

    elseif u(1)>=1 && u(2)<=0  % corner 3

        u = [ 1 ; 0 ];  
        erCorner = 3;

    elseif u(1)>=1 && u(2)>=1  % corner 4

        u = [ 1 ; 1 ];  
        erCorner = 4;   

    end


    % 1.2.- Detects if perimeter:

    if erCorner==0

        if u(1)<=0 % perimeter 1

            u(1) = 0 ;

        elseif u(1)>=1  % perimeter 2

            u(1) = 1 ;

        elseif u(2)<=0  % perimeter 3

            u(2) = 0 ;

        elseif u(2)>=1  % perimeter 4

            u(2) = 1 ;

        end
    end

end

