function [sXvt, sUvt, sRvt, contaP] = sv3340c_sideVtx (sXvt, sUvt, sRvt, contaP, ua, ra, ...
    Td, Ld, R, Rs,tita, dSmesh,Dspline, sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, ndig, DerC)

d2r = 3.14159/180 ;

sXdim = 3 ;
sUdim = 2 ;

% 1.- Aux. vtx: at R/2 above

[ua] = dp3350_DPincrement ...
(R/2,tita, ua, dSmesh,Dspline, sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, sXdim, ndig, DerC);


% 2.- Vtx 2: Rs at LHS, and R/2 above

contaP = contaP+1;

tita1 = tita + 90*d2r;

[ub] = dp3350_DPincrement ...
(Rs,tita1, ua, dSmesh,Dspline, sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, sXdim, ndig, DerC);

[X] = rs3333_Xcoor (ub, Dspline, dSmesh, sKnotV, sNcp, sDegree, sUsize, sEw, sEP, ULims, sUdim, sXdim, DerC);
%[X] = b2601_BNURBS_Xcoord (ub, sKnotV, sNcp,sDegree,sUsize, sEw,sEP, sUdim, sXdim);

rb(Td,1) = -R ;
rb(Ld,1) = ra(Ld,1)+R/2 ;

sXvt(contaP,:) = X(:,1);
sUvt(contaP,:) = ub(:,1);
sRvt(contaP,:) = rb(:,1);

% 3.- Vtx 3: Rs at RHS, and R/2 above

contaP = contaP+1;

tita1 = tita - 90*d2r;

[ub] = dp3350_DPincrement ...
(Rs,tita1, ua, dSmesh,Dspline, sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, sXdim, ndig, DerC);

[X] = rs3333_Xcoor (ub, Dspline, dSmesh, sKnotV, sNcp, sDegree, sUsize, sEw, sEP, ULims, sUdim, sXdim, DerC);
%[X] = b2601_BNURBS_Xcoord (ub, sKnotV, sNcp,sDegree,sUsize, sEw,sEP, sUdim, sXdim);

rb(Td,1) = R ;
rb(Ld,1) = ra(Ld,1)+R/2 ;

sXvt(contaP,:) = X(:,1);
sUvt(contaP,:) = ub(:,1);
sRvt(contaP,:) = rb(:,1);

end

