function [fc] = rb3372_firstC (cp, ct, si, cornerFcp, R)

% RETURNS: 
% fc: first contour nodes to central node or point 'cp'

fc = zeros(6,3);

% 1.1.- Nodes ref's:

fc(1,1) = cp + (6*ct + (si-1));
fc(2,1) = fc(1,1) + 1 ;
fc(3,1) = cp + 1 ;
fc(4,1) = cp - (6*(ct-1) + (si-1));
fc(5,1) = fc(4,1) - 1 ;
fc(6,1) = cp - 1 ;

if cornerFcp == 1

    fc(5,1) = cp - 1 ; 
    if si==1
        fc(5,1) = cp + 6*ct - 1 ;
    end
    
    fc(6,1) = fc(1,1) - 1 ;
    if si==1
        fc(6,1) = fc(1,1) + 6*(ct+1) - 1 ;
    end
    
end


% 1.2.- Distances and angles:

ini = [1 2 3 4 5 6];
alfas = [ 0 60 120 180 240 300 0 60 120 180 240 300 ] / 57.2958 ;

for i = 1:1:6
    
   fc(i,2) = R ; 
   fc(i,3) = alfas(i-1+ini(si));
   
end


end

