function [err] = rs3386_Eadapt(Degree, Ncp, KnotV, Usize, P,w, a, b, fa, fb, fa2, fb2, Du, tita)

xdim = 3 ;
udim = 2 ;

fav = (fa + fb)/2;
estR = fav ; % estimated reference to compate with

f2 = max(abs(fa2),abs(fb2));
        
estEDP = f2*0.5*Du/2;
err = 100*estEDP/estR;

       
if err > 50
    
    c = cos(tita);
    s = sin(tita);
    
    dSu = zeros(xdim,1);
    dSv = zeros(xdim,1);
    
    [dS] = b2701_BNURBS_deriv (Degree, Ncp, KnotV, Usize, P,w, [1 1], (a+b)/2, xdim,udim);
    
    dSu(:,1) = dS(2,1,1,:);
    dSv(:,1) = dS(1,2,1,:);
    
    freal = norm(c*dSu + s*dSv);
    
    err = 100*abs(freal-fav)/freal;
    
end


end

