function [uULimE] = rs3387_insertULimE (ULimE, NE, nne, neL)

% RETURNS:
% uULimE(uNE,5): updated ULimE matrix

% INPUTS:
% ULimE(NE,5): initial ULimE withno new elements
% NE: initial No. elements
% nne: No. new elements
% neL(nne,5): new elements limits (and the 5th is th element referece)


% 1.- SETS RESPONSE AS INITIAL MATRIX:

uULimE = ULimE ;



% 2.- LOOP ON NEW ELEMENTS:

for e = 1:1:nne
    
    % NEacc = NE-1+acc ;
    NEacc = NE + e - 1;
    
    % 2.1.- Find where to include the new element: also finds out if is
    % first or last element:
    
    % sets first horquilla 'H'
    u = neL(e,1);
    [H, ri, fF, eF] = rs3388_findUrange (u, 1, NEacc, uULimE,1);
    

    if (ri == 0 && fF==0) && eF==0
        % sets 2nd horquilla 'H'
        u = neL(e,2);
        [H, ri, fF, eF] = rs3388_findUrange (u, H(1), H(2), uULimE,2);

        if (ri == 0 && fF==0) && eF==0
            % sets 3rd horquilla 'H'
            u = neL(e,3);
            [H, ri, fF, eF] = rs3388_findUrange (u, H(1), H(2), uULimE,3);

            if (ri == 0 && fF==0) && eF==0
                % sets 3rd horquilla 'H'
                u = neL(e,4);
                [H, ri, fF, eF] = rs3388_findUrange (u, H(1), H(2), uULimE,4);

            end
        end
    end
    
    
    
	% 2.2.- inserts at 'ri' row or first/latest, in uULimE:
    
    ieL = [ neL(e,1)  neL(e,2)  neL(e,3)  neL(e,4)  neL(e,5) ];
    
    if fF == 1                  % first case

        uULimE = [ieL ; uULimE(1:NEacc,:)];
        
    elseif eF == 1              % last case

        uULimE = [uULimE(1:NEacc,:) ; ieL];
        
    else                        % rest of the cases
        
        uULimE = [uULimE(1:ri,:) ; ieL ; uULimE(ri+1:NEacc,:)];
        
    end


end




end

