function [Lacv] = ts3391_plotcXv (NC, Ncv, cLXv, frcXv)


Lacv = zeros(NC,2); % curve aveg. segm. length and VC

if frcXv>0

    figure(frcXv)

    for c = 1:1:NC

        ns = Ncv(c)-1 ;
        Lx = zeros(ns,1); % segments lengths
        x  = zeros(Ncv(c),3); % vtx. positions
        
        
        % loop on curve:
        for i = 1:1:Ncv(c)
            
            for di=1:1:3 
                x(i,di) = cLXv(c,i,di);
            end
            
            u = zeros(3,1);
            v = zeros(3,1);
            if 1<i
                
                u(:,1) = x(i-1,:);
                v(:,1) = x(i,:);
                Lx(i-1) = norm(u-v);
            end
        end

        % plot curve
        plot3(x(:,1), x(:,2), x(:,3),'b'); hold on
        scatter3(x(:,1), x(:,2), x(:,3),'r','filled'); hold on

        % computes average and VC:
        
        Lx = Lx(1:ns-1);  % this 2 lines for removing the latest segment
        ns = ns - 1 ;
        
        Lacv(c,1) = sum(Lx)/(ns);
        
        s = 0 ;
        for i = 1:1:(ns)
            s = s + (Lacv(c,1) - Lx(i))^2 ;
        end
        
        s = (s/(ns))^0.5 ;
        
        Lacv(c,2) = 100*s/Lacv(c,1);
          
    end

    axis equal;
    
end


end

