function [g] = bf3401_Grev1D (U,n,p)

% RETURNS:
% g(n,1): greville points coordinates
    
% INPUTS:
% U: knot vector
% n: No. ct. points
% p: degree

g = zeros(n,1);

for i = 1:1:n
    
    acc = 0 ;
    for k = i+1:1:i+p 
        acc = acc + U(k);
    end
    
    g(i,1) = acc/p;
end


end