function [ipF, ilLR] = dt3703_intersLines (pAnod, tolL, nd)

% RETURNS:
ipF = 0 ; % intersection point flag
ilLR = zeros(2,1); % intersection lines local ref


pudim = 3 ;

% pairs of lines:
L1 = [ 1 2 ; 1 3 ; 1 4 ] ; % end nodes of lines
L2 = [ 3 4 ; 2 4 ; 2 3 ] ;

Lr1 = [ 1 , 3 , 4 ]; % lines refs
Lr2 = [ 6 , 5 , 2 ];

a1 = zeros(pudim,1);
b1 = zeros(pudim,1);

a2 = zeros(pudim,1);
b2 = zeros(pudim,1);

for p = 1:1:3 % loop on pairs of lines
    
    r11 = L1(p,1);
    r12 = L1(p,2);
    
  	r21 = L2(p,1);
    r22 = L2(p,2);
    
    a1(:,1) = pAnod(r11,:);
    b1(:,1) = pAnod(r12,:);
    u1 = b1-a1;
    
	a2(:,1) = pAnod(r21,:);
    b2(:,1) = pAnod(r22,:);
    u2 = b2-a2;
    
    [IP,~] = go2530_LinInters_nD (a1,u1, a2,u2, pudim, nd);
    
    ON1 = go2520_PonSegment (IP, a1,b1, pudim, tolL);
    ON2 = go2520_PonSegment (IP, a2,b2, pudim, tolL);
    
    if ON1 == 1 && ON2 == 1
        
        ipF = 1 ; 
        
        ilLR(1,1) = Lr1(p);
        ilLR(2,1) = Lr2(p);
        
        break
        
    end
    
end


end

