function [] = ts9902_elpise (a,b)

n = 41;

Dt = 90/57.3 ;

s = Dt/(n-1);

e = zeros(n,2);
de1 = zeros(n,2);
de2 = zeros(n,2);
de3 = zeros(n,2);

h = zeros(n,1);

n1 = zeros(n,1);
n2 = zeros(n,1);
n3 = zeros(n,1);

t = 0 ;

for i = 1:1:n
 
    e(i,1) = a*cos(t);
    e(i,2) = b*sin(t);

    de1(i,1) = -a*sin(t);
    de1(i,2) =  b*cos(t);
    
    de2(i,1) = -a*cos(t);
    de2(i,2) = -b*sin(t);
    
 	de3(i,1) =  a*sin(t);
    de3(i,2) = -b*cos(t);
    
    n1(i) = norm( de1(i,:) );
    n2(i) = norm( de2(i,:) );
    n3(i) = norm( de3(i,:) );
    
    h(i) = t ;
    
    t = t+s;
end


figure(9)
plot(e(:,1) , e(:,2),'k'); hold on
axis equal

figure(1)
plot(de1(:,1) , de1(:,2),'r'); hold on
axis equal

figure(2)
plot(de2(:,1) , de2(:,2),'r'); hold on
axis equal

figure(3)
plot(de3(:,1) , de3(:,2),'b'); hold on
axis equal



figure(11)
plot(h,n1,'r');
axis equal

figure(12)
plot(h,n2,'r');
axis equal

figure(13)
plot(h,n3,'r');
axis equal

end

