function i= GEN_03_FindSPAN(n,p,xi,U)

% THIS ROUTINE SEARCHES FOR A GIVEN Xi THE CORRESPONDING KNOT SPAN
% note that considers knot spans independently whether is 0 or not.

% n: No control points
% p: polynomial order for NURBS
% Xi: the Xi we search the knot span for
% U(n+p+1): knot vector


kVdim=n+p+1;


xi = round(xi,12); % round up just to avoid overflow

if xi==U(kVdim)
    i=n;
    return
end

for conta=1:1:kVdim
    if U(conta)<= xi && U(conta+1)> xi 
        i=conta;
        break
    end
        
end

end