function [ r ] = GEN_04_FindsRowinM ( M, v, tol )

% RETURNS:
% r: position of vector v in matrix M

% INPUTS:
% tol: tolerance when analyses equality

% works on rows

Ncols = size(M,2);
Nrows = size(M,1);

for i = 1:1:Nrows
   
    acc = 0 ;
    
    for c = 1:1:Ncols
    acc = acc + abs(M(i,c) - v(c));
    end
    
    if acc <= tol
        r=i;
        break
    end
end



end

