function [rU, rP, rw] = GEN_07_ReverseNURBScurve (U, P, w, Degree, Ncp, cxdim)

% RETURNS:
% curve NURBS features reversed: only acts on KnotV, P and w (rU, rP, rw)
% Ncp, Degree and Usize are the same !

rP = zeros(Ncp,cxdim);
rw = zeros(Ncp);

[rU] = GEN_06_ReverseKnotV (U, Ncp, Degree);
                
j = Ncp + 1;
for i = 1:1:Ncp
                    
    j = j-1;
    rw(i) = w(j);

    for di = 1:1:cxdim
        rP(i,di) = P(j,di);
    end
end

end

