function  [ns, spLims] = GEN_13_NonVoid_spans (U,n,p)

% RETURNS No. NON-VOID SPANS IN A KNOT VECTOR AND LIMITS OF THOSE SPANS


% 1.- No. spans (ns):

ns=0;
for i=1:1:n+p
    if U(i) ~=U(i+1)
        ns=ns+1;
    end
end


% 2.- Limits of non-void knot spans:

spLims = zeros(ns+1,1);
spLims(1) = U(1);
conta=2;
for i=1:1:n+p
    
    if U(i) ~=U(i+1)
        spLims(conta) = U(i+1);
        conta = conta + 1 ;
    end
    
end



end

