function [mv] = GEN_22_merge2vec (v1,v2)

% RETURNS:
% merged vectors with no repeated components

% INPUTS: v1 and v2 must be row or columns, but both the same!
% it is assumed v1 and v2 do not have repetitions internally


if size(v1,1)==1 && size(v2,1)==1 % row vectors

    tam1 = size(v1,2);
    tam2 = size(v2,2);
    
elseif size(v1,2)==1 && size(v2,2)==1 % col. vectors
    
	tam1 = size(v1,1);
    tam2 = size(v2,1);
end
    
mv = v1 ;
N = tam1 ;


for b = 1:1:tam2
        
    v2v = v2(b); % candidate

    
	dist=1;
    
    for a = 1:1:tam1
            
        v1v = v1(a);

        if v1v == v2v
            dist=0;
            break
        end
    end

        
 	if dist==1
    	N = N+1 ;
      	mv(N) = v2v;
 	end
    
        
end

end

