function [ Vr ] = GEN_32_reduceVat( V, redRef )

% RETURNS:
% Vr:   copy of V vector, but not the components in redRef

% INPUTS:
% V:    original vector
% redRef:   vector of components references to not copy


% Note: assumes al vectors as column vectors


% 1.- Size of Vr:

compR = size(V,1) - size(redRef,1);
Vr = zeros(compR,1);

% 2.- Passes info:
j=1;
k=1;
for i=1:1:size(V,1)
    
    if i == redRef(j)
         j=j+1 ;
    else
        Vr(k) = V(i);
        k=k+1;
    end
    
    if j>size(redRef,1)
        j = size(redRef,1);
    end
    
end





end

