function [ Ve ] = GEN_33_extendVat( V, extRef )

% RETURNS:
% Ve:   copy of V vector, but with new zeros at the components in redRef

% INPUTS:
% V:    original vector
% redRef:   vector of components references for new zeros, references in
% terms of extended vector


% Note: assumes al vectors as column vectors


% 1.- Size of Ve:

compE = size(V,1) + size(extRef,1);
Ve = zeros(compE,1);

% 2.- Passes info:
j=1;
k=1;
for i=1:1: compE
    
    if i == extRef(j)
        Ve(i) = 0 ;
         j=j+1 ;
    else
        Ve(i) = V(k);
        k=k+1;
    end
    
    if j>size(extRef,1)
        j = size(extRef,1);
    end
    
end





end

