function [DoF, PatchPos] = GEN_35_DoF( Spatches, nop, insR, xdim )

% RETURNS:
% DoF:      Total No. DoF of the structure
% PatchPos:	1st position of each patch in K

DoF = 0 ;
PatchPos = zeros(nop,1);

for pa = 1:1:nop
    
    noAcp = Spatches(pa).mRefin(insR).mNcpOn ;
    
    PatchPos(pa) = DoF+1;
    DoF = DoF + noAcp*xdim ;
    
end


end

