function [sDegree, sNcp, sKnotV, sUsize, sP ,sw, sEw,sEB, sCD, nlo, nPL, CLu, tncu, tRcu, sxdim,sudim] = GEN_52_skinProp (Bskin, skR)

% RETURNS: skin properties

sxdim = Bskin(skR).xdim;
sudim = Bskin(skR).udim;
sDegree = Bskin(skR).mDegree ;
sNcp = Bskin(skR).mNcp ;
sKnotV = Bskin(skR).mKnotV ;
sUsize = Bskin(skR).mUsize ;
sP = Bskin(skR).mB ;
sw = Bskin(skR).mw ;
sCD = Bskin(skR).sCD ;

nlo = Bskin(skR).nlo;
nPL = Bskin(skR).nPL;
mPL = Bskin(skR).mPL;
ncu = Bskin(skR).ncu;
Rcu = Bskin(skR).Rcu;
       
        
sudim = sudim - 1 ; %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        
% all contour curves points stored in one matrix
% note that these coord's are in terms of surface param. space
CLu = Bskin(skR).CLu;
        
% all curves ref's toguether:
tncu = 0 ;
tRcu = zeros(1,1);
        
for lo=1:1:nlo
    for cu = 1:1:ncu(lo)
        tncu = tncu+1;
        tRcu(tncu,1) = Rcu(lo,cu);
    end

end
        
        
[sEw,sEB] = GEN_12_ExpandBw (sw, sP,sxdim, sudim, sNcp);


end

