function [cDegree, cNcp, cKnotV, cUsize, cP ,cw,cEw,cEB, cCD, cxdim, cudim] = GEN_54_curveProp (bCurv, cR)

% RETURNS: bCurve properties:

cDegree = bCurv(cR).Degree;
cNcp = bCurv(cR).Ncp;
cKnotV = bCurv(cR).KnotV;
cUsize = bCurv(cR).Usize;
cP = bCurv(cR).P;
cw = bCurv(cR).w;
cCD = bCurv(cR).CD;
cxdim = bCurv(cR).Xdim;
cudim = 1;

if size(cKnotV,2)==1
cKnotV = cKnotV' ;
end
                
[cEw,cEB] = GEN_12_ExpandBw (cw, cP,cxdim, cudim, cNcp);

end

