function [] = r3018_contour (Nlo, Nlv, CoorL, unCoorL, undef)

% ACTIONS:
% Draws skin contours

% assumes 3D, if not you must extend dimensions before call this function


% INPUTS:
% nlo, nPL(): No. loops, No. points per loop and coordinates
% CoorL(nlo,npl,dim)

for lo = 1:1:Nlo
    
    x = zeros(Nlv(lo),1);
    y = zeros(Nlv(lo),1);
    z = zeros(Nlv(lo),1);
    
    for v = 1:1:Nlv(lo)+1
        
        x(v,1) = CoorL(lo,v,1);
        y(v,1) = CoorL(lo,v,2);
        z(v,1) = CoorL(lo,v,3);  
        
    end
    
    pcon = plot3(x,y,z,'-k'); hold on 
    
end

%alpha(pcon, 1.0) ;


if undef==1

    for lo = 1:1:Nlo

        ux = zeros(Nlv(lo),1);
        uy = zeros(Nlv(lo),1);
        uz = zeros(Nlv(lo),1);

        for v=1:1:Nlv(lo)+1
            
            ux(v,1) = unCoorL(lo,v,1);
            uy(v,1) = unCoorL(lo,v,2);
          	uz(v,1) = unCoorL(lo,v,3);

        end

        unpcon = plot3(ux,uy,uz,'Color' ,[0,1,0.5]); hold on 

    end

%alpha(unpcon, 0.01) ;
    
end

end

