function [fbNV, fbAnod, fbXnod] = im0144_FBEnodes2 (fbNV, fbAnod, fbXnod, skin, sR, udim, xdim)

% transfer info from skins:

NVt = skin(sR).mNV;
    
fbAnodt = zeros(NVt,udim);
fbXnodt = zeros(NVt,xdim);
NXnodt = zeros(NVt,xdim);

fbAnodt(:,:) = skin(sR).mAv(:,:);
fbXnodt(:,:) = skin(sR).mXv(:,:);
 

% add to previous matrix:

if fbNV == 0

    fbNV = NVt ;
	fbAnod = fbAnodt;
	fbXnod = fbXnodt;

 
else

    % avoid repeated points
    
    for i = 1:1:NVt % loop on candidate points
            
     	addF = 1 ;
        xt = [fbXnodt(i,1), fbXnodt(i,2), fbXnodt(i,3)]';
            
        for j = 1:1:fbNV % loop on stored points
                
            x = [fbXnod(j,1), fbXnod(j,2), fbXnod(j,3)]';
        	CO = go2542_coincidentP (xt, x, xdim, 2);
            
            if CO == 1
                addF = 0 ;
            	break
            end
            
        end

        
        % new vertex:
        
      	if addF==1
            
            fbNV = fbNV+1;
            
        	fbAnod(fbNV,:) = fbAnodt(i,:);
         	fbXnod(fbNV,:) = fbXnodt(i,:); 
   
        elseif addF == 0
            

            
        end 
        
        
    end
      
end

end

