function [pNn, pXnod, pAnod] = im0145_PrelimInnerNodes (Rt, pNcp, pEP, pEw, pP, pw, pDegree, pKnotV, pUsize, pULims, pxdim, pudim)

% RETURNS:
% pNn: preliminary No. nodes and their coordinates


% Initial nodes coord's, using control net cells:

Xnodt = zeros(1,pxdim);

conta = 0 ;
Nnt = 0 ;

for i = 1:1:pNcp(1)-1
for j = 1:1:pNcp(2)-1
for k = 1:1:pNcp(3)-1
    
    conta = conta + 1 ;
    
    vx = zeros(8,pxdim);
    
    vx(1,:) = pEP(i,j,k,:);
 	vx(2,:) = pEP(i,j,k+1,:);
    vx(3,:) = pEP(i,j+1,k,:);
 	vx(4,:) = pEP(i,j+1,k+1,:);    
    vx(5,:) = pEP(i+1,j,k,:);
 	vx(6,:) = pEP(i+1,j,k+1,:);
    vx(7,:) = pEP(i+1,j+1,k,:);
 	vx(8,:) = pEP(i+1,j+1,k+1,:);   
    
    [Ncn, Xcn] = im0143_DivideCell (Rt, vx, pxdim, conta);

    for b = 1:1:Ncn  
        Nnt = Nnt+1 ;
        Xnodt(Nnt,:) = Xcn(b,:);
    end
end
end
end


% Computes patch param. coord's of those nodes, discriminate those that lie
% at the surface. Recomputes Xcoord to match Anod:

Xtol = 0.01;
DUtol = 0.005;

[Anodt] = v2861b_PPvol (Xnodt, Nnt, pDegree, pNcp, pKnotV, pUsize, pP, pw, [0 0 0], pxdim, Xtol, DUtol);

pAnod = zeros(1,pxdim);
pXnod = zeros(1,pxdim);
pNn = 0 ;

for i = 1:1:Nnt
    
    Acoor = round([Anodt(i,1), Anodt(i,2), Anodt(i,3)],6);
    
    ON = 1 ;
    for di = 1:1:pudim
        if Acoor(di)==pULims(di,1) || Acoor(di)==pULims(di,2)
            ON = 0;
        end 
    end
    
    if ON==1
        
        pNn = pNn+1;
        
        [X] = b2601_BNURBS_Xcoord (Acoor, pKnotV, pNcp,pDegree,pUsize, pEw,pEP, pudim,pxdim);
        pXnod(i,:) = X(:,1);
        pAnod(i,:) = Acoor(1,:); 
    end
    
end

end

