function [Refin] = i0101_FGen (gPatch, pa, Refin, pudim)

% RETURNS: first instance (Refin) with general data and Anet:

pNcp     = gPatch(pa).Ncp ;
pDegree  = gPatch(pa).Degree ;
pUsize   = gPatch(pa).Usize ;
pKnotV   = gPatch(pa).KnotV ;

Refin.mDegree = pDegree;
Refin.mKnotV  = pKnotV;
Refin.mUsize  = pUsize;

epNcp = ones (3,1);
for di = 1:1:pudim
    epNcp(di) = pNcp(di);
end

% global index knot vector:

KnotVI = zeros(pudim,max(pUsize));

for di = 1:1:pudim
    for i = 1:1:pUsize(di) 
        KnotVI(di,i) = i;
    end
end

Refin.mKnotVI = KnotVI;


% time step:

Refin.mTstep = 1;


% Anet:

Anet = zeros(epNcp(1), epNcp(2), epNcp(3));

a=1 ;
for i=1:1:epNcp(1)
for j=1:1:epNcp(2)
for k=1:1:epNcp(3)       
    Anet(i,j,k) = a ;   
    a = a+1;
end    
end
end

Refin.Anet = Anet;

end

