function [ Peri ] = w0502_Perimeter( ap, bp, KnotV,Usize, reDir, udim  )

% RETURNS:
% Peri: 0/1/2 for internal, surface or edge perimeter

Peri = 0 ; % initially considers internal wire

% search for same coord's and coincident with either, min. or max. of KnotV:

for di = 1:1:udim

    if ap(di) == bp(di) % same coordinate
      
        % knot extremes in that direction:
        k1 = KnotV(di,1) ;
        k2 = KnotV(di, Usize(di)) ; 
        
        % checks if in that direction the wire is at the begining or end:
        if ap(di)==k1 || ap(di)==k2
        Peri = Peri+1;
        end
 
    end
end



end

