function [Lnm] = um0622_Lnm (connT, tNV1, NV1)

% Lnm stores how many nodes of the line of TET lie within MLT

NLI = size(connT.LV,1);
Lnm = zeros(NLI,1); % No. nodes of lines of tets at MLT: 0/1/2


for i = 1:1:NLI
    
    conta = 0 ;
    for k = 1:1:2
    
        nR = connT.LV(i,k) ;
        
        if nR <= tNV1 || NV1 < nR
            conta = conta+1;
        end
        
    end
    Lnm(i,1) = conta ;
end

end

