function [eTHC] = um0625_INTcoordsmod ...
(contaL, Spatches, pR, rTskin, agCurv, THC, csM, ...
 At, intR, intA, s, MLT, Xtol, DUtol)









cudim = 1 ;
sudim = 2 ;
pudim = 3 ;
xdim  = 3 ;

pDegree = Spatches(pR).INS(1).mDegree;
pNcp    = Spatches(pR).INS(1).mNcp;
pKnotV  = Spatches(pR).INS(1).mKnotV;
pP      = Spatches(pR).INS(1).mP;
pw      = Spatches(pR).INS(1).mw;
pUsize  = Spatches(pR).INS(1).mUsize;
pULims  = [0 1 ; 0 1 ; 0 1 ];
pEP     = Spatches(pR).INS(1).mEP;
pEw     = Spatches(pR).INS(1).mEw;
pCD     = [0 0 0 ];

eTHC = struct...
('Xv',[], 'Av',[], 'Uv',[], 'Bv',[], 'NCS',[], 'ANv',[], 'At', []);









% {
Ai = zeros(pudim,1); % coordinates to insert



tR = intR(s,2); % triangle of MLT
sR = intR(s,3); % T-surface
%}


sR = csM(1,2);

sDegree = rTskin(sR).mDegree;
sNcp    = rTskin(sR).mNcp;
sKnotV  = rTskin(sR).mKnotV;
sP      = rTskin(sR).mP;
sw      = rTskin(sR).mw;
sUsize  = rTskin(sR).mUsize;
sCD     = rTskin(sR).mCS;
[sEw,sEP] = GEN_12_ExpandBw (sw, sP, xdim, sudim, sNcp);
sULims  = [ 0 1 ; 0 1 ];


% X-coord (needs to project to T-surface):
%{ 
    Ai(:,1) = intA(s,:);
    X = b2601_BNURBS_Xcoord (Ai, pKnotV, pNcp, pDegree, pUsize, pEw, pEP, pudim, xdim);
%}  
% initial point for PP on T-surface and tets:
    
    conta = 0 ;
    
    accU = zeros(1,sudim);
    accA = zeros(1,pudim);
    
    anod = zeros(3,pudim);
    unod = zeros(3,sudim);

    for i = 1:1:3
        
        nR = MLT.tTVcon(tR,i);
        
            conta = conta+1;
            
            for di = 1:1:sudim   
                accU(1,di) = accU(1,di) + MLT.tUv(nR,di);
                accA(1,di) = accA(1,di) + MLT.tAv(nR,di);
            end
            
            di = 3 ;
            accA(1,di) = accA(1,di) + MLT.tAv(nR,di);
            
        anod(i,:) = MLT.tAv(nR,:);
        unod(i,:) = MLT.tUv(nR,:);
    end
    
    u0 = accU / conta ;
    a0 = accA / conta ;

% Projects onto surface and computes coordinates:
    
    sDegree = rTskin(sR).mDegree ;
    sNcp    = rTskin(sR).mNcp ;
    sKnotV  = rTskin(sR).mKnotV ;
    sUsize  = rTskin(sR).mUsize ;
    sP      = rTskin(sR).mP ;
    sw      = rTskin(sR).mw ;
    sCD     = rTskin(sR).mCS ;
    [sEw,sEP] = GEN_12_ExpandBw (sw, sP,xdim, sudim, sNcp);
    

    [pUi, ~] = s2835b_onePoint (X, u0, sDegree, sNcp, sKnotV, sUsize, sP ,sw, sEP ,sEw, sCD, sULims, xdim, Xtol, DUtol);
    
    pXi = b2601_BNURBS_Xcoord (pUi', sKnotV, sNcp, sDegree, sUsize, sEw, sEP, sudim, xdim);
    
    [pAi,~] = v2865b_onePoint (pXi, a0, pDegree, pNcp, pKnotV, pUsize, pP ,pw, pEP ,pEw, pCD, pULims, xdim, Xtol, DUtol);
    
    
    
% allocates:

eTHC.Xv = pXi ;
eTHC.Av = pAi' ;
eTHC.Uv = pUi' ;
eTHC.Bv = zeros(1,1) ;

eTHC.At = Ai ;

eTHC.NCS = [ 0 , sR ] ;

eTHC.ANv = [ 0 , 0 , 0 ] ;

end

