function [Nsb, sb, cXv] = fs0743_compar (ESV, Nbe, NVcmax, Nsb, sb, cXv, b1, cR1, cu1, SCconE, nloE, ncuE, xdim)

for b = b1:1:Nbe

    for lo = 1:1:nloE(b)

        for cu = 1:1:ncuE(b,lo)
        if (b == b1 && cu~=cu1) || b > b1
            
            cR = SCconE(b,lo,cu); % curve reference
        	sg = sign(cR);
          	cR = abs(cR);

            if cR == cR1

                Nsb = Nsb + 1 ;
                sb(Nsb,1) = b ;
                sb(Nsb,2) = sg;
                sb(Nsb,3) = lo;
                sb(Nsb,4) = cu;
                
                NVc = ESV(b,1).NVc(lo,cu); % No. vtx of that curve from skin 2

                if NVc > NVcmax % if curve is more refined, considers it
                    
                    %allocates from skin 2 if No. vtx is greater
                    [cXv] = fs0742_extractcXv (sg, NVc, ESV, b, lo, cu, xdim);
                    
                    NVcmax = NVc ;
                    
                end
                    
            end

            
        end
        end

    end

end

end

