function [ESV] = fs0744_cXUtoESV (ESV, Eskin, bR, N, cXv, sg, lo, cu, xdim, Xtol, DUtol)

% updates ESV with curves coord's: cXv and cUv:

% INPUTS:
% sg: if negative, the curve must be reversed
% lo,cu: loop and curve refs of the curve in the ESV

p  = Eskin(bR).mDegree;
n  = Eskin(bR).mNcp;
U  = Eskin(bR).mKnotV;
Us = Eskin(bR).mUsize;
P  = Eskin(bR).mP;
w  = Eskin(bR).mw;
CS = Eskin(bR).mCS;

if sg==-1
    [cXv] = GEN_40_invertRowsOrder (cXv);
end


[sUv] = s2836_PPlineonS(cXv, N, p, n, U, Us, P, w, CS, xdim, Xtol, DUtol);


ESV(bR,1).NVc(lo,cu) = N ;

for i = 1:1:N   
    ESV(bR,1).Xvc(lo,cu,i,:) = cXv(i,:); 
	ESV(bR,1).Uvc(lo,cu,i,:) = sUv(i,:);
end


end

