function [iy] = fs0749_lineInterp (n, x, y, ix)


% RETURNS:
% iy: interpolated value within a R1 to R1 fucntion that is defined linear-wise

% INPUTS:
% n: No. nodes 
% x(n) and y(n): values , domain and image, of the nodes
% ix: inputs in domain

for i = 1:1:n-1
    
    if x(i) <= ix && ix <= x(i+1)
        
        m = (y(i+1)-y(i)) / (x(i+1)-x(i));
        
        iy = y(i) + m * (ix-x(i));
        
        break
    end

end


end

