function [connT, Av, Xv, nr] = th1322_upAX (connT, Av, Xv, eAv, eXv, tn, mnF, pNE)

% RETURNS:
% Av,Xv with new end-node

NLI = size(connT.LV,1);

if mnF == 0
    
    Av = [ Av ; eAv ] ;
    Xv = [ Xv ; eXv ] ; 
    
    nr = size(Av,2); % ref of node inserted
    
elseif 0 < mnF
    
    Av = [ Av(1:tn(1),:) ; eAv ; Av(tn(2):end,:) ] ;
    Xv = [ Xv(1:tn(1),:) ; eXv ; Xv(tn(2):end,:) ] ;
    
    for e = 1:1:pNE
        for i = 1:1:4
            
            nR = connT.EV(e,i);
            if tn(2) <= nR
                connT.EV(e,i) = nR + 1 ;
            end
        end
    end
    
    for L = 1:1:NLI
        for i = 1:1:2
           
            nR = connT.LV(L,i);
            
            if tn(2) <= nR
                connT.LV(L,i) = nR + 1 ;
            end
            
        end
    end
    
    nr = tn(2); % ref of node inserted
  
end


end

