function [ttn] = th1325_misLth (MLT, tn, connT, Av)

% RETURNS:
% ttn(2): nodes refs of line missing in the tetrahedralization (not in the MLT)

pudim = 3 ;
ttn = zeros(2,1);

NV = size(connT.VE,1);



a = zeros(pudim,1);
c = zeros(pudim,1);

for i = 1:1:2
    
    a(:,1) = MLT.tAv(tn(i),:);
    
    for j = 1:1:NV
        
        c(:,1) = Av(j,:);
        CO = go2542_coincidentP (a, c, pudim, 3);
        
        if CO == 1
            ttn(i) = j ;
            break
        end
    end
    
end


end

