function [TVcon, VTcon, Xv, Uv, NE, NV, Ncv] = tr1371_RemeshTri (tR, TVcon, VTcon, Xv, Uv, NE, NV, Ncv)


% INPUTS:
% Ncv: No. contour vertexes


% detects:

inR = zeros(3,1); % internal nodes affected
atR = zeros(1,1); % elements affected

Nen = 0 ; % No. edge nodes
enR = zeros(1,1); % edge nodes ref's


conta = 0 ;

for i = 1:1:3
    
    nR = TVcon(tR,i);
    
    inR(i,1) = nR; % aff'd internal nodes
    
    if nR<=Ncv
      	Nen = Nen + 1 ;
        enR(Nen,1) = nR;
    end
    
    for j = 1:1:size(VTcon,2)
        
        eR = VTcon(nR,j) ;
        
        if eR > 0
            conta = conta+1;
            atR(conta,1) = eR; % aff'd triangles
            
        end
        
    end
end

[atR,~] = GEN_16_RemoveRepeatedRows (atR, 1, 0.1);
Nat = size(atR,1);



% local-contour nodes affected and conn. matriz x2

cnR = zeros(3,1); 
cTVcon = zeros(Nat-1,2);

ctR = zeros(Nat-1,1); % contoour triangles

contaN = 0;
contaE = 0;

for e = 1:1:Nat
    
    eR = atR(e) ;
    
    if eR~=tR
        
        contaE = contaE+1;
        
        ctR(contaE,1) = eR;
        
        contaL = 0;
        for i = 1:1:3
            
            nR = TVcon(eR,i);
            
            addF = 1 ;
            for j = 1:1:3
                if nR==inR(j)
                    addF=0;
                    break
                end
            end
            
            if addF == 1
                
                contaN = contaN + 1 ;
                contaL = contaL + 1 ;
                
                cnR(contaN,1) = nR;
                
                cTVcon(contaE,contaL) = nR;
                
            end 

        end
    end
end

[cnR,~] = GEN_16_RemoveRepeatedRows (cnR, 1, 0.1);
Ncn = size(cnR,1);




if Nen == 0
    
    
    % arranges contour nodes:
    
    cnRa = zeros(Ncn,1);
    
    nR1 = cnR(1);
    
    for e = 1:1:Nat-1
        
        if cTVcon(e,1)== nR1 
            
            cer = e ; % current element ref.
            break
            
        elseif cTVcon(e,2)== nR1
            
           	cer = e ;
            break
            
        end
        
    end
    

    nnr = nR1 ;
    outF = 0;
    conta = 0 ;
    while (outF == 0)
    
        for e = 1:1:Nat-1
        if e ~= cer && cTVcon(e,2)>0

         
            if cTVcon(e,1) == nnr 
                
                cer = e ; % current element ref.
                
                conta = conta + 1;
                cnRa(conta) = nnr ;
                
                nnr = cTVcon(e,2) ; % next node ref.
                break
                
            elseif cTVcon(e,2) == nnr
                
                cer = e ;
                
                conta = conta + 1 ;
                cnRa(conta) = nnr ;
                
                nnr = cTVcon(e,1) ;
                break
                
            end

        end 
        end
    
        
        if conta == Ncn
        outF = 1;
        end
        

        
        
    end
    
    


    cnRa
    
    
elseif Nen == 1
     
    
    
    
elseif Nen == 2
    
    
elseif Nen == 3
    
    
end



end

