function [MLT, THC, pNE, connT]  = ts1613_halveLine ...
    (contaL, Spatches, pR, rTskin, agCurv, ILn, pNE, connT, connS, MLT, oisi, THC, Nte, teR, Xtol, DUtol, tolL, tolA, nd)

pudim = 3 ;


[rv, rP1, rP2] = ts1602_mLAspace (ILn, THC.Av);

%%%%%%%%%%%%%%%%%%%%%%%%%%%  %%%%%%%%%%%%%%%%%%%%%
% plots tets and line
%{

fr = 15 ;

for e = 1:1:Nte

    eR = teR(e);
    pt1373_pTetConn (eR, connT, THC.Av, fr, 'k', 0.25, 1.2);

end

figure(fr)

plot3([rP1(1) rP2(1)],[rP1(2) rP2(2)],[rP1(3) rP2(3)],'r'); hold on

axis equal

%}
%%%%%%%%%%%%%%%%%%%%%%%%%%%  %%%%%%%%%%%%%%%%%%%%%



% Computes intermediate points of segments between oAip, except first and
% last segments. These intermediate points are projected to rTskin:

[Nip, ip] = ts1614_iAip ...
(Spatches, pR, rTskin, agCurv, ILn, oisi, THC, Xtol, DUtol);



% Evaluates state of intermediate points:
% 1: all intermediate points line within their corresponding tet
% 2: one intermediate point lies at side of corresponding tet
% 3: one intermediate point lies at edge of corresponding tet
% 0: one intermediate point lies within other tet or outside

[ipS, uNip, uip] = ts1615_ipState (ip, Nte, teR, THC.Av, connT, nd);



%%%%%%%%%%%%%%%%%%%%%%%%%%%  %%%%%%%%%%%%%%%%%%%%%
% plots tets and line
%{

fr = contaL+1 ;

for e = 1:1:Nte

    eR = teR(e);
    
    pt1373_pTetConn (eR, connT, THC.Av, fr, 'k', 0.25, 1.2);

end


figure(fr)

%x = [ rP1' ; rP2' ] ;
%plot3 ( x(:,1) , x(:,2), x(:,3) , 'r' ); hold on

scatter3(ip(:,1).Ai(1,1), ip(:,1).Ai(2,1), ip(:,1).Ai(3,1), 'b'); hold on

axis equal

%}
%%%%%%%%%%%%%%%%%%%%%%%%%%%  %%%%%%%%%%%%%%%%%%%%%

% WHOLE ROW WITHIN THE CORRESPONDING TET:

if ipS(1) == 1
    
    if PNEDING == 0
    end
    
end

% SIDE INTERSECTION:
% Divides each adjacent tet into 3.
% Divides the MLT triangle affected.

if ipS(1) == 2

    % Side global ref:

    eR = ipS(5); % element ref
    r = ipS(3); % local ref of intersected side
    
    nsR = zeros(3,1); % finds side nodes refs
    conta = 0 ;
    
    for k = 1:1:4
        if k~=r
            conta = conta + 1 ;
            nsR(conta,1) = connT.EV(eR,k);
        end
    end
    
    sR = ts1617_GsideR (connT, connS, nsR, eR);

    % Updates tets and MLT
    % (note the point to insert is already projected)
    
    [pNE, connT, MLT, THC] = ts1650_sideIntsd (pNE, connT, MLT, THC, uip, connS, sR, nsR, tolL, tolA, nd);


end

% EDGE INTERSECTION:

if ipS(1) == 3
    
    if PNEDING == 0
    end
    
end

% OTHER ELEMENT:

if ipS(1) == 0
    
    if PNEDING == 0
    end
    
end


% Divides intermeditate tets into 4 using internal point.
% The internal point is the mid-point between both oAip of the tet.
% This does not apply to first and last tets.

% [pNE, connT, THC, MLT] = ts1616_upTetMLT (contaL, ILn, ipS, uNip, uip, teR, pNE, connT,connS, THC, MLT);



end

