function [tsF, rL] = ts1635_find1 (i, THC, MLT, n1, n2, tsF, rL)

% INPUTS:
% i: ref of line of tet

pudim = 3 ;
nd = 3 ;

a1 = zeros(pudim,1);
a2 = zeros(pudim,1);

b1 = zeros(pudim,1);
b2 = zeros(pudim,1);


if THC.NCS(n1,2) > 0 && THC.NCS(n2,2) > 0  % TET lines candidates must have both nodes in MLT

	a1(:,1) = THC.Av(n1,:);
 	a2(:,1) = THC.Av(n2,:);

	% searches MLT:

	n = size(rL,1);

	for j = 1:1:n

        r = rL(j);

        n1 = MLT.tLVcon(r,1);
     	n2 = MLT.tLVcon(r,2);

      	b1(:,1) = MLT.tAv(n1,:);
       	b2(:,1) = MLT.tAv(n2,:);

            
        % compares:

       	CO11 = go2542_coincidentP (a1, b1, pudim, nd);
     	CO22 = go2542_coincidentP (a2, b2, pudim, nd);

        if CO11 == 1 && CO22 == 1

            tsF(i,1) = r ;
                
                if j==1
                    rL = rL(j+1:n,1) ;
                elseif j==n
                    rL = rL(1:n-1,1) ;
                else
                    rL = [ rL(1:j-1,1) ; rL(j+1:n,1) ];
                end

                break
        end

        
        CO12 = go2542_coincidentP (a1, b2, pudim, nd);
        CO21 = go2542_coincidentP (a2, b1, pudim, nd);

        if CO12 == 1 && CO21 == 1

                tsF(i,1) = r ;

                if j==1
                    rL = rL(j+1:n,1) ;
                elseif j==n
                    rL = rL(1:n-1,1) ;
                else
                    rL = [ rL(1:j-1,1) ; rL(j+1:n,1) ];
                end

                break
        end

	end

end
    

end

