function [dSui, dSvi] = rs3355_BiLinInterpInER (u1, u2, v1, v2, u, conM,eR, dSu, dSv, xdim)

% RETURNS:
% dSui, dSvi: interpolated vectors using bilinear rect's, for 'Internal Elemens'

A = (u2-u1) * (v2-v1);

N(1) = (u2-u(1)) * (v2-u(2)) / A ;
N(2) = (u2-u(1)) * (u(2)-v1) / A ;
N(3) = (u(1)-u1) * (v2-u(2)) / A ;
N(4) = (u(1)-u1) * (u(2)-v1) / A ;

dSui = zeros(xdim,1);
dSvi = zeros(xdim,1);

for nod = 1:1:4  
    
    nR = conM(eR,nod) ;
    
    for di=1:1:xdim
        dSui(di) = dSui(di) + N(nod)*dSu(nR,di) ;
        dSvi(di) = dSvi(di) + N(nod)*dSv(nR,di) ;
    end
    
    
end

end

