function [NiE, iE] = rs3361_upEdgInts (NiE, iE, u1,u2, nua, nub, nd)

% RETURNS:
% NiE(iE): updated intersections with element edges, comsidering one side

% u1,u2: segment end points coordinates
% nua,nub: edge end nodes coordinates


% all intersections:
[IP,iF,pF] = go2526_TwoLinIntersec (u1,u2, nua, nub, 'closed', nd);


% examinates if parallel:
if pF == 1
    [IP, iFp] = go2517_ParalelSegmInters2D (u1, u2, nua, nub, nd);
    iF = ones(1,2)*iFp;
end

if sum(iF) == 2
    NiE = NiE + 1 ;
    iE(NiE,1) = round(IP(1),nd);
    iE(NiE,2) = round(IP(2),nd);
end



end

