function [ alreadyIN ] = GEN_21_alreadyIN( M, fil, col, P, tol )


% RETURNS:
% alreadyIN = 1 if P belongs to M, 0 otherwise

% INPUTS:
% M:        matrix to evaluate
% fil, col: No. rows and cols of M
% P:        point to evaluate if belongs to M
% tol:      tolerance to check the norm, in abs.value



alreadyIN = 0;



for i = 1:1:fil
    
    % computes the norm
    norma = 0;
    for j=1:1:col
    norma = norma + (P(j) - M(i,j))^2;
    end
    norma = norma^0.5;
    
    if norma < tol
        alreadyIN = 1;
        break
    end

end






end

