classdef NeumannConditions < Conditions
 
     
properties
    
    mBE; % B.E. to allocate to
   	mt ; % traction
    Dmt; % increment of traction for each time step
    
end
    

methods
    
    
    function obj = NeumannConditions()
        % constructor by default 
    end   
    
    
    function AllocatesTraction(obj,trac,xdim)
        
        % allocates displacements
        
        % trac: traction vector
        % xdim: No. dimensions in physical space
        
        obj.mt = zeros(xdim,1);
        obj.mt = trac ;
        
    end
    
    
    
    
    
end
    
end

