function [nv, x1, At] = i0103_nTriang (TVcon, tr, Xv, dim)

% RETURNS:
% nv(dim,1): normal versor of a triangle (remember! points outward the domain)
% x1(dim,1): coord's of first vtx
% At: area of the triangle

% INPUTS.
% TVcon(NE,3): conn matrix triangles-vertex
% tr: triangle to compute
% Xv; vtx coordiantes


v1 = zeros(dim,1);
v2 = zeros(dim,1);

n1 = TVcon(tr,1);
n2 = TVcon(tr,2);
n3 = TVcon(tr,3);

x1 = zeros(dim,1);

for di = 1:1:dim
    
    v1(di,1) = (Xv(n2,di)-Xv(n1,di));
    v2(di,1) = (Xv(n3,di)-Xv(n1,di));
    
    x1(di,1) = Xv(n1,di);
    
end


nv = cross(v1,v2);
At = norm(nv)/2;


nv = nv/(2*At);

end