function [nPO, mP] = i0199_First_nPOmP (ap,bp, repI, reDir, tNicp, tRicpA, gPatch, pa, pudim, pxdim)

% RETURNS: 
% nPO, mP: No. points and its object for a certain wire FOR FIRST INSTACE WIRE !!

% INPUTS:
% ap, bp: param. coord's of wire end points
% reDir: relevant direction
% conEWp: wire ref => elements ref's (parameter mesh)

% 1.- PRELIMINARIES:


% 1.1.- No. point of the wire:

nPO = round(norm(bp-ap)/repI(reDir)) + 1;
if nPO==1
    nPO=2;
end
   

% 1.2.- computes step given nPO: 

step = zeros(pudim,1);
for di=1:1:pudim
    step(di) = round((bp(di)-ap(di)) / (nPO-1),9);
end
    

    
% 1.3.- declares points object:

mP(nPO) = GenPoint;
    
    


% 2.- LOOP ON WIRES:
    
u = zeros(pudim,1);

for di=1:1:pudim
u(di) = round(ap(di),9);
end
    
for po = 1:1:nPO
        
  
 	% 2.1.- wire point coord's:
    
  	for di=1:1:pudim
        mP(po).mUcoor(di) = u(di);
    end
        
    [X] = b2602_BNURBS_Xcoord_gPatch (u, gPatch, pa);
    
  	for di=1:1:pxdim
        mP(po).mXcoor(di)  = X(di);
        mP(po).mXcoorF(di) = X(di);
        mP(po).mXdisp(di)  = 0;
    end
          
    
        
 	% 2.2.- icp's:
    
 	mP(po).mNicp  = tNicp;
  	mP(po).mRicpA = tRicpA;
        
    
    
    
  	% 2.3.- updates param. coor'ds
    
   	for di=1:1:pudim
        
     	u(di) = round( u(di) + step(di) , 9)  ;
        
        if po==nPO-1
    	u(di) = round ( bp(di) , 9 ) ;  
        end
        
    end


    
end




end

