function [Ndir, dir] = a0114_NRicpOneDir (p, n, e)

% RETURNS:
% Ndir: No. bf's influencing in one element
% dir[Ndir]: bf's references

% INPUTS:
% p, n: degree and No. cp's
% e: 'element' or index knot span

% works in one direction - index space

if e <= p
        
    Ndir = e ;
    
    dir  = zeros(Ndir,1);
    
   	for po=1:1:Ndir
        dir(po) = po;
  	end
        
elseif p < e && e <= n
        
	Ndir = p + 1 ;
        
    dir  = zeros(Ndir,1);
    
  	for po=1:1:Ndir
        dir(po) = e-p+po-1;
  	end
        
elseif n < e
        
  	Ndir = (n+p+1) - e ;
    
    dir  = zeros(Ndir,1);
    
    for po=1:1:Ndir
    	dir(po) = n-po+1;
   	end
        
end


end

