function [At, Aavg] = im0151_AvgTriArea (NBT, BTVcon, BTScon, Av, sfs)

xdim = 3 ;
udim = 2 ;
NGP  = 1 ;

[rs,wg, ~] = ip2303_GP_tri (NGP);

iem = zeros(3,3);

At = zeros(NBT,1); % area of each triangle

for t = 1:1:NBT
    
    Anod = zeros(3,xdim);
    
    for i = 1:1:xdim
        
        nR = BTVcon(t,i);
        Anod(i,:) = Av(nR,:);
    end
    
    [a, ~, dJ2] = mp1352_TRImapp (rs, Anod, 2, xdim, iem);
    
    sR = BTScon(t,1);

    sKnotV = sfs(sR,1).sKnotV;
    sNcp = sfs(sR,1).sNcp;
    sDegree = sfs(sR,1).sDegree;
    sUsize = sfs(sR,1).sUsize;
    sP = sfs(sR,1).sP;
    sw = sfs(sR,1).sw;

    [~,dJ1] = j2315_J1_Bspline (a, sKnotV, sNcp, sDegree, sUsize, sP, sw, udim, xdim);
    
    At(t,1) = dJ1*dJ2*wg;

end


Aavg = sum(At)/NBT;




end

