function [NGd] = rm0162_NRgp (KnotV, Usize, Degree, udim)

% RETURNS:
% NGd(udim,1): No. required Gauss points in each parameter direction for the whole patch

% No. non-void elements:

[~, nvUsize] = GEN_18_UnonVoid (KnotV, Usize, Degree, udim);


% No. Gp's per element in each direction:

NGEd = zeros(udim,1);

for di = 1:1:udim
    
    %{
    d = 2*(Degree(di)-1);
    d = 2*(Degree(di));
    d = 2*Degree(di)-1;
    
    if mod(d,2) == 1      % odd number
        
        NGEd(di,1) = (d+1)/2 ;
        
    elseif mod(d,2) == 0  % even number
        
        NGEd(di,1) = (d+2)/2 ;
    
    end
    
    %}
    
    NGEd(di,1) = Degree(di)+1; %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
end


% No. GPs in each direction:

NGd = zeros(udim,1);

for di = 1:1:udim
    NGd(di,1) = (nvUsize(di)-1)*NGEd(di);
end


end

