function [ur] = pd0171_pdEdgeCurves (ur, r, P,w,p,n,U, pxdim, Xtol, DUtol)

% RETURNS:
% ur(DoF,1) updated with edge curves in di diretion prescribed displacements


% projection of points and displacement required:
    
if n > 2
        
    cXo = P(2:n-1,:);
	cU = c2811b_PPcurves (cXo, n-2, p,n,U,P,w, 0, pxdim, Xtol, DUtol);
        
	cX = zeros(n-2, pxdim);
        
	for a = 2:1:n-1
            
        [X] = b2601_BNURBS_Xcoord (cU(a-1), U, n, p, n+p+1, w, P, 1, pxdim); 
        cX(a-1,:) = X(:,1);

        for di = 1:1:pxdim
            ur(r(a-1)*pxdim-(pxdim-di),1) = X(di)-P(a,di);
        end
           
	end

end


end

