function [Am, AmS, Unod] = st0399_eAav (TVcon, e, Av, AvS, couR, Uv, pudim, eudim)

% RETURNS:
% Unod: ucoord's of triangle nodes (in surface parameter space)
% Am, AmS: average of nodes coord's in patch param. space (master and slave)

Am   = zeros(pudim,1);
AmS  = zeros(pudim,1);
Unod = zeros(6,eudim);

Nne = 0 ;
        
for i = 1:1:size(TVcon,2)       
nr = TVcon(e,i);
if nr>0
                
    Nne = Nne + 1 ;

    Unod(i,:) = Uv(nr,:);

    for di = 1:1:pudim  

        Am(di,1) = Am(di,1) + Av(nr,di);

        if couR > 0
        AmS(di,1) = AmS(di,1) + AvS(nr,di);
        end

    end
                
end
end
        
Am = Am/Nne;
AmS = AmS/Nne;

end

