function [NERn] = gf0512_removeLSMn (NEO, ns1, xdim, udim)

% RETRUNS:
% curve with removed cp alternatively

% NERn = struct('Ncp',[],'Degree',[],'KnotV',[], 'Usize',[], 'P', [], 'w', [] );

n   = NEO.Ncp;
p   = NEO.Degree;
U   = NEO.KnotV;
P   = NEO.P;
w   = NEO.w;
m   = NEO.Usize;

% No. cps to remove:

[nr] = gf0513_NcpRem (p,n);

%{
Fc = ceil(p/2)+1;
Lc = ceil(p/2)+n-p-1;

nr = floor((Lc-Fc)/2);
%}

NERn = NEO ;

Fc = ceil(p/2)+1;
r = Fc+1 ;

for i = 1:1:nr

    [NERn] = gf0511_removeLSM (NERn, r, ns1, xdim, udim);
    
    r = r+1 ;

end


end

