function [tANv, tXNv] = mt0603_ENttr (skin, tANv, tXNv, i,j)


% RETURNS:
% updated jth node features

% j-node was already added to TTR, here we update features due to that node
% also exists in another skin. The local reference of the node for the skin
% is i-node.


% updates jth stored node normal vectors:

nv1 = zeros(3,1);
nv2 = zeros(3,1);

nv1(:,1) = tANv(j,:);

nv2(:,1) = skin.mANv(i,:);


nv1 = (nv1+nv2)/2;
nv1 = nv1/norm(nv1);

tANv(j,:) = nv1(:,1);

nv1(:,1) = tXNv(j,:);
nv2(:,1) = skin.mXNv(i,:);

nv1 = (nv1+nv2)/2;
nv1 = nv1/norm(nv1);
                
tXNv(j,:) = nv1(:,1);



end

