function [Lv, Lp1, Lp2, Lnod, Llims] = um0625_THline (connT, THC, LR)

pudim = 3 ;

Lv = zeros(pudim,1);  % line vector and point
Lp1 = zeros(pudim,1);
Lp2 = zeros(pudim,1);

Lnod = zeros(2,pudim); % nodes coords
Llims = zeros(pudim,2); % envelope cube of line


tmL1 = zeros(pudim,1);
tmL2 = zeros(pudim,1);

nR = zeros(2,1);

for i = 1:1:2
    
    nR(i) = connT.LV(LR,i); % nodes refs of the line 
	Lnod(i,:) = THC.Av(nR(i),:);
    
end

tmL1(:,1) = THC.Av(nR(1),:);
tmL2(:,1) = THC.Av(nR(2),:);

Lp1(:,1) = THC.Av(nR(1),:);
Lp2(:,1) = THC.Av(nR(2),:);
Lv(:,1) = THC.Av(nR(2),:) - THC.Av(nR(1),:);


for di = 1:1:pudim
    
    Llims(di,1) = min(tmL1(di),tmL2(di));
	Llims(di,2) = max(tmL1(di),tmL2(di));
    
end


end

