function [utVLcon] = um0634_upVLcon (tVLcon, utLVcon, Nni, inr, ilr)


utVLcon = [ tVLcon ; zeros(1, size(tVLcon,2)) ] ;

for k = 1:1:Nni
    
    nR = inr(k);
    
    % removes line that is modified (may not apply):
    
    tmL = zeros(1,1); % temporary lines refs
    conta = 0 ;
    
    for i = 1:1:size(utVLcon,2)
        
        lR = utVLcon(nR,i);
        if lR > 0
            if lR ~= ilr(1)
                
                conta = conta + 1 ;
                tmL(conta,1) = lR ;
                
            end
        end
        
        utVLcon(nR,i) = 0 ; % resets
        
    end
    
    
    % adds the modified lines that contain the node nR:
    
    for i = 1:1:size(ilr,2)
        
        lR = ilr(i);
        
        if utLVcon(lR,1) == nR || utLVcon(lR,2) == nR
            
            conta = conta+1;
            tmL(conta,1) = lR ;
            
        end

    end
    

    % allocates to conn. matrix:
    
    n = size(utVLcon,1) ;
    
    if size(tmL,1) > size(utVLcon,2)
        utVLcon = [ utVLcon , zeros(n,1) ] ;
    end
    
    for i = 1:1:conta
        utVLcon(nR,i) = tmL(i) ;
    end
    
end

end

