function [tAtetIN, tAtetOU, tXtetIN, tDtet] = um0666_uOtets ...
         (tAtetIN, tAtetOU, tXtetIN, tDtet, DNE, tNE, Na, ate, Spatches, pR, tTVcon, tAv)

% RETURNS:
% nodes to obtain optimal tets of changed / new triangles

pudim = 3 ;
xdim  = 3 ;

eR = zeros(Na,1); % triangles to recalculate

for i = 1:1:Na
    eR(i,1) = ate(i);
end


if DNE > 0 % updates if needs to add triangles
 
    eR = [eR ; [tNE-DNE+1:1:tNE]']; % triangles to recalculate

    tAtetIN = [tAtetIN ; zeros(DNE,pudim) ] ;
    tAtetOU = [tAtetOU ; zeros(DNE,pudim) ] ;
    tXtetIN = [tXtetIN ; zeros(DNE,xdim) ] ;
    tDtet   = [tDtet ; zeros(DNE,1) ] ;
end

Ne = size(eR,1);

rIN = 0.50 ;
rOU = 0.20 ;



for e = 1:1:Ne
    
    r = eR(e);
    
    [AtetIN, AtetOU, XtetIN, Dtet] = mt0605_opTetPos ...
    (r, Spatches, pR, tTVcon, tAv, rIN, rOU);
    
    tAtetIN(r,:) = AtetIN(:,1);
    tAtetOU(r,:) = AtetOU(:,1);
    tXtetIN(r,:) = XtetIN(:,1);
    
    tDtet(r,:)   = Dtet;
end



end

