function [Au1, Au2, Av1, Av2] = fs0733_Sdi (EAs, Nsd, ru, rv)

% RETURNS: Points to estimate 3rd derivative in curves for ctr of prev. and
% next segment (subindexes 1 and 2)
% Au1 and 2(4,pudim): in direction 1 
% Av1 adn 2(4,pudim): in direction 2

pudim = 3 ;

% Extracts relevant rows and cols from EAs:

sAu = zeros(Nsd,pudim);
sAv = zeros(Nsd,pudim);

for i = 1:1:Nsd
    sAu(i,:) = EAs(i,rv,:);
    sAv(i,:) = EAs(ru,i,:);
end


[Au1, Au2] = fs0793_Cdi (sAu, Nsd, ru);
[Av1, Av2] = fs0793_Cdi (sAv, Nsd, rv);



end

