function [roc, roa] = fs0756_regTri (nR, Avm)

% RETURNS: regularity  in current and alternative situation for both
% arrangements.
% roc(2,1)
% roa(2,1)

% the higher ro the better


nd = 3 ;
pudim = 3 ;

crnR = [ 1 2 3 ; 3 4 1 ]; % current  relative nodes refereces
arnR = [ 1 4 2 ; 3 2 4 ]; % alternative relative nodes refereces


roc = zeros(2,1);
roa = zeros(2,1);


for k = 1:1:2
    
    Anodc = zeros(3,pudim);
    Anoda = zeros(3,pudim);
    
    for i = 1:1:3
        
        r = crnR(k,i);
        Anodc(i,:) = Avm(nR(r),:);
        
        r = arnR(k,i);
        Anoda(i,:) = Avm(nR(r),:);
        
    end
    
    roc(k,1) = tm1304_Ronumber (Anodc, pudim);
    roa(k,1) = tm1304_Ronumber (Anoda, pudim);
 
end



end

