function [nc, cRs] = fs0778_seachC (X, ccTp, pR, sR)

% RETURNS:
% nc: No. curves where the extreme node lies in
% cRs(nc,1): these curves refs

nc = 0 ;
cRs = zeros(1,1);

xdim = 3 ;
nd = 2 ;
agCurv = ccTp(pR).agCurv;

for L = 1:1:ccTp(pR).nlo(sR,1)
                
    for c = 1:1:ccTp(pR).ncu(sR,L)
                        
        tcR = abs(ccTp(pR).SCcon(sR,L,c));
                        
        tcNcp = agCurv(tcR).Ncp ;
        tcP   = agCurv(tcR).P ;
                        
    	Xc1(1,:) = tcP(1,:);
        Xc2(1,:) = tcP(tcNcp,:);
                        
        CO1 = go2542_coincidentP (X, Xc1, xdim, nd);
    	CO2 = go2542_coincidentP (X, Xc2, xdim, nd);
                        
        if (CO1==1 || CO2==1)
        
            nc = nc + 1 ;
           cRs(nc,1) = tcR ;
                            
        end
        
    end
                
end
                
end

