function [a1, a2, t1, t2, c1, c2] = fs0783_angPrNx (nR, i, accNe, LVcon, Uvm, nd, sudim)

% RETURNS: (all measured from node nR)
% a1, a2: angles of lines prev. and next of the node nR
% t1, t2(sudim,1): tangent vectors
% c1, c2(sudim,1): curvature vectors


U1 = zeros(3,sudim);
U2 = zeros(3,sudim);

% 1.- Extracts coordinates of the points of both lines:

n1 = nR-1 ;
if i==1
	n1 = accNe ;
end
n2 = i ;
        
for j = 1:1:3
    
	L1 = LVcon(n1,j);
	L2 = LVcon(n2,j);

	U1(j,:) = Uvm(L1,:);
	U2(j,:) = Uvm(L2,:);
    
    rs1 = 3 ;
    rs2 = 1 ;
    
end


% 2.- Computes:

[a1,t1,c1] = fs0782_dP2 (U1, rs1, nd);
[a2,t2,c2] = fs0782_dP2 (U2, rs2, nd);

end

