function [ag] = fs0785_regAngle (a)

% RETURNS:
% ag: angle regulated, i.e. between 0 and 360 degrees

L1 = 0 ;
L2 = 360 * 3.14159 / 180 ;


if a < L1
    
    ag = a + L2 ;
    
elseif L2 < a
    
    ag = a - L2 ;
    
else
    
    ag = a ;
    
end

end

