function [eNFC] = fs0791_ceNodes (NFC, TNcu)

cudim = 1;
pudim = 3;
xdim  = 3;

eNFC = struct('Nc',[], 'Bn',[], 'Xn',[], 'An',[]);

mNc = zeros(TNcu,1);

mBn = zeros(TNcu,1,cudim);
mXn = zeros(TNcu,1,pudim);
mAn = zeros(TNcu,1,xdim);

for c = 1:1:TNcu
    
    mNc(c,1) = NFC.Nc(c,1) - (NFC.Nc(c,1)-1)/2 ;
    
    conta = 0 ;
    for i = 1:2:NFC.Nc(c,1)
        
        conta = conta + 1 ;
        
        mBn(c,conta,:) = NFC.Bn(c,i,:);
        mXn(c,conta,:) = NFC.Xn(c,i,:);
        mAn(c,conta,:) = NFC.An(c,i,:);
    end

end

eNFC.Nc = mNc ;
eNFC.Bn = mBn ;
eNFC.Xn = mXn ;
eNFC.An = mAn ;

end

