function [Bentities] = b0801_defBE ...
(Spatches, Nbe, bEnti, bCurv, NGPb, tolRc, tolRs, tolD, Nvx, R, pesw, ndig, wbF, DerC, pRx, DUtol, dirF, neuF, d, t)

% RETURNS:
% Bentities class object



% 1.- ALLOCATES skins (COUPLINGS are in skin.mCou and mPa):

[Bentities] = bs0811_BSini ...
(Spatches, Nbe, bEnti, bCurv, NGPb, tolRc, tolRs, tolD, Nvx, R, pesw, ndig, wbF, DerC, pRx, DUtol);


% 2.- USER BC'S:

[Bentities] = bs0812_BCvals (Bentities, Nbe, dirF, neuF, d, t);



% Ex. 10.1::
%{

% Dirichlet:

eR = 2 ; % entity reference

Bentities(eR,1).mDIR = 1 ;

Bentities(eR,1).INS(1,1).md = [0 0 0]'; % values


eR = 4 ; % entity reference

Bentities(eR,1).mDIR = 1 ;

Bentities(eR,1).INS(1,1).md = [0 0 0]'; % values



% Neumann:

tract = -3.3;

eR = 3 ; % entity reference

Bentities(eR,1).mNEU = 1 ;

Bentities(eR,1).INS(1,1).mt = [0 0 tract]'; % values


eR = 5 ; % entity reference

Bentities(eR,1).mNEU = 1 ;

Bentities(eR,1).INS(1,1).mt = [0 0 tract]'; % values


%}


% Ex. 10.2::
%{

% Dirichlet:

eR = 1 ; % entity reference

Bentities(eR,1).mDIR = 1 ;

Bentities(eR,1).INS(1,1).md = [0 0 0]'; % values



% Neumann:

tract = 100;

eR = 2 ; % entity reference

Bentities(eR,1).mNEU = 1 ;

Bentities(eR,1).INS(1,1).mt = [-tract 0 0]'; % values



eR = 3 ; % entity reference

Bentities(eR,1).mNEU = 1 ;

Bentities(eR,1).INS(1,1).mt = [tract 0 0]'; % values


%}

end