function [Bentities] = bs0811_BSini ...
        (Spatches, Nbe, bEnti, bCurv, NGPb, tolRc, tolRs, tolD, Nvx, R, pesw, ndig, wbF, DerC, pRx, DUtol)

% RETURNS:
% Bentities with skins

% 1.- DECLARES BOUNDARY ENTITY:

Bentities(Nbe,1) = cBentities;



% 2.- GENERATE SKINS:

[BEskin, agCurvE, SCconE, ncuE, nloE] = so2939_beSkins...
(Spatches, Nbe, bEnti, bCurv, NGPb, tolRc, tolRs, tolD, Nvx, R, pesw, ndig, wbF, DerC, pRx, DUtol);


% 3.- ALLOCATES SKINS and coupling/patches:

for e = 1:1:Nbe
    
    eINS = cBINS ;
    
    eINS.skin = BEskin(e,1);
    
    Bentities(e,1).INS(1,1) = eINS ;

    Bentities(e,1).mCOU = bEnti(e).Cou ;
    Bentities(e,1).mPa  = bEnti(e).Pa  ;
    
    clearvars eINS
    
end


end
