function [sorA] = b0841_AnchorRelDir (NicpE, RicpE)

% RETURNS: sequencial order of RicpE references

% INPUT: CP's refs => OUTPUT: position in RicpE.
% Useful to knot row position in BC matrix

sorA = zeros(max(RicpE),1);

for a = 1:1:NicpE
	dir = RicpE(a);
    sorA(dir,1) = a ;
end


end

