function [DoF, PFpos] = c0901_FppDoF (Spatches, Npa, insR, xdim)

% RETURNS:
% DoF: No. all DoF
% PFpos(Npa): first position of each patch in K

DoF = 0 ;
PFpos = zeros(Npa,1);

for pa = 1:1:Npa
    
    mNon = Spatches(pa).INS(insR).mNon ;
    
    PFpos(pa) = DoF+1;
    DoF = DoF + mNon*xdim ;
    
end

end

