function [Spatches] = c0915_XbfGP (Spatches, Npa, insR, xdim)

% RETURNS:
% Spatches with GP's Xbf's updated to latest anchors position

for pa = 1:1:Npa
    
    udim = Spatches(pa).pudim;

    Ngp = Spatches(pa).INS(insR,1).mIM.mNgp;
    CP  = Spatches(pa).INS(insR,1).mCP;
    
    for g = 1:1:Ngp
        
        %UsInte = 0 ;
        %Usingu  = Spatches(pa).INS(insR).mIM.mGP(g).Usingu ;
        %dRpaRHS = Spatches(pa).INS(insR).mIM.mGP(g).dR_paRHS ;
        
        Ricp  = Spatches(pa).INS(insR,1).mIM.mGP(g).mRicp ;
        Nicp  = Spatches(pa).INS(insR,1).mIM.mGP(g).mNicp ;
        dRpa  = Spatches(pa).INS(insR,1).mIM.mGP(g).dRpa ;

        [J1, detJ1] = j2316_J1_BTsp_dRpa (CP, Ricp, Nicp, dRpa, udim, xdim);
        dRfi = J1\dRpa';
        
        %[dRfi,~,detJ1] = p1211_Xbf (UsInte, Usingu, mA, gRicp, gNicp, dRpa, dRpaRHS, udim, xdim);
        
        Spatches(pa).INS(insR,1).mIM.mGP(g).dRfi = dRfi;
        Spatches(pa).INS(insR,1).mIM.mGP(g).dJ1 = detJ1;
    end
    
end


end

