function [rou] = c0952_AbsFrow (pfPos, mAref, aR, pxdim)

% RETURNS:
% rou: first position in general K matrix (of F vector) for a sub-matrix
% (sub-vector) to add to

% INPUTS:
% pfPos: firs position of patch DoF in the global matrix


aPos = mAref(aR); % anchor position within the patch active anchors
rou = c0951_rowLocPos (aPos, pxdim); % row position within the patch
rou = rou + pfPos - 1 ; % First row position with in the whole system (K)
                    

end

