classdef cMaterial

    % stores material properties
    
    properties
        
    	E = zeros(3,1);     % long. modulus in 3 directions: 1 2 3
        G = zeros(3,1);     % shear modulus in 3 directions: 12 23 31
        nu = zeros(3,1);    % poisson ration in 3 directions: 12 23 31
        
        fy = zeros(3,2);    % axial yield limit (tens, compr)
        sy = zeros(3,1);    % shear yield limit

        sw ; % specific weight
        swF; % specific weight flag = 1 in case is considered
        
    end
    
    methods
        
    end
    
end

