classdef cPskin
    
    properties

        mNE ;   % No. triangles or elements
        mNV ;   % No. vertexes (with no mid-edges vtx)
        
        mVP ; % vertexes points
   
        % connectivity matrices:
        mTVcon; % triangle  to  vertexes
        mVTcon; % vertex    to  triangles
      	mLVcon; % lines     to  vertexes
        mVLcon; % vertex    to  line
        mTLcon; % triangle  to  line edge
        
      	mNlo; % No. loops per skin
        mNlv; % No. vtx per loop
        
        %{
        mAv ;   % Vertexes param. space coordinates (in terms of solid space)
        mXv ;   % Vertexes phys. space coordinates

        % stresses:
        mD;         % (6,6) constitutive matrix
        mSv;        % (6,1): sx, sy, sz, txy, tyz, txz
        mVM;        % Von Mises
        mPst;       % (3,1): ppal. stresses
        mPdi;       % (3,3): ppal. directions, each in a column
        %}
    end
    

    methods
        
    end
    
    
end

