function [MLT, THC, pNE, connT] = tm1312_mVSt (pR, Spatches, rTskin, pNE, connT, THC, MLT, agCurv, pL, Xtol, DUtol, tolL, tolA, nd)


contaL  = 0 ; % just a counter
mlF     = 1 ; % missing line flag, is = 1 if there is line to insert


while (mlF == 1)

 	contaL = contaL + 1;

    PcontaL     = 0 ;
    contaLSTOP  = 0 ;
    
    
    % 1.1.- IDENTIFIES LINE OF MLT THAT ARE NOT IN THE TETS:
    % ILn(2,2): two nodes of the line, col.1 tets refs, col.2 MLT refs

    %%%%%%%%%%%%%%%%%%%%%%%%
    %{
    if contaL > 11
        
        fr = 500+contaL ;

        for k = 134:1:136

            pt1375_pLinConn (k, MLT.tLVcon, MLT.tAv, fr, 'k', 1, 1, 1);
            
        end

        axis equal
        
    end
    %}
    %%%%%%%%%%%%%%%%%%%%%%%%

    [ILn, mTR, mLR, mlF] = th1339_Nien (contaL, MLT, connT, connT.VL, connT.LV, THC);

    [contaL mLR]

    % If 'missing line flag' = 0 then stops
    
    if mlF == 1

        pNE = size(connT.EV,1);
        [connS,~,~] = th1381_connS (pNE, connT);

        %{
        if contaL==13

            fr = 99 ;
            LV = [ILn(1,2) ILn(2,2)];
            pt1375_pLinConn (1, LV, oMLT.tAv, fr, 'r', 1, 5.0, 0); hold on
            
            for i = 1:1:size(connT.VE,2)

                eR = connT.VE(ILn(2,1),i);

                if eR > 0
                pt1373_pTetConn (eR, connT, THC.Av, fr, 'k', 1, 1, 0, 0);
                end

            end

        end
        %}
        
        % 1.2.- FINDS THE SIDES INTERSECTING WITH THE MISSING LINE:

        [isi] = ts1601_sidesInv (contaL, ILn, pNE, connT, connS, THC, tolL, tolA, nd);
        
        oMLT = MLT ;
        oTHC = THC ;
        oconnT = connT;
        oNn = size(THC.Av,1);
        
        % 1.3.- INTEGRATES THE MISSING LINE WITHIN THE TETS:
        
        %{
        if contaL == 9
            
            fr = 9 ;
            Nsi = size(isi,1);
            
            sR = isi(1).R;
            
            pt1374_pSidConn (sR, connS.SV, THC. Av, fr, 'r', 1, 1, 0, 0);
            
            connS.SE(sR,:)
            
            LVcon = connT.LV;
            NLI = size(LVcon,1);
            pt1368_pTetLinMesh (THC.Av, NLI, LVcon, fr, 1, 0.5, 0);
            
        end
        
        %}
        
        % Tets involved:
        [Nte, teR1] = ts1611_invItms (ILn, THC.Av, isi, connS, connT);
        
      	[MLT, THC, pNE, connT, tp, teR1, teR2] = ts1610_integrInTets ...
        (contaL, Spatches, pR, rTskin, agCurv, ILn, mLR, Nte, teR1, pNE, connT, connS, THC, isi, MLT, pL, Xtol, DUtol, tolL, tolA, nd);
    
        tp

        % 1.4.- IMPROVEMENT OF INVOLVED TETS (IF NECESSARY):

        %{
        teR = [ teR1 ; teR2 ] ;
        [teR,~] = GEN_16_RemoveRepeatedRows (teR, 1, 0.1);
        
        pNE = size(connT.EV,1);
        [connS,~,~] = th1381_connS (pNE, connT);
        
        [dtR] = ti1600b_identifyOnSet (contaL, teR, THC, connT, connS, Spatches, pR);
        %}
        
        
        %%%%%%%%%%%%%%%%%%%%%%  %%%%%%%%  %%%%%%%%%%%%%%%%%%%
        %{
        if contaL == PcontaL % || contaL > 0
        %if tp == "others"
            
            Nn = size(THC.Av,1);
            
            fr = contaL ; % INITIAL SITUATION
            figure(fr)
            
            % pm0650_plotMLT (oMLT,'A', fr, 'g', 2.5, 0, 0, 0, 0, 0, 0, 0,0);
            
            LV = [ILn(1,2) ILn(2,2)];
            pt1375_pLinConn (1, LV, oMLT.tAv, fr, 'r', 1, 5.0, 0);
            
            for e = 1:1:size(teR1,1)
                
                eR = teR1(e,1);
                fF = 0;
                pt1373_pTetConn (eR, oconnT, oTHC.Av, fr, 'k', 1, 1, 0, fF);
                
                if Nn > oNn
                scatter3(THC.Av(Nn,1), THC.Av(Nn,2), THC.Av(Nn,3), 'r'); hold on
                end
            end
            
            title(tp)
            
            fr = contaL + 100 ; % AMENDED SITUATION
            figure(fr)

            %pm0650_plotMLT (MLT,'A', fr, 'g', 3.1, 0, 0, 0, 0, 0, 0, 0,0);
            
            if MLT.tNV == oMLT.tNV
                LV = [  ILn(1,2) ILn(2,2)];
                pt1375_pLinConn (1, LV, MLT.tAv, fr, 'r', 0.33, 5.0, 0);
            else
                LV = [  ILn(1,2) MLT.tNV ;
                        MLT.tNV ILn(2,2)];
                    
                pt1375_pLinConn (1, LV, MLT.tAv, fr, 'r', 0.33, 5.0, 0);
                pt1375_pLinConn (2, LV, MLT.tAv, fr, 'r', 0.33, 5.0, 0);
            end
            

            for e = 1:1:size(teR2,1)
                
                eR = teR2(e,1);
                erF = 1 ;
                fF = 0;
                pt1373_pTetConn (eR, connT, THC.Av, fr, 'k', 1, 1, erF, fF);
                
            end
            
            title(tp)
       
            
            %{
        	fr = contaL + 200 ; % SIDES
            figure(fr)
            
            Nsi = size(isi,1);
            
            for si = 1:1:Nsi
                
                sR = isi(si,1).R;
                pt1374_pSidConn (sR, connS.SV, THC.Av, fr, 'k', 0.9, 1.1, 1, 0);
                
            end
            
            LV = [ILn(1,2) ILn(2,2)];
            pt1375_pLinConn (1, LV, oMLT.tAv, fr, 'r', 1, 5.0, 0);
            
            axis equal
            %}
            

        %end
        end
        %}
        %%%%%%%%%%%%%%%%%%%%%%  %%%%%%%%  %%%%%%%%%%%%%%%%%%%

        
        
        
     	% 1.X.- JUST a stopper:
        if contaL == contaLSTOP 
            if jj==0
            end
        end

    end

end





end

