function [xCt, aCt] = tm1314_Ctets (NE, EVcon, THC)

% RETURNS:
% xCt, aCt(NE,3): coG of tets

xdim = 3 ;
pudim = 3 ;

xCt = zeros(NE,xdim); % stores tet's centres
aCt = zeros(NE,pudim);

for e = 1:1:NE
 
	Xc = zeros(xdim,1); 
	Ac = zeros(pudim,1);
        
    for v = 1:1:4
            
        vR = EVcon(e,v);
            
        for di=1:1:xdim
            Xc(di,1) = Xc(di,1) + THC.Xv(vR ,di)/4;
            Ac(di,1) = Ac(di,1) + THC.Av(vR ,di)/4;
        end
    end
        
	xCt(e,:) = Xc(:,1);
	aCt(e,:) = Ac(:,1);
    
end





end

