function [otpS, B0, mNCS] = th1315_curveA1(agCurv, cR, sR, Bv, n, enF)

        if agCurv(cR(1)).CD == 0 % open curve => direct
            
            otpS = "C" ;
            
            B0(1,:) = ( Bv(n(1),:) + Bv(n(2),:) ) / 2 ;
            
            mNCS(1,1) = cR(1);
            mNCS(1,2) = sR(1);
  
        elseif agCurv(cR(1)).CD == 1 % closed curve
            
            if enF(1)==0 && enF(2)==0
                
                % no extremes nodes
                
                otpS = "C" ;
                
                B0(1,:) = ( Bv(n(1),:) + Bv(n(2),:) ) / 2 ;

                mNCS(1,1) = cR(1);
                mNCS(1,2) = sR(1);
                
            else
                
                % node a is extreme and b is IN
                
                if enF(1)==1
                    a = 1; b = 2 ;
                elseif enF(2)==1
                    a = 2; b = 1 ;
                end

                otpS = "C" ;
                
                B0(1,1) = Bv(n(b),1);
 
                mNCS(1,1) = cR(1);
                mNCS(1,2) = sR(1);
            end

        end



end

