function [ILn, mTR, mLR, mlF] = th1339_Nien (contaL, MLT, connT, VLcon, LVcon, THC)

% RETURNS:
% ILn(2,2): involved nodes that are at ends of missing line
%               col.1 are tets refs
%               col.2 are MLT refs
% mTR: triangle ref of MLT
% mLR: line ref of MLT
% mlF: missing line flag = 1 if finds line missing, otherwise = 0

% Detects one and returns to amend it

NV = size(THC.Av,1);

ILn = zeros(2,2);

mTR = 0 ;
mLR = 0 ;

tLVcon= MLT.tLVcon;

for k = 1:1:MLT.tNL

	% MLT line nodes: searches them in the tets
    
	mn1 = tLVcon(k,1);
	mn2 = tLVcon(k,2);
       
    conta = 0 ;
    for i = 1:1:NV
    if THC.rm(i) > 0    
        if THC.rm(i) == mn1
            
            conta = conta + 1;
            ILn(conta,1) = i ;
            ILn(conta,2) = mn1;

        elseif THC.rm(i) == mn2
            
            conta = conta + 1;
            ILn(conta,1) = i ;
            ILn(conta,2) = mn2;

        end

        if conta==2
            break
        end
        
    end
    end
    
        
    
    % Checks if any line of the tet connects ILn:
    
    mlF = 1 ;

    nR = ILn(1,1); % current node ref
	oR = ILn(2,1); % opposite node ref
        
	for j = 1:1:size(VLcon,2)
            
        LR = VLcon(nR,j);
            
        if LR > 0

            if LVcon(LR,1) == oR || LVcon(LR,2) == oR

                if k == 10
                    %THC.Av(nR,:)
                    %THC.Av(oR,:)
                    %LR
                end
                
                mlF = 0 ; % finds the line in tets
                break
                
            end
        end
    end
        
  	if k == 10
        
        %FlaG = mlF

    end
    

    % if the line is missing ends with ILn storing the info:
    if mlF==1
        
        mTR = MLT.tLTcon(k,1) ;
        mLR = k ;
        break
        
    end
 
    
end


end

