function [rs] = tr1349_ParentCoords (c, Nne, Cnod)

% RTURNS:
% rs(2,1): parent coord's from mapped Ccoords (that must be also (2,1)

% INPUTS:
% c(2,1): mapped coordinates of the point to evaluate
% Nne: No. nodes / triangle (3 or 6)
% Cnod(Nne,2): mapped coord's of the nodes of triangle

% note: for quadratic triangles, 1,2,3 are corners, and 4,5,6, are mid-points




% 1.- LINEAR TRIANGLES:
 
if Nne==3


    % total triangle area:

    x = [Cnod(1,1) ; Cnod(2,1) ;Cnod(3,1)];
    y = [Cnod(1,2) ; Cnod(2,2) ;Cnod(3,2)];
    At = polyarea(x,y);

    % Finds coord's using areas

    ov = [2 3 ; 3 1 ; 1 2]; % opposite vertex local ref.
    
    rs = zeros(2,1);
    
    for i = 1:1:2
        x = [ Cnod(ov(i,1),1) ; Cnod(ov(i,2),1) ; c(1) ];
        y = [ Cnod(ov(i,1),2) ; Cnod(ov(i,2),2) ; c(2) ];
        Ai = polyarea(x,y);
        rs(i)= Ai/At;    
    end

end

% 2.- QUADRATIC TRIANGLES:

if Nne==6
    
    % PENDING!
    % requires iterations, not straight forwards (I THINK)
    
end


end

