function [] = pt1365_fill3 (fr, TVcon, Av, coli)

% RETURNS:
% fill 3 poligons

% INPUNTS:
% fr: figure ref
% trianguation fetures:
% TVcon and nodes coord's Av
% Cv(Nv,1): colour attached ot each vertex (value)
% coli: colour index

if fr > 0
    figure(fr);
end

% No. vtx and elements:
NV = size(Av,1);
NE = size(TVcon,1);


% Populates coordinates and colour:

X = zeros(3,NE);
Y = zeros(3,NE);
Z = zeros(3,NE);

C = zeros(3,NE);

for e = 1:1:NE
    
    for i = 1:1:3
        
        nR = TVcon(e,i);
        
        X(i,e) = Av(nR,1);
        Y(i,e) = Av(nR,2);
        Z(i,e) = Av(nR,3);
        
        C(i,e) = coli ; % Cv(nR,1);   
    end  

end

fill3(X,Y,Z,C, 'EdgeAlpha',0.05); hold on


if fr > 0
    axis equal;
end

end