function [ ] = pt1368_pTetLinMesh (Cv, NLI, LVcon, fr, Lthk, transp, lrF)

% vrF, erF: vtx and elem. refs flags (=1 wirte refs)

figure(fr);
dim = 3 ;

% tetrahedral:

cn = zeros(2,dim);

for li = 1:1:NLI
    
    n1 = LVcon(li,1);
    n2 = LVcon(li,2);
    
    cn(1,:) = Cv(n1,:);
    cn(2,:) = Cv(n2,:);
    
    m = zeros(1,dim);
    
    m(1,:) = (cn(1,:) + cn(2,:))/2;
    


	plot3(cn(:,1),cn(:,2),cn(:,3),'LineWidth', Lthk, 'Color', [transp transp transp]); hold on

	if lrF == 1
        text(m(1,1), m(1,2), m(1,3), num2str(li)); hold on
	end
        
end



axis equal

end