function [ ] = pt1376_pAdjToNod (nR, connT, connS, Av, fr, enF, colr, trans, Lthk, rF, filF)

% PLOTS:
% entities adjacent to one node nR

% INPUTS: arranged by entities: line, side, tet
% enF(3,1); plot flag
% colr(3,1): color
% trans(3,1): tranparency
% rF(3,1): plot ref flag


% lines:

if enF(1) == 1
    
    for i = 1:1:size(connT.VL,2)
        
        lR = connT.VL(nR,i);
        
        if lR > 0
            pt1375_pLinConn (lR, connT, Av, fr, colr(1), trans(1), Lthk(1));
        end
    end
 
end


% sides:

if enF(2) == 1
    
    for i = 1:1:size(connS.VS,2)
        
        sR = connS.VS(nR,i);
        
        if sR > 0
            pt1374_pSidConn (sR, connS, Av, fr, colr(2), trans(2), Lthk(2), rF(2));
        end
    end
 
end


% tets:

if enF(3) == 1
    
    for i = 1:1:size(connT.VE,2)
        
        eR = connT.VE(nR,i);
        
        if eR > 0
            pt1373_pTetConn (eR, connT, Av, fr, colr(3), trans(3), Lthk(3), rF(3), filF);
        end
    end
 
end

end

