function [THC, pNE, connT, meR, aeR1, aeR2, mpS]  = ts1613_inNodTET ...
    (contaLS, eTHC, pNE, connT, connS, THC, tolL, tolA, nd)

% RETURNS:
% THC, pNE, connT: updated with new insertion
% meR: main element ref, where the insertion lies

pudim = 3 ;

%{
% 1.- MID-POINT of missing line, PROJECTED ONTO MLT:

% 1.1.- Mid-point by interpolation:

[rv, rP1, rP2] = ts1602_mLAspace (ILn, THC.Av);

mP = (rP1+rP2)/2 ;


% 1.2.- Projects to MLT:

[eTHC] = ts1603_mPpp (contaL, Spatches, pR, rTskin, agCurv, ILn, mP, THC, Xtol, DUtol);
%}

% 1.- UPDATES NODES COORDS:

THC.Bv  = [THC.Bv ; eTHC.Bv];
THC.Uv  = [THC.Uv ; eTHC.Uv'];
THC.Av  = [THC.Av ; eTHC.Av'];
THC.Xv  = [THC.Xv ; eTHC.Xv'];
THC.NCS = [THC.NCS ; eTHC.NCS];
THC.rm  = [THC.rm ; eTHC.rm];


% 2.- FINDS STATE:
% State: 1 in, 2 side, 3 edge (moves tets node to make it coincident with new node)

[mpS] = ts1604_mpState (contaLS, THC, pNE, connT, connS, nd);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% main tet where new node lies in
%{
if contaLS == 9
    
    fr = 4 ;

    eR = mpS(2);
    
    pt1373_pTetConn (eR, connT, THC.Av, fr, 'g', 0.75, 2, 0,0);
        
    figure(fr)
    scatter3(eTHC.Av(1), eTHC.Av(2), eTHC.Av(3),'r'); hold on
    
    STATE = mpS
    
    if kk==0
    end
    
end

%}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% 3.- DIVIDES ACC. TO STATE:

if mpS(1) == 1  % INSIDE
    
    
    % 3.1.- Divide into 4:
    
	meR = mpS(2); % 'main' element ref (not adjacents)

    nnR = size(THC.Av,1);

    connTp = connT ;
    NEt = pNE ;
    
    [pNE, connT] = mi1671_TetDiv4 (pNE, connT, meR, nnR);
    
    aeR1 = meR ;
    aeR2 = [meR; pNE-2 ; pNE-1 ; pNE ] ;

    
elseif mpS(1) == 2  % AT SIDE
    
    
    % 3.2.- Divide into 3 the affected tets (1 or 2):
    
    meR = mpS(2); % 'main' element ref (not adjacents)
    lsR = mpS(3); % local ref of intersected side

    connTp = connT ;
    NEt = pNE ;
    
    [pNE, connT, aeR1, aeR2] = ts1650_sideIntsd (contaLS, pNE, connT, THC, meR, lsR, connS);

    %{
    if contaLS == 3
        
    	figure(54)
        
        scatter3(eTHC.Av(1), eTHC.Av(2), eTHC.Av(3), 'r'); hold on
        
        pt1373_pTetConn (meR, connT, THC.Av, 54, 'k', 1, 1, 0, 0);
        
        axis equal
        
        
        figure(55)
        
        scatter3(eTHC.Av(1), eTHC.Av(2), eTHC.Av(3), 'r'); hold on
        
        for e = 1:1:size(aeR1,1)  
            eR = aeR1(e);
            pt1373_pTetConn (eR, connT, THC.Av, 55, 'k', 1, 1, 0, 0);
        end
        
        axis equal
        
        
     	figure(56)
        
        scatter3(eTHC.Av(1), eTHC.Av(2), eTHC.Av(3), 'r'); hold on
        
        for e = 1:1:size(aeR2,1)  
            eR = aeR2(e);
            pt1373_pTetConn (eR, connT, THC.Av, 56, 'k', 1, 1, 0, 0);
        end
        
        axis equal
         
    end
    %}

elseif mpS(1) == 3  % AT EDGE
    
    % 3.3.- Divide into 2 the affected tets (vary):
    
   	meR = mpS(2); % 'main' element ref (not adjacents)
    llR = [mpS(3) mpS(4)]; % local ref of intersected line
    
    connTp = connT ;
    NEt = pNE ;
    
    [pNE, connT, aeR1, aeR2] = ei1660_edgeInt (pNE, connT, THC, meR, llR);


elseif mpS(1) == 4    % MOVES NODE OF TET TO COINCIDE WITH eTHC:
    
    %[THC] = mt1692_moveTnod (THC);
    
end

        





end

