function [siR] = ts1618_LsideR (connT, nsR, eR)


% RETURNS:
% sR: local side ref corresponding to trhee nodes of a tet

% INPUTS:
% connT
% nsR(3): nodes global refs of the side
% eR: tet ref

% The siR is the reference of the tet node not contained in nsR

r = zeros(3,1);
    
siR = 0 ;
    
for k = 1:1:4
      
    tmp = connT.EV(eR,k);
    
    nfF = 1 ; % node found flag
    
    for i = 1:1:3
        if nsR(i) == tmp
            nfF = 0 ;
            break
        end
    end
        
    if nfF == 1
        siR = k ;
        break
    end

end
    
  

end

