function [leR] = ts1620_LedgeR (connT, neR, eR)


% RETURNS:
% leR: local edge ref corresponding to two nodes of a tet

% INPUTS:
% connT
% neR(2): nodes global refs of the edge
% eR: tet ref

% The leR are the references of the tet edge line that contain any neR

leR = zeros(2,1) ;
conta = 0;  

for k = 1:1:4
      
    Vtmp = connT.EV(eR,k);
    
    if Vtmp == neR(1) || Vtmp == neR(2)
        conta = conta + 1 ;
        leR(conta,1) = k ;
    end

end
    
  

end

