function [anR, inR, pnR] = mp1632_invNods (cnR, THC, connT, tLR, aeR1)

% RETURNS:
% anR(2,1): tet nods ref of line that intersects MLT, 'axis nodes'
% inR(*,1): the rest of the nodes involved (but not 'axis nodes')
% pnR: node among the inR that coincides with cnR. It is the 'pivot node'

% INPUTS:
% cnR: node of MLT that is the closest to the intersection
% tLR: line of tets that intersects the MLT

%Acn = zeros(pudim,1);
%Acn(:,1) = MLT.tAv(dn(1,2),:); % coords of MLT closest node

% TET nodes, at axis-ends and the rest involved:

anR = [ connT.LV(tLR,1) ; connT.LV(tLR,2) ] ;

conta = 0 ;
inR = zeros(1,1);

for e = 1:1:size(aeR1,1)
    
    eR = aeR1(e,1);
    
    for k = 1:1:4
        
        nR = connT.EV(eR,k);
        
        if nR~=anR(1) && nR~=anR(2)
            
            conta = conta + 1 ;
            inR(conta,1) = connT.EV(eR,k);
        end
    end
end

[inR,~] = GEN_16_RemoveRepeatedRows (inR, 1, 0.1);
Ni = size(inR,1);


pnR = 0 ;

for i = 1:1:Ni
    
    nR = inR(i,1);
    
    if THC.rm(nR,1) == cnR
    
    %a(:,1) = THC.Av(nR,:);
    %CO = go2542_coincidentP (a, Acn, pudim, nd);

    %if CO==1
        pnR = nR;
        break
    end
end



end

