function [neR] = ei1662_LedgeGnodes (leR, eR, connT)

% RETURNS:
% neR(2,1): global refs of nodes given a edge local ref (leR)

ENc = [ 1 2 3 4 4 4 ;
        2 3 1 1 2 3 ]' ;

neR = zeros(2,1);
    
conta = 0 ;

for k = 1:1:4
    
    r1 = ENc(leR,1);
    r2 = ENc(leR,2);
    
    if k == r1 || k == r2
        
        conta = conta + 1 ;
        neR(conta,1) = connT.EV(eR,k);
        
    end
    
end

end

