function [Nae, atR, LeRd] = ei1664_attELL (eL, meR, connT)

% RETURNS:
% atR(Nae,1): attached tets refs to the local edge eL of element meR
% LeRd(Nae,2): local edge ref of each attaced tet (local nods that contain the edge in each tet)

    Nae = 0 ;
    atR = zeros(1,1);
    LeRd = zeros(1,1); % local edge ref for each attached element
    
    neR = ei1662_LedgeGnodes (eL, meR, connT); % global ref of nodes for that edge

    [geR] = ts1608_GnodGedgeE (neR, meR, connT); % global edge ref
    
    for i = 1:1:size(connT.LE,2)
        
        teR = connT.LE(geR,i);
        
        if teR > 0
            
            Nae = Nae + 1 ;
            
            atR(Nae,1) = teR;

            [leR] = ts1620_LedgeR (connT, neR, teR);
            
            LeRd(Nae,1) = leR(1);
            LeRd(Nae,2) = leR(2);
            
        end
    end

end

