function [x] = pr1704_accL (C)

% RETURNS:
% x(n,1): accumulated legth in a path

dim = size(C,2);
n = size(C,1);


x = zeros(n,1);
p1 = zeros(dim,1);
p2 = zeros(dim,1);

Lacc = 0 ;
for i = 2:1:n
    
    p1(:,1) = C(i-1,:);
    p2(:,1) = C(i-0,:);
    
    Lacc = Lacc + norm(p2-p1);
    
    x(i,1) = Lacc ;
end


end

