function [TRC] = uc1902_upCoords (NV, TRC, Vr, Spatches, pR, tFace, sR, Xtol, DUtol)


% Calculates new coords, as average btw Vr's:

pudim = 3 ;
sudim = 2 ;
xdim = 3 ;

sDegree = tFace(pR).mSur(sR).Degree ;
sNcp    = tFace(pR).mSur(sR).Ncp ;
sKnotV  = tFace(pR).mSur(sR).KnotV ;
sUsize  = tFace(pR).mSur(sR).Usize ;
sP     = tFace(pR).mSur(sR).P ;
sw     = tFace(pR).mSur(sR).w ;
[sEw,sEP] = GEN_12_ExpandBw (sw, sP, xdim, sudim, sNcp);   

sCD = tFace(pR).mSur(sR).CS ;
sULims = [ 0 1 ; 0 1 ] ;

pDegree = Spatches(pR,1).INS(1).mDegree ;
pNcp    = Spatches(pR,1).INS(1).mNcp ;
pKnotV  = Spatches(pR,1).INS(1).mKnotV ;
pUsize  = Spatches(pR,1).INS(1).mUsize;
pP      = Spatches(pR,1).INS(1).mP ;
pw      = Spatches(pR,1).INS(1).mw ;
pCD     = zeros(pudim,1);
[pEw,pEP] = GEN_12_ExpandBw (pw, pP, xdim, pudim, pNcp);  

pULims = [ 0 1 ; 0 1 ; 0 1 ] ; 

X0 = (TRC.Xv(Vr(1),:) + TRC.Xv(Vr(2),:))/2 ;
A0 = (TRC.Av(Vr(1),:) + TRC.Av(Vr(2),:))/2 ;
U0 = (TRC.Uv(Vr(1),:) + TRC.Uv(Vr(2),:))/2 ;


[u, ~] = s2835b_onePoint (X0, U0, sDegree, sNcp, sKnotV, sUsize, sP ,sw, sEP ,sEw, sCD, sULims, xdim, Xtol, DUtol);

x = b2601_BNURBS_Xcoord (u, sKnotV, sNcp, sDegree, sUsize , sEw, sEP, sudim, xdim);

[a,~] = v2865b_onePoint (x, A0, pDegree, pNcp, pKnotV, pUsize, pP ,pw, pEP ,pEw, pCD, pULims, xdim, Xtol, DUtol);


% Allocates to Vr(1) the coordinates:

TRC.Uv(Vr(1),:) = u(1,:);
TRC.Av(Vr(1),:) = a(1,:);
TRC.Xv(Vr(1),:) = x(:,1);


% Moves to Vr(2) the last node:

TRC.Bv(Vr(2),:) = TRC.Bv(NV,:);
TRC.Uv(Vr(2),:) = TRC.Uv(NV,:);
TRC.Av(Vr(2),:) = TRC.Av(NV,:);
TRC.Xv(Vr(2),:) = TRC.Xv(NV,:);
TRC.NC(Vr(2),:) = TRC.NC(NV,:);


% Removes the last node:

TRC.Bv = TRC.Bv(1:NV-1,:);
TRC.Uv = TRC.Uv(1:NV-1,:);
TRC.Av = TRC.Av(1:NV-1,:);
TRC.Xv = TRC.Xv(1:NV-1,:);
TRC.NC = TRC.NC(1:NV-1,:);



end

