function [TVt] = uc1903_upTV (conn, NE, NV, Vr, Er, Ner, Ea, Nea, Avm, contaL, cLoop)


TVt = conn.TV;
VTt = conn.VT;

%{
% needs to put first the highest elem ref

if Er(1) < Er(2)
    
    t = Er(1);
    Er(1) = Er(2) ;
    Er(2) = t ;
    
end
%}




% 1.- Separates those Er that are within the last Ner:

Ner1 = 0 ; % No. elements to remove < NE-Ner
Ner2 = 0 ; % no. elems to remove within the last Ner

Er1 = zeros(1,1);
Er2 = zeros(1,1);

for e = 1:1:Ner
    
    if Er(e) <= NE-Ner
        
        Ner1 = Ner1 + 1 ;
        Er1(Ner1,1) = Er(e);
        
    else
        
        Ner2 = Ner2 + 1 ;
        Er2(Ner2,1) = Er(e);
        
    end
    
end


%{
if contaL == 2 && cLoop == 2
    

    Er1
    Er2
    
	for e = 1:1:Ner
        
        Er(e)
        
        TVt(Er(e),:)
    end
    
    for e = 1:1:Nea
        
        Ea(e)
        
        TVt(Ea(e),:)
    end
    
    if gg==0
    end
    
end
%}


% 2.- TV matrix:

NEt = NE ; % temporary storage of No. elements:

for e = 1:1:Ner2 % elements to remove at the last Ner => just deleted
    
    if Er2(e) == NEt
        
        TVt = TVt(1:NEt-1,:);
        
    else
        
        TVt = [ TVt(1:Er2(e)-1,:) ; TVt(Er2(e)+1:NEt,:) ];
        
        for a = 1:1:Nea
            if Ea(a,1) == NEt
                Ea(a,1) =  NEt - 1 ; 
            end
        end
        
    end
    
    NEt = NEt - 1 ;
    
end

% updates Ea, in case any of them was the last

if Ner==1 && Er2(1) == NE-1
    
	for a = 1:1:Nea
        
        if Ea(a,1) == NE
            Ea(a,1) = NE-1; 
        end
        
    end
    
end




for e = 1:1:Ner1 % elements to remove not at the last Ner
    
    % transfers last elem to position of elem to remove: 
 	TVt(Er1(e),:) = TVt(NEt,:); 
    
    % updates aff'd elems refs in case any of them was at the end:
    for a = 1:1:Nea
        if Ea(a,1) == NEt
            Ea(a,1) = Er1(e); 
        end
    end
    
	% removes the last row:  
    TVt = TVt(1:NEt-1,:);
    NEt = NEt - 1 ;
    
end




% Amends the vertexes of each affected triangle:

for a = 1:1:Nea
    
    eR = Ea(a,1);

    for k = 1:1:size(TVt,2)

        nR = TVt(eR,k);

        if nR == Vr(2)
       	TVt(eR,k) = Vr(1);
        end

    end

end

% Amends the vertexes of each removed triangle: recall that they inherit
% the two last elements and may have Vr2

for a = 1:1:Ner
    
    eR = Er(a,1);

    if eR <= NE-Ner
    
        for k = 1:1:size(TVt,2)

            nR = TVt(eR,k);

            if nR == Vr(2)
                
                TVt(eR,k) = Vr(1);
            
            elseif nR == NV
                
                TVt(eR,k) = Vr(2);
            
            end
            
        end

    end


    
end



% Updates the nodes of all elems that were attached to last vertex (now is ref Vr2)

for e = 1:1:size(VTt,2)
    
    eR = VTt(NV,e); % old ref for elements that are attached to last node (that now is Vr2)
      
    if 0 < eR  && eR <= NE-Ner

        if contaL == 2 && cLoop == 3
            %eR
            %TVt(eR,:)
        end

        
        for j = 1:1:3

            nR = TVt(eR,j);

            if nR == NV

                if Vr(2) < NV

                    TVt(eR,j) = Vr(2);

                elseif Vr(2) == NV

                	TVt(eR,j) = Vr(1);

                end
            end
        end
         
        
     	if contaL == 2 && cLoop == 3
            %TVt(eR,:)
        end
        
    end

end





end

