function [seULims] = im2101_UdivLims (ULims, udim)

% RETURNS: Ulims after split one element
% seULims(Nne,udim,2);

% just halves the element ni parameter space


% INPUTS:
% ULims(udim,2): Ulims of actual element


Nne = 2^udim; % No. new elements

seULims = zeros(Nne, udim, 2);

% param. limits of divisions
u = zeros(udim,3);
for di = 1:1:udim
    u(di,1) = ULims(di,1);
    u(di,2) = (ULims(di,1)+ULims(di,2))/2; 
    u(di,3) = ULims(di,2);
end



conta = 0 ;

if udim == 2
    
    for i = 1:1:2
    for j = 1:1:2
       
        conta = conta + 1 ;
        seULims(conta,1,1) = u(1,i);    seULims(conta,1,2) = u(1,i+1);
        seULims(conta,2,1) = u(2,j);    seULims(conta,2,2) = u(2,j+1);
    end
    end
    
elseif udim == 3
    
    
  	for i = 1:1:2
    for j = 1:1:2
    for k = 1:1:2   
        
        conta = conta + 1 ;
        seULims(conta,1,1) = u(1,i);    seULims(conta,1,2) = u(1,i+1);
        seULims(conta,2,1) = u(2,j);    seULims(conta,2,2) = u(2,j+1);
        seULims(conta,3,1) = u(3,k);    seULims(conta,3,2) = u(3,k+1);
    end
    end
    end
    
end



end

