function [ NCpc, NCw ] = ip2310_NC_tri (NCP)

% RETURNS: (for triangular 2D element) for Newton-Cotes approx.
% NCpc: NCP parent coordinates
% NCw:  NCP weights


NCpc = zeros(NCP,2);
NCw = zeros(NCP,1);

if NCP == 1 


elseif NCP == 3 
    
    NCpc(1,1) = 0 ;      NCpc(1,2) = 0 ;
    NCpc(2,1) = 1 ;  	 NCpc(2,2) = 0 ;
    NCpc(3,1) = 0 ;      NCpc(3,2) = 1 ;
     
    NCw(1) = 1 ;
    NCw(2) = 1 ;
    NCw(3) = 1 ;



elseif NCP == 6 
    
    NCpc(1,1) = 0.0;    NCpc(1,2) = 0.0;
    NCpc(2,1) = 1.0;    NCpc(2,2) = 0.0;
    NCpc(3,1) = 0.0;    NCpc(3,2) = 1.0;
    NCpc(4,1) = 0.5;    NCpc(4,2) = 0.0;
    NCpc(5,1) = 0.5;    NCpc(5,2) = 0.5;
    NCpc(6,1) = 0.0;    NCpc(6,2) = 0.5;

    NCw(1) = 1;
    NCw(2) = 1;
    NCw(3) = 1;
    NCw(4) = 1;
    NCw(5) = 1;
    NCw(6) = 1;

end


end




