function [D] = e2402_2Dmatrix (pD, Anty)

% RETURNS:
% D matrix: reduced to 2D from 3D
                     
D = zeros(3,3) ;
                    
if Anty == 1 % p. stress HERE ONLY WORKS FOR ELASTIC REGIME !!!!! !!!!! !!!!! !!!!!
                        
    D(1,1) = pD(1,1) - pD(1,3)*pD(3,1)/pD(3,3);
    D(1,2) = pD(1,2) - pD(1,3)*pD(3,2)/pD(3,3);

    D(2,1) = pD(2,1) - pD(2,3)*pD(3,1)/pD(3,3);
    D(2,2) = pD(2,2) - pD(2,3)*pD(3,2)/pD(3,3);

    D(3,3) = pD(4,4);
                        
elseif Anty == 2 % p. strain
                        
    for i=1:1:2
    for j=1:1:2
        D(i,j) = pD(i,j);
    end
    end

    D(1,3) = pD(1,4); D(2,3) = pD(2,4); D(3,3) = pD(4,4); 
    D(3,1) = pD(4,1); D(3,2) = pD(4,2); 
                        
end
     
                        

end

