function [tita] = go2501_PlaneHangle (A,B,C,D)

% RETURNS:
% tita: angle in rads of plane about horizontal (always abs. value)

% INPUTS:
% A...D: plane eq. coefficients

% defines de normal versor to the plane:

u = [A; B; C];
u = u / norm(u);


% computes angle w.r.t. vertical anglea nd then the complementary:

v = [ 0 ; 0 ; 1 ];

if round(dot(u,v),3)==0
    
    tita = 0;
    
else
    tita = atan2(norm(cross(u,v)),dot(u,v));

    if tita > 3.14159/2
        tita = 3.14159-tita;
    end 
end





end

