function [angu] = go2511_angleUV (u, v)

% RETURNS:
% angu: abgle between two vectors u and v, in radians
% from u to v

cA = dot(u,v) / (norm(v)*norm(u));

cA = round(cA,6);

angu = acos(cA);


%{
% compares puv and nru to change sign if necessary:

puv = puv / norm(puv); % (norm changed to = 1)

mr = 1 ; % finds greatest component
mv = abs(puv(1));
for i = 2:1:xdim
    if abs(puv(i))>mv
        mr = i ;
        mv = puv(i);
    end
end

% compares greatest component:
if sign(nru(mr))==sign(puv(mr))
    
    % same angulo:
    angu = acos(cA);
else
	% opp. angulo:
    angu = -acos(cA);
    
end

%}

end

