function [CO] = go2541_coincidentM (a, b, nr,nc, nd)

% RETURNS: compares matices a and b to check if are the same
% CO: 1 if a=b  /  0 if a~=b

% INPUTS:
% a,b(nr,nc): matrices components
% nr,nc:      No. rows and cols
% nd:       No. decimals (for rounding)

conta = 0;

for r = 1:1:nr
for c = 1:1:nc
    
    if round(a(r,c),nd) == round(b(r,c),nd)
    conta = conta + 1 ;
    end
    
end
end

if conta == nr*nc
    CO = 1 ; 
else
    CO = 0 ;
end

end

