function [nv] = go2551_nToBsurf (u, sDegree, sNcp, sKnotV, sUsize, sP ,sw, sxdim, sudim)

% RETURNS:
% nv: normal versor (module=1) to B-NURBS surface at u coordinate

[dS] = b2701_BNURBS_deriv (sDegree, sNcp, sKnotV, sUsize, sP ,sw, [1 1], u, sxdim, sudim);
du = zeros(sxdim,1);
dv = zeros(sxdim,1);
for di=1:1:sxdim
du(di) = dS(2,1,di);
dv(di) = dS(1,2,di);
end
                
nv = cross(du,dv);

nv = nv / norm(nv);

end

