function [Ue] = go2552_equalspacedKV (n,p, u0,u1)

% RERUNS:
% Ue: knot vector with equal spans

% INPUTS:
% n,p; Ncp's and degree
% u0, u1: knot vecotr limits

Ue =  zeros(n+p+1,1);

Ns = n-p;       % No. spans
s = (u1-u0)/Ns; % step


% first knots:

for i=1:1:p+1
    Ue(i,1) = u0;
end

% intermediate:

acc = u0 ;
for i = p+2:1:n
    acc = acc + s ;
    Ue(i)=acc ;
end


% last knots:

for i = n+1:1:n+p+1
    Ue(i,1) = u1;
end


end

