function [err1, E2, ru] = b2807_bLastUsearch  ...
    (X, Degree, Ncp, KnotV, Usize, P ,w, udim,xdim, Lerr1, ru)

 % RETURNS:
 % err1, E2: errors re-set 
 % ru: new initial Ucoor location for the last searching

  
    
 	% recomputes initial Ucoor:
    
  	seekst = ones(1,udim)*0.05;
    
	ULims=zeros(udim,2);
    for di=1:1:udim
        ULims(di,1) = KnotV(di,1);
    	ULims(di,2) = KnotV(di,Usize(di));
    end
    
	dmin = 99999999  ;
	tolDist = 0.00001;
            
	[ruRelocated, ~] = b2804_intialU (seekst , ULims,...
     	X, dmin, tolDist, Degree, Ncp, KnotV, Usize, P ,w, udim, xdim);
            
    
    
	% re-set errors to carry on the search:
    
   	err1 = Lerr1 + 1 ;
	E2   = 1 ;
        
    
    
    % transfers to 'ru' with its dimensions:
    
    for di=1:1:udim
     	ru(di,1) = ruRelocated(di);
    end
            



end

