function [ ] = c2801b_curveExample ( )

% tolerances of PP (abs value):
Xtol = 0.01;
DUtol = 0.001;

% defines curve:
xdim = 3 ;
CD = 0 ;
U = [0 0 0 0 0.2 0.5 1 1 1 1];
n = 6 ;
p = 3 ;

P = [0 0 0 ;
    10 0 0 ;
    20 10 -5 ;
    20 50 -5 ;
    0  45 0 ;
    5  -10 5 ];

w = ones(n,1);
w(3) = 0.7 ;


% points to search:
N = 6 ;
%cX = [  4   1  8];

% {
cX = [ ...
    0   0  0 ;
    15 10 -3 ;
    17 15 -4 ;
    19 24 -5 ;
    18 34 -5 ;
    10 40 0];
%}

% works out PP:
[cU] = c2811b_PPcurves (cX, N, p,n,U,P,w, CD, xdim, Xtol, DUtol);

% plots curve and points in physical space:
c2819b_plotCnP (U, n, p, w, P, cU, cX, N, xdim);

end