function [cU, ut, u0, endF] = c2816b_ends (cU, ut, u0, endF, ULims, i)

% RETURNS:
% updates vbles. in case leave or arrive to end point of the curve:

% first point is inside the curve
if (ULims(1) < ut && ut < ULims(2)) && (endF == 1 && i == 1)
    endF = 0;
end

% 'leaving end location' check.
% Corrects previous points if they were at wrong end.
        
if (ULims(1) < ut && ut < ULims(2)) && (endF == 1 && i > 1)
if cU(i-1,1)==ULims(1) || cU(i-1,1)==ULims(2)
            
	endF = 0 ;
            
	% measures distance to both ends and allocates the closest end
	% to previous points.
	% peu: 'previous end u'
            
	d1 = ut-ULims(1);
	d2 = ULims(2)-ut;

    if d1~=d2
    
        if d1 < d2
            peu = ULims(1);
        elseif d2 < d1
            peu = ULims(2);
        end

        for j = 1:1:i-1
            cU(j,1) = peu;
        end
        
    end     
end
end
        

% 'arriving end location' check.
% Corrects current point in case arrives to wrong end.
        
if (ut <= ULims(1) || ULims(2) <= ut) && endF == 0
            
    endF = 1 ;
            
    % measures distance to previous point and allocates the closest
	% end to that point.
            
	d1 = cU(i-1,1)-ULims(1);
	d2 = ULims(2)-cU(i-1,1);
            
	if d1 < d2
        
        ut = ULims(1);
        u0 = ULims(1);
        
	elseif d2 < d1
        
        ut = ULims(2);
    	u0 = ULims(2);
        
	end
            
end 


end

