function [ ] = c2818b_plotDu (u1, u2, Nstp, xt, ut, p, n, U, P, w, xdim)

% plots function Du to ut: real function (line) and estimation with
% derivative

st = (u2-u1)/Nstp;

conta = 0;
dCu = zeros(xdim,1);

for u = u1:st:u2
    
    conta = conta + 1 ;
    
    % estimates increment:
    [ue] = c2814b_EstimatesU (u, xt, p, n, U, P ,w, xdim);
    
    % increments of u, real and estimated
    Dur(conta) = ut-u;
    Due(conta) = ue;
    
end

u = [u1:st:u2];

figure(2)

plot(u,Dur,'b'); hold on
plot(u,Due,'r'); hold on
plot([0 1],[0 0],'k'); hold on

axis equal

end

