function [ ] = c2819b_plotCnP (U, n, p, w, P, cU, cX, N, xdim)

% plots curve and points:

figure(3)


% plots curve:

st = 0.01;
x = zeros(1,xdim);
conta = 0;

for u = 0:st:1
    
    conta = conta + 1 ;
    X = b2601_BNURBS_Xcoord (u, U, n, p, n+p+1, w, P, 1, xdim);
    
    for di= 1:1:xdim
        x(conta,di) = X(di);
    end
end

plot3(x(:,1),x(:,2),x(:,3),'b'); hold on


% plots control Net

plot3(P(:,1),P(:,2),P(:,3),'--r'); hold on


% plots curve points cX and calculated cX from cU:

cXu = zeros(N,xdim); % Xcoord's from cU

for i = 1:1:N
    Xu = b2601_BNURBS_Xcoord (cU(i), U, n, p, n+p+1, w, P, 1, xdim);
    cXu(i,:) = Xu(:,1);
end

scatter3(cX(:,1),cX(:,2),cX(:,3),'b'); hold on % target points
scatter3(cXu(:,1),cXu(:,2),cXu(:,3),'r'); hold on % computed points



% lines from cXu to cX:

for i = 1:1:N
    plot3( [cXu(i,1) cX(i,1)], [cXu(i,2) cX(i,2)], [cXu(i,3) cX(i,3)], 'r'); hold on
end



axis equal

end

