function [ ] = s2830b_surExample ( )

udim = 2 ;
xdim = 3 ;

% tolerances of PP (abs value):
Xtol = 0.01;
DUtol = 0.001;

% surfaces & point path
[cX, N, Degree, Ncp, KnotV, Usize, ULims, P, w, EP, Ew, CD] = s2851b_case2 (udim, xdim);


% works out PP:
[cU] = s2831b_PPsurf (cX, N, Degree, Ncp, KnotV, Usize, P, w, CD, xdim, Xtol, DUtol);


% plots surface and points in physical space:
s2839b_plotSnP (KnotV, Usize, Ncp, Degree, w, P, cU, cX, N, xdim);
     


% plots Dl mapping and its estimation for the first point

%{
sc = 0.001 ;

u1 = [ULims(1,1) ULims(2,1)];
u2 = [ULims(1,2) ULims(2,2)];
Nstp = 20 ;

ut = [ cU(1,1)  cU(1,2)];
xt = [ cX(1,1)  cX(1,2) cX(1,3)];

s2838b_plotDl (u1, u2, Nstp, xt, ut, Degree, Ncp, KnotV, Usize, P, w, EP, Ew, xdim, sc);

%}

end