function [ ] = s2838b_plotDl (u1, u2, Nstp, xt, ut, Degree, Ncp, KnotV, Usize, P, w, EP, Ew, xdim, sc)

% plots function Du to ut: real function (line) and estimation with
% derivative

figure(4)
udim = 2;

st = (u2-u1)/Nstp;

%X = [u1(1):st(1):u2(1)];
%Y = [u1(2):st(2):u2(2)];

% real and estimated orientations:

conta = 0 ;
i = 0 ;
for u = u1(1):st(1):u2(1)
    
    j = 0 ;
    i = i+1 ;
    
    for v = u1(2):st(2):u2(2)

        j = j+1;
        
        conta = conta + 1 ;

        r = [ ut(1)-u , ut(2)-v , 0 ]; % vector from point to target ut

        h = [ 1 , 0 , 0 ]; % horizontal

        
        % real orientation:
        
        tita = atan2(r(2),r(1));
        
        if tita < 0
           tita = 360/57.296 + tita ; 
        end
        
        Zr(i,j) = sc * tita * 57.296 ;
        
        
        % estimated orientation:
        
        [~,alfa] = s2834b_EstimatesU ([u v], xt, Degree, Ncp, KnotV, Usize, P ,w, EP ,Ew, xdim);
        
        if alfa <= 0.000001
            alfa = 360/57.296 + alfa ; 
        end
        
        Ze(i,j) = sc * alfa * 57.296 ;
        
        
        % plan coordinates:
        X(i,j) = u;
        Y(i,j) = v;
        
    end
    
end


n = i ;
m = j ;

for i = 1:1:n 
    plot3(X(i,:),Y(i,:),Zr(i,:),'r'); hold on
    plot3(X(i,:),Y(i,:),Ze(i,:),'b'); hold on
end

for j = 1:1:m 
    plot3(X(:,j),Y(:,j),Zr(:,j),'r'); hold on
    plot3(X(:,j),Y(:,j),Ze(:,j),'b'); hold on
end

%mesh(X,Y,Zr); hold on

%mesh(X,Y,Ze); hold on


% 0-plan

x = [0 1 1 0 0 ]; y = [0 0 1 1 0 ] ; z = [0 0 0 0 0];
plot3(x,y,z,'k'); hold on


%{

conta = 0;
dCu = zeros(xdim,1);

for u = u1:st:u2
    
    conta = conta + 1 ;
    
    % estimates increment:
    [ue] = c2814b_EstimatesU (u, xt, Degree, Ncp, KnotV, P ,w, xdim);
    
    % increments of u, real and estimated
    Dur(conta) = ut-u;
    Due(conta) = ue;
    
end

u = [u1:st:u2];

figure(2)

plot(u,Dur,'b'); hold on
plot(u,Due,'r'); hold on
plot([0 1],[0 0],'k'); hold on
%}

axis equal

end

