function [cX, N, Degree, Ncp, KnotV, Usize, ULims, P, w, EP, Ew, CD] = s2851b_case2 (udim, xdim)

% surface and row of points to do PP
% cylinder R x L, axis horizt at 0,0,0

R = 100 ;
L = 200 ;

% 1.- Defines surface:

CD = [0 1] ;

Usize = [4 12];

KnotV = [...
    0 0 1 1 0 0 0 0 0 0 0 0;
    0 0 0  0.25 0.25 0.5 0.5 0.75 0.75 1 1 1 ];

Ncp = [2 9] ;
Degree = [1 2] ;

P = zeros(Ncp(1)*Ncp(2),xdim);
w = ones(Ncp(1)*Ncp(2),1);

for i = Ncp(2)+1:1:Ncp(1)*Ncp(2)
    P(i,1) = L ;
end

for j = 1:1:Ncp(1)

    k = (j-1)*Ncp(2);

    P(1+k,2) = -R;  P(1+k,3) =  0;
    P(2+k,2) = -R;  P(2+k,3) = -R;
    P(3+k,2) =  0;  P(3+k,3) = -R;
    P(4+k,2) =  R;  P(4+k,3) = -R;
	P(5+k,2) =  R;  P(5+k,3) =  0;
    P(6+k,2) =  R;  P(6+k,3) =  R;
  	P(7+k,2) =  0;  P(7+k,3) =  R;
    P(8+k,2) = -R;  P(8+k,3) =  R;
   	P(9+k,2) = -R;  P(9+k,3) =  0;
end

w(2) = 0.707 ;
w(4) = 0.707 ;
w(6) = 0.707 ;
w(8) = 0.707 ;

w(11) = 0.707 ;
w(13) = 0.707 ;
w(15) = 0.707 ;
w(17) = 0.707 ;

ULims = [...
        KnotV(1,1) KnotV(1,Usize(1));
        KnotV(2,1) KnotV(2,Usize(2))];

    
[Ew,EP] = GEN_12_ExpandBw (w, P, xdim, udim, Ncp);
    
% 2.- Path points to search:

%cX = [  25 -60 50 ; 25 -70 20  ; 25 -90 -5 ; 25 -90 -35 ]; % 20 8 4 ; 30 12 3];
cX = [  25 -90 -35 ; 25 -90 -5; 25 -70 20  ; 25 -60 50 ];

N = size(cX,1);





end

