function [ ] = v2869b_plotVnP (KnotV, Usize, Ncp, Degree, w, P, cU, cX, N, xdim)

% plots curve and points:

udim = 3 ;

figure(3)

[Ew,EP] = GEN_12_ExpandBw (w, P, xdim, udim, Ncp);

st = 0.05 ;

% plots volume contours:

for u = 0:1:1
for v = 0:1:1
    
    conta = 0;
    x = zeros(1,xdim);
    
    for w = 0:st:1

        conta = conta + 1 ;
        X = b2601_BNURBS_Xcoord ([u v w], KnotV, Ncp, Degree, Usize, Ew, EP, udim, xdim);

        for di= 1:1:xdim
            x(conta,di) = X(di);
        end
    end
    
    plot3(x(:,1),x(:,2),x(:,3),'b'); hold on
end
end


for v = 0:1:1
for w = 0:1:1
    
    conta = 0;
    x = zeros(1,xdim);
    
    for u = 0:st:1

        conta = conta + 1 ;
        X = b2601_BNURBS_Xcoord ([u v w], KnotV, Ncp, Degree, Usize, Ew, EP, udim, xdim);

        for di= 1:1:xdim
            x(conta,di) = X(di);
        end
    end
    
    plot3(x(:,1),x(:,2),x(:,3),'b'); hold on
end
end



for u = 0:1:1
for w = 0:1:1
    
    conta = 0;
    x = zeros(1,xdim);
    
    for v = 0:st:1

        conta = conta + 1 ;
        X = b2601_BNURBS_Xcoord ([u v w], KnotV, Ncp, Degree, Usize, Ew, EP, udim, xdim);

        for di= 1:1:xdim
            x(conta,di) = X(di);
        end
    end
    
    plot3(x(:,1),x(:,2),x(:,3),'b'); hold on
end
end

% plots internal knots:
%{
[nvU, nvUsize] = GEN_18_UnonVoid (KnotV, Usize, Degree, udim);

for i = 2 : 1 : nvUsize(1)-1
    
    u = nvU(1,i);
    x = zeros(1,xdim);
    conta = 0;
    for v = 0:st:1
        
        conta = conta + 1 ;
        X = b2601_BNURBS_Xcoord ([u v], KnotV, Ncp, Degree, Usize, Ew, EP, udim, xdim);

        for di= 1:1:xdim
            x(conta,di) = X(di);
        end
    end
    
    plot3(x(:,1),x(:,2),x(:,3),'b'); hold on
end


for j = 2 : 1 : nvUsize(2)-1
    
    v = nvU(2,j);
    x = zeros(1,xdim);
    conta = 0;
    for u = 0:st:1
        
        conta = conta + 1 ;
        X = b2601_BNURBS_Xcoord ([u v], KnotV, Ncp, Degree, Usize, Ew, EP, udim, xdim);

        for di= 1:1:xdim
            x(conta,di) = X(di);
        end
    end
    
    plot3(x(:,1),x(:,2),x(:,3),'b'); hold on
end

%}

% plots control Net
% {
for i = 1:1:Ncp(1)
for j = 1:1:Ncp(2)
    for k = 1:1:Ncp(3)-1
        plot3(...
            [EP(i,j,k,1) EP(i,j,k+1,1)],...
            [EP(i,j,k,2) EP(i,j,k+1,2)],...
            [EP(i,j,k,3) EP(i,j,k+1,3)],'--r'); hold on
    end
end
end

for i = 1:1:Ncp(1)
for k = 1:1:Ncp(3)
    for j = 1:1:Ncp(2)-1
        plot3(...
            [EP(i,j,k,1) EP(i,j+1,k,1)],...
            [EP(i,j,k,2) EP(i,j+1,k,2)],...
            [EP(i,j,k,3) EP(i,j+1,k,3)],'--r'); hold on
    end
end
end

%}




% plots curve points cX and calculated cX from cU:

cXu = zeros(N,xdim); % Xcoord's from cU

for i = 1:1:N
    Xu = b2601_BNURBS_Xcoord ([cU(i,1) cU(i,2) cU(i,3)], KnotV, Ncp, Degree, Usize, Ew, EP, udim, xdim);
    cXu(i,:) = Xu(:,1);
end

scatter3(cX(:,1),cX(:,2),cX(:,3),'b'); hold on % original target points
scatter3(cXu(:,1),cXu(:,2),cXu(:,3),'r'); hold on % computed points


% lines from cXu to cX:

for i = 1:1:N
    plot3( [cXu(i,1) cX(i,1)], [cXu(i,2) cX(i,2)], [cXu(i,3) cX(i,3)], 'r'); hold on
end


axis equal

end

