function [cX, N, Degree, Ncp, KnotV, Usize, ULims, P, w, EP, Ew, CD] = v2871b_case1 (udim, xdim)

% volume and row of points to do PP
% deformed cube inigially L1 x L2 x L3

L1 = 100 ;
L2 = 50 ;
L3 = 75 ;


% 1.- Defines volume:

CD = [0 0 0] ;

Usize = [7 7 8];

KnotV = [...
    0 0 0 0.3 1 1 1 0 ;
    0 0 0 0.5 1 1 1 0 ;
    0 0 0 0.2 0.8 1 1 1];

Ncp = [4 4 5] ;
Degree = [2 2 2] ;

noc = Ncp(1)*Ncp(2)*Ncp(3) ;

P = zeros(noc,xdim);
w = zeros(noc,1);

DL1 = L1/(Ncp(1)-1);
DL2 = L2/(Ncp(2)-1);
DL3 = L3/(Ncp(3)-1);

conta = 0 ;

Xacc = 0 ;
for i = 1:1:Ncp(1)
    
    Yacc = 0 ;
    for j = 1:1:Ncp(2)

        Zacc = 0 ;
        for k = 1:1:Ncp(3)
        
            conta = conta + 1 ;

            P(conta,1) = Xacc;
            P(conta,2) = Yacc;
            P(conta,3) = Zacc;
            w(conta) = 1 ;
            
            Zacc = Zacc + DL3;
        end
        Yacc = Yacc + DL2;
    end
    Xacc = Xacc + DL1;
end

P(1,1) = -20 ;
P(2,1) = -20 ;
P(3,1) = -15 ;
P(4,1) = -10 ;
P(5,1) = -13 ;

P(11,1) = -20 ;
P(12,1) = -20 ;
P(13,1) = -15 ;
P(14,1) = -10 ;
P(15,1) = -13 ;

w(5) = 0.5 ;
w(3) = 0.707 ;
w(10) = 0.707 ;

ULims = [...
        KnotV(1,1) KnotV(1,Usize(1));
        KnotV(2,1) KnotV(2,Usize(2));
        KnotV(3,1) KnotV(3,Usize(3))...
        ];

    
[Ew,EP] = GEN_12_ExpandBw (w, P, xdim, udim, Ncp);
    
% 2.- Path points to search:

cX = [  100 0 20 ;  100 10 25 ; 100 20 25 ; 100 20 15 ; 100 12 10];

N = size(cX,1);





end

