function [cAv] = so2937_mAcon (TNcu, Ncv, cLXv, CPcon, Spatches , Xtol, DUtol, pudim, xdim)

cAv = zeros(TNcu,max(Ncv),pudim);

for c = 1:1:TNcu
    
    % extracts patch's data:
    pR = CPcon(c,1) ;

    pDegree = Spatches(pR,1).INS(1,1).mDegree;
    pNcp    = Spatches(pR,1).INS(1,1).mNcp;
    pKnotV	= Spatches(pR,1).INS(1,1).mKnotV;
    pUsize	= Spatches(pR,1).INS(1,1).mUsize;
    pP      = Spatches(pR,1).INS(1,1).mP;
    pw      = Spatches(pR,1).INS(1,1).mw;
    pCD     = zeros(xdim,1); % assumes no closed solids, i.e. like a torus
    
    
 
    % No. vtxs of the contour curve
    ccv = Ncv(c); 
    
    % stores curve vxt phys, coordinates
    cX = zeros(ccv,xdim); 
    for v = 1:1:ccv
        cX(v,:) = cLXv(c,v,:);  
    end
    

    % works out point inversion:
    
	[cA] = v2861b_PPvol (cX, ccv, pDegree, pNcp, pKnotV, pUsize, pP, pw, pCD, xdim, Xtol, DUtol);
    
    

    % allocates:
    
    for v = 1:1:ccv
        cAv(c,v,:) = cA(v,:);  
    end
    
end



end

