function [Npl, LCv] = r3016_contoCoor (stL, Cv, Nlo, Nlv, LVcon, xdim)

% RETURNS: info for representing loops of one skin
% Npl(Nlo,1): No. points per loop
% LCv(Nlo,Npl,xdim): contour loops points coordinates

Npl = zeros(Nlo,1);
LCv = zeros(Nlo,1,xdim);

NLI = size(LVcon,1);

if size(LVcon,2)==2
    LVcon = [LVcon zeros(NLI,1)];
end

% computes contours points coordiantes:

li = 0 ;
LinsF = 1 ;

for lo = 1:1:Nlo
    
    j = 0 ;
    for v = 1:1:Nlv(lo,1)
        
        li = li + 1 ;
        Lx = pt1363_lineCoord (li, stL, Cv, LVcon, xdim, LinsF);
        
        n = size(Lx,1)-1;
        if v==Nlv(lo,1)
            n = size(Lx,1);
        end
        
        for i = 1:1:n
             j = j+1;
             LCv(lo,j,:) = Lx(i,:);
        end
    end
    
    Npl(lo,1) = j ;
end

end