function [ ] = r3022_printCPnet (P, pNcp, dim, fr, colNet)

% PRINTS: cp's net

if fr > 0
    figure(fr)
end


% generates net nodes coordinates:

Cnet = zeros(pNcp(1), pNcp(2), pNcp(3), dim);
    
conta = 0 ;

for i = 1:1:pNcp(1)
 	for j = 1:1:pNcp(2)
  	for k = 1:1:pNcp(3) 
        conta = conta+1;
        Cnet(i, j, k,:) = P(conta,:);
    end
  	end
end
    
% prints lines in each direction  

    
for i = 1:1:pNcp(1)
    for j = 1:1:pNcp(2)
        
        X3 = zeros(pNcp(3), dim);
        X3(:,:) = Cnet(i,j,:,:);
        plot3(X3(:,1), X3(:,2), X3(:,3), colNet); hold on
        
    end
end
    
    
for j = 1:1:pNcp(2)
    for k = 1:1:pNcp(3)
        
        X1 = zeros(pNcp(1), dim);
        X1(:,:) = Cnet(:,j,k,:);
        plot3(X1(:,1), X1(:,2), X1(:,3), colNet); hold on
        
    end
end
    
    
for i = 1:1:pNcp(1)
    for k = 1:1:pNcp(3)
        
        X2 = zeros(pNcp(2), dim);
        X2(:,:) = Cnet(i,:,k,:);
        plot3(X2(:,1), X2(:,2), X2(:,3), colNet); hold on
        
    end
end
    
    
    
if fr > 0
    axis equal
end
    
end

