function [ ] = r3031_Imesh (stL, Imesh, mA, KnotV, Ncp,Degree,Usize, Ew, EP, Physical, Parameter, ...
                            Erefs, NodRefs, xdim, udim)

% 1.- SELECTION OF WIRES and NODES OBJECTS:

NE   = Imesh.mNE ;
NV  = Imesh.mNV ;

EVcon  = Imesh.mEVcon ;
LVcon  = Imesh.mLVcon ;
Acoor  = Imesh.mAcoor ;
Xcoor  = Imesh.mXcoor ; 

NLI = size(LVcon,1);

Ngp  = Imesh.mNgp ;
GP  = Imesh.mGP ; 

if Physical == 1
    
    dim = xdim ;
    %Cv = Xcoor;
    Cv = Acoor;
    sp = "x";
    
elseif Parameter == 1
    
    dim = udim ;
    Cv = Acoor;
    sp = "u";
end

% 2.- EDGES and ELEMENTS Refs: add element sref's

alfa = 0.8;
Mcolr = [0,0,0] + alfa;

fr = 0 ;
pt1370_pTetMDMesh (sp, stL, Cv, NLI, LVcon, KnotV, Ncp,Degree,Usize, Ew, EP, fr, 'k', 0);


% 3.- ELEMENTS REF's: (at the moment only in parameter space) amend this

ctr = zeros(3,1); % center of element
u = zeros(3,1);

if Erefs == 1 % && Physical==0

    for e = 1:1:NE

        if  Parameter == 1

            eR = FtoIe(e);
            for di=1:1:udim
               ctr(di) = (mE(eR).mPcoLi(di,1) + mE(eR).mPcoLi(di,2)) / 2 ;
            end
            
        elseif Physical == 1
            
            eR = FtoIe(e);
            for di=1:1:udim
               u(di) = (mE(eR).mPcoLi(di,1) + mE(eR).mPcoLi(di,2)) / 2 ;
            end
            [ctr,~] = t2601_TNURBS_Xcoord (mE, nEi, mA, Degree, u, udim, xdim);
            
        end

        text(ctr(1), ctr(2), ctr(3), num2str(e)); hold on ;

    end
end


% 4.- NODES REFERENCES: amend this

if NodRefs==1
    
    for nod = 1:1:nNO
        
        if Physical==1
            for di=1:1:xdim
                ctr(di) = NV(nod).mXcoor(di);
            end
        elseif Parameter==1
            for di=1:1:xdim
                ctr(di) = NV(nod).mUcoor(di);
            end
        end
        
        text(ctr(1), ctr(2), ctr(3), num2str(nod)); hold on ;
                
    end 
end




% 5.- GP's: pending!!!

end

