function [] = i3051_skinPoEls (skin, figN, poi, tri, gpRefs, udim, xdim)

% REPRESENTS: skin

% skin: to represent
% figN: first figure refefnce number
% poi/tri: draws point / triangles (if=1)
% gpRefs: prints gp's refs (if =1)

% extracts data:

TVcon = skin.mTVcon;
econM = [TVcon TVcon(:,1)];

NE = skin.mNE;
NV = skin.mNV;

Ucoor = skin.mUv;
Xcoor = skin.mXv;



% 1.- POINTS:

if poi == 1

    % points in parameter:

    figure(figN)
    
    for po = 1:1:NV
        scatter(Ucoor(po,1), Ucoor(po,2), 'b'); hold on
    end
    axis equal;
    
    
    % points in physical:

    figure(figN+1)
    
    for po = 1:1:NV
        scatter3(Xcoor(po,1), Xcoor(po,2), Xcoor(po,3), 'k'); hold on
    end
    axis equal;

end



% 2.- PREPARES ARRAYS FOR fill3 FUNCION:

X = zeros(3,NE);
Y = zeros(3,NE);
Z = zeros(3,NE);
C = zeros(3,NE);

ST = zeros(NV,1);



% 3.- LOOP ON ELEMENTS TO STORE INFO FOR fill3:

for e = 1:1:NE
    
    n1 = TVcon(e,1);
    n2 = TVcon(e,2);
    n3 = TVcon(e,3);
    
    X(1,e) = Xcoor(n1,1);    X(2,e) = Xcoor(n2,1);    X(3,e) = Xcoor(n3,1);
    
    Y(1,e) = Xcoor(n1,2);    Y(2,e) = Xcoor(n2,2);    Y(3,e) = Xcoor(n3,2);
    
  	Z(1,e) = Xcoor(n1,3);    Z(2,e) = Xcoor(n2,3);    Z(3,e) = Xcoor(n3,3);
    
    C(1,e) = ST(n1,1);      C(2,e) = ST(n2,1);      C(3,e) = ST(n3,1);
    

    
end


% 4.- REPRESENTS SKINS:

figure(figN+1)

h = fill3(X,Y,Z,C); hold on
set(h,'EdgeColor','b')
alpha (h, 0.3 ) ;

axis equal;









end

