function [Cv0, Cv] = bt3061_Xv (Bentities, bR, Stp, sc)

% RETURNS:
% Cv0(NV,xdim): coords of vertexes of b.surf. (initial configuration)
% Cv(NV,xdim): coords of vertexes of b.surf.

% 1.- Initial instance (transfers also initial one)
    
Cv  = Bentities(bR,1).INS(Stp,1).skin.mXv; 
Cv0 = Bentities(bR,1).INS(Stp,1).skin.mXv;

    
% 2.- Adds scaled displacements:
    
for t = 2:1:Stp
 
	% Dx = zeros(NV,xdim);

	Xv2 = Bentities(bR,1).INS(t,1).skin.mXv ;
	Xv1 = Bentities(bR,1).INS(t-1,1).skin.mXv ;
  
	Dx = Xv2 - Xv1; 
	Cv = Cv + sc*Dx; 

end

end

