function [ePh] = s3141_facesCP (Ncp, gShell, pa)

% RETURNS:
% ePh: surfaces hull cp's coordinates

xdim = 3 ;

ePh = zeros(Ncp(1),Ncp(2),Ncp(3),xdim);



conta = 0 ;
for j = 1:1:Ncp(2)
for k = 1:1:Ncp(3)
    
    conta = conta + 1 ;
    for di = 1:1:xdim
        
        ePh(1 ,     j,k,di) = gShell(pa).face(3).fSurface.P(conta,di);
        ePh(Ncp(1), j,k,di) = gShell(pa).face(6).fSurface.P(conta,di);
        
    end
    
    %{
    if conta==2
       
        x = zeros(1,3);
        
        [j k]
        
        x(1,:) = ePh(1,j,k,:);
        x
        
    	x(1,:) = ePh(Ncp(1),j,k,:);
        x
    end
    %}
    
end
end

%{

figure(89)

conta = 0 ;
for j = 1:1:Ncp(2)
for k = 1:1:Ncp(3)
    
    conta = conta + 1 ;
    
    scatter3( ePh(1,j,k,1), ePh(1,j,k,2), ePh(1,j,k,3), 'b'); hold on
    
    text(ePh(1,j,k,1), ePh(1,j,k,2), ePh(1,j,k,3),num2str(conta)); hold on
    
    scatter3( ePh(Ncp(1),j,k,1), ePh(Ncp(1),j,k,2), ePh(Ncp(1),j,k,3), 'r'); hold on
    
    text(ePh(Ncp(1),j,k,1), ePh(Ncp(1),j,k,2), ePh(Ncp(1),j,k,3),num2str(conta)); hold on
    
end
end

axis equal

%}





conta = 0 ;
for i = 1:1:Ncp(1)
for k = 1:1:Ncp(3)

    conta = conta + 1 ;
    for di = 1:1:xdim
        
        ePh(i,1 ,    k,di) = gShell(pa).face(2).fSurface.P(conta,di);
        ePh(i,Ncp(2),k,di) = gShell(pa).face(5).fSurface.P(conta,di);
        
    end

end
end


%{

figure(89)

for i = 1:1:Ncp(1)
for k = 1:1:Ncp(3)
    scatter3( ePh(i,1,k,1),      ePh(i,1,k,2),      ePh(i,1,k,3),       'b'); hold on
    scatter3( ePh(i,Ncp(2),k,1), ePh(i,Ncp(2),k,2), ePh(i,Ncp(2),k,3),  'r'); hold on
end
end

axis equal

%}


conta = 0 ;
for i = 1:1:Ncp(1)
for j = 1:1:Ncp(2)
    
    conta = conta + 1 ;
    for di = 1:1:xdim
        
        ePh(i,j,1 ,    di) = gShell(pa).face(1).fSurface.P(conta,di);
        ePh(i,j,Ncp(3),di) = gShell(pa).face(4).fSurface.P(conta,di);
        
    end
    
end
end


%{

figure(89)

for i = 1:1:Ncp(1)
for j = 1:1:Ncp(2)
    scatter3( ePh(i,j,1,1),      ePh(i,j,1,2),      ePh(i,j,1,3),       'b'); hold on
    scatter3( ePh(i,j,Ncp(3),1), ePh(i,j,Ncp(3),2), ePh(i,j,Ncp(3),3),  'r'); hold on
end
end

axis equal

%}

%i = 3 ; j = 1 ; k = 2 ;
%P4 = [ePh(i,j,k,1), ePh(i,j,k,2), ePh(i,j,k,3)]


end

