function [teCurves, addF] = gp3172_tuLins (teCurves, cR, ucandidate, ndig, xdim)

% RETURNS: 
% teCurve(cR) with ucandidate added if it was not previously
% addF = 1 if added, = 0 otherwise

% INPUTS:
% teCurves(cR) to explore
% ucandiate: knot to add in case is not part of teCurves(cR).KnotV

               
            
addF = 1 ;
for j = 1:1:teCurves(cR).Usize
    if round(ucandidate,ndig) == round(teCurves(cR).KnotV(j),ndig)
        addF = 0;
        break
    end
end
              
    
if addF == 1
                    
    % inserts if the curve does not possesses that tuL knot:
    
    [teCurves(cR).P, teCurves(cR).KnotV, teCurves(cR).w, teCurves(cR).Ncp, teCurves(cR).Usize] = ...
    GEN_03_10_1D_kSingleExt...
    (teCurves(cR).Ncp, teCurves(cR).Degree, teCurves(cR).KnotV, teCurves(cR).P, teCurves(cR).w, ucandidate, 1, xdim, 1);

end
    


end

