function [gPatch] = gp3184_soSandwich (pa, gPatch, gShell, nLd, fpCur, xdim)

        % 3.2.1.- PICKS UP generation face reference and stores in 'gfr':
        
        % CASE B: basis face: planar and perp. to linear direction
        if nLd == 2 
            
            for f = 1:1:3
                
                pcu = fpCur(f); % face perpendicular direction
                if (gShell(pa).face(f).fSurface.PL == 1 &&  gShell(pa).face(f+3).fSurface.PL == 1) ...
                   && gShell(pa).eCurves(pcu).Ncp==2
                    gfr = f ;
                    break
                end
                
            end
            
        % CASE C: basis face: perp. to linear direction
        elseif nLd == 1
          
            for f = 1:1:3
                
                pcu = fpCur(f); % face perpendicular direction
                if gShell(pa).eCurves(pcu).Ncp==2
                    gfr = f ;
                    break
                end
                
            end
            
        end

        
        
        % 3.2.2.- WORKS OUT cp's COORDINATES: 
        %    (varies depending on which is gfr)
        
        conta = 0 ;
        
        if gfr == 3
            
            for f = 3:3:6
                
                for po = 1:1:gPatch(pa,1).Ncp(2) * gPatch(pa,1).Ncp(3)
                    
                    conta = conta + 1 ;
                    
                    gPatch(pa,1).w(conta) = gShell(pa).face(f).fSurface.w(po);
                    for di=1:1:xdim
                        gPatch(pa,1).P(conta,di) = gShell(pa).face(f).fSurface.P(po,di);
                    end
                    
                end
            end
            
        elseif gfr == 2
            
            for accpo =1:1:gPatch(pa,1).Ncp(1)
                
                
                for po = 0:1:gPatch(pa,1).Ncp(3)-1
                    
                	conta = conta + 1 ;
                    gPatch(pa,1).w(conta) = gShell(pa).face(2).fSurface.w(accpo+po);
                    for di=1:1:xdim
                        gPatch(pa,1).P(conta,di) = gShell(pa).face(2).fSurface.P(accpo+po,di);
                    end  
                end
                
                
                for po = 0:1:gPatch(pa,1).Ncp(3)-1
                    
                	conta = conta + 1 ;
                    gPatch(pa,1).w(conta) = gShell(pa).face(4).fSurface.w(accpo+po);
                    for di=1:1:xdim
                        gPatch(pa,1).P(conta,di) = gShell(pa).face(4).fSurface.P(accpo+po,di);
                    end  
                end
                
            end
            
        elseif gfr == 1
            
            for po = 1:1:gPatch(pa,1).Ncp(1) * gPatch(pa,1).Ncp(2)
                    
                conta = conta + 2 ;
                    
                gPatch(pa,1).w(conta-1) = gShell(pa).face(1).fSurface.w(po);
                gPatch(pa,1).w(conta)   = gShell(pa).face(4).fSurface.w(po);
                
                for di=1:1:xdim
                    gPatch(pa,1).P(conta-1,di) = gShell(pa).face(1).fSurface.P(po,di);
                    gPatch(pa,1).P(conta  ,di) = gShell(pa).face(4).fSurface.P(po,di);
                end  
            end
            
        end



end

