function [Nm,m] = i3153_addFline (Nm,m, wline, Npar)

% RETURNS:
% Nm: updated No. entities
% m: updated matrix with new line

% INPUTS:
% Nm,m: prevous No. enities, and matrix
% wline: string of characters
% Npar: No. relevant parameters to read

delimS = {' ', ','};

Nm = Nm+1;
m(Nm,1) =  gp3115_refP (wline) ;
            
C = textscan(wline,'%f',Npar+1,'Delimiter',delimS);
A = cell2mat(C);
            
for i = 2:1:Npar
    m(Nm,i) = A(i) ;
end

end

