function [ndS] = ds3323_ndSutita (u, tita, Dspline, NceR, ceR, fpeR, fceR, Degree, Ncp, KnotV, Usize, EP,Ew, conM, conMp, conMc, nUcoorr, vDirp, dSu, dSv, udim, xdim, DerC)


% RETURNS:

% ndS: norm of tita-direction derivative at location u
%  if u lies outside parameter limits of surface takes value of perimeter
%  of corner


% 1.- IN CASE EXACT OF Dspline NEEDS TO TAKE BACK TO THE DOMAIN u IN CASE
% LIES IN PERIMETER OF CORNER ELEMENT:

if strcmp(DerC,'ex')==true || strcmp(DerC,'sp')==true
    
    [u] = ds3325_backUcoor (u);
    
end





% 2.- COMPUTES DERIVATIVE ACC/TO SELECTED CASE:

if strcmp(DerC,'ex')==true
    
    ndS = ds3326_dStita (u, tita, Degree, Ncp, KnotV, Usize, EP,Ew, xdim, udim);
       
elseif strcmp(DerC,'ip')==true
    
    [ndS] = ds3327_BILndStita (u, tita, NceR, ceR, fpeR, fceR, conM, conMp, conMc, nUcoorr, vDirp, dSu, dSv, xdim);
    
elseif strcmp(DerC,'sp')==true
    
    [ndS,~,~] = ds3328_dSspline (u, tita, Dspline,udim, xdim);

end



end

