function [Scoor] = cs3331_interpScoor(u, eR, cUScoor, Ncus)

% RETURNS:
% Scoor(2): coordinates in Standard space of an edge point u (Ucoord's)


% relevant direction:

if eR<=2
    rd = 2; 
else
	rd = 1;
end



% finds segment in the relevant edge and interpolates:

for po = 1:1:Ncus(eR)-1

    if cUScoor(eR,po,rd) <= u(rd) && u(rd) <= cUScoor(eR,po+1,rd)
        
        L  = abs(cUScoor(eR,po+1,rd) - cUScoor(eR,po,rd));
        Li = abs(cUScoor(eR,po+1,rd) - u(rd));
        
        N(1) = (Li) / L ;
        N(2) = (L-Li) / L ;
        
        Scoor(1) = N(1) * cUScoor(eR,po,3) + N(2) * cUScoor(eR,po+1,3);
        Scoor(2) = N(1) * cUScoor(eR,po,4) + N(2) * cUScoor(eR,po+1,4);
        
        break
    end
    
end





end

