function [contaP, sXvt, sUvt, sRvt, inF, coF, csVtx, cnR, Ncn] = sv3341_01contours ...
    (ULims, sXdim, ndig, dSmesh, Dspline, sDegree, sNcp, sKnotV, sUsize, sEP,sEw, R, Dumax, tamp, NSg, DerC, ARCO)


cnR = zeros(1,1); % contours nodes refs. arranged from first corner counter-clockwise

Ncn = zeros(1,1); % No. contours nodes refs. in each contour
Ncn(1) = 6 ;

udim = 2 ;

% 1.- FIRST POINT:

ua = [0.5 ; 0.5];
contaP = 1 ;

[X] = b2601_BNURBS_Xcoord (ua, sKnotV, sNcp,sDegree,sUsize, sEw,sEP, udim, sXdim);

sXvt(contaP,1) = X(1);
sXvt(contaP,2) = X(2);
sXvt(contaP,3) = X(3);

xa = X ;

sUvt(contaP,1) = ua(1);
sUvt(contaP,2) = ua(2);

sRvt(contaP,1) = 0 ;
sRvt(contaP,2) = 0 ;

inF(contaP,1) = 1 ; % 'IN' point flag: 1 / 0 for IN / OUT the parameter domain
coF(contaP,1) = 1 ; % computed point flag: 1 / 0 for computed / non-computed

csVtx(contaP,1) = 0 ; % contour and side or each node
csVtx(contaP,2) = 0 ; 



% 2.- FIRST POINT OF FIRST CONTOUR:

tita = 0 ;

contaP = contaP+1 ;

[ub] = dp3350_DPincrement (R,tita, ua, dSmesh,Dspline, sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, sXdim, ndig, DerC);

[X] = rs3333_Xcoor (ub, Dspline, dSmesh, sKnotV, sNcp, sDegree, sUsize, sEw, sEP, ULims, udim, sXdim, DerC);
%[X] = b2601_BNURBS_Xcoord (ub, sKnotV, sNcp,sDegree,sUsize, sEw,sEP, udim, sXdim);

sXvt(contaP,1) = X(1);
sXvt(contaP,2) = X(2);
sXvt(contaP,3) = X(3);

xb = X ;

sUvt(contaP,1) = ub(1);
sUvt(contaP,2) = ub(2);

[Ustd] = sv3345_Rpos_withCS (contaP, R, 1, 1);
sRvt(contaP,1) = Ustd(1);
sRvt(contaP,2) = Ustd(2);

inF(contaP,1) = 1 ;
coF(contaP,1) = 1 ;

csVtx(contaP,1) = 1 ; % contour and side or each node
csVtx(contaP,2) = 1 ; 

% 2.3.- First contour:

if ARCO==1
    
    ta = 60  * 3.14159 / 180 ;
    tb = 120 * 3.14159 / 180 ;
    Dt = 60  * 3.14159 / 180 ;
    
elseif ARCO==2
    
    ta =  60  * 3.14159 / 180 ;
    tb = -60  * 3.14159 / 180 ;
    
end


cnR(1,1) = 2 ;

ra = 1 ;

for i = 1:1:5

    contaP = contaP+1 ;
    rb = contaP-1 ;
    rc = contaP;
    
    if ARCO==1
        
        [ub,~,~] = ar3301_Ainters ...
        (ua,ub, ta,tb, ra, rb, rc, tamp, NSg, R, R, R, dSmesh,Dspline, ...
        sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, sXdim, ndig, DerC);
    
    elseif ARCO==2
    
        [ub, ~,~] = ar3302_Ainters_v2 ...
        (xa, xb, ua,ub, ta,tb, ra, rb, rc, tamp, NSg, R, R, R, dSmesh,Dspline, ...
        sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, sXdim, ndig, DerC);
    
    end
    
    [X] = rs3333_Xcoor (ub, Dspline, dSmesh, sKnotV, sNcp, sDegree, sUsize, sEw, sEP, ULims, udim, sXdim, DerC);
    %[X] = b2601_BNURBS_Xcoord (ub, sKnotV, sNcp,sDegree,sUsize, sEw,sEP, udim, sXdim);

    sXvt(contaP,1) = X(1);
    sXvt(contaP,2) = X(2);
    sXvt(contaP,3) = X(3);

    xb = X ;
    
    sUvt(contaP,1) = ub(1);
    sUvt(contaP,2) = ub(2);
    
    [Ustd] = sv3345_Rpos_withCS (contaP, R, 1, 1+i);
    sRvt(contaP,1) = Ustd(1);
    sRvt(contaP,2) = Ustd(2);
    
    inF(contaP,1) = 1 ;
    coF(contaP,1) = 1 ;
    
    csVtx(contaP,1) = 1 ; % contour and side or each node
    csVtx(contaP,2) = i+1 ; 
    
    if ARCO == 1
        
        ta = ta + Dt ;
        tb = tb + Dt ;
        
    end
    
    cnR(1,1+i) = 2+i;
end




end

