function [ncoF] = sv3343_ncoF (sR, ULims, sUvt, inF, coF,  ra, rb)

% RETURNS:
% cmF = 1 if the new vertex is to compute

ncoF = 0 ;

% 1.- FIRST CONDITION: 
% One of the two base vertexes are inside

if inF(ra)==1 || inF(rb)==1
    ncoF = 1;
end


% 2.. OTHER CONDITION:
% Both bases are outside, but in opposite sides

udim = 2 ;

ua = zeros(udim,1);
ub = zeros(udim,1);

if ncoF == 0 % only checks if flag still is 0
    
    if coF(ra)==1 && coF(rb)==1 % both bases are computed
        
        ua(:,1) = sUvt(ra,:);
        ub(:,1) = sUvt(rb,:);
        
        % case 1: ua and ub are both sides of domain, but perp. direction is inside
        
        pdir = [2 1];
        for di = 1:1:udim
            
            pd = pdir(di);
            
            if (...
               (ua(di) < ULims(di,1) && ULims(di,2) < ub(di)) || ...
               (ub(di) < ULims(di,1) && ULims(di,2) < ua(di))...
               ) && ( ...
               (ULims(pd,1) < ua(pd) && ua(pd) < ULims(pd,2)) && ...
               (ULims(pd,1) < ub(pd) && ub(pd) < ULims(pd,2)) ...
               )
                
                ncoF = 1;  
            end
            
        end

        % more cases are PENDING:
        
        
        
  
        
        
    end

end




end

