function [sUvt, sXvt, inF] = sv3347_sUvAadd ...
    (sUvt,sXvt, inF, ra, rb, rc, contaP, ta,tb, tamp, NSg, R, dSmesh, Dspline,...
    sDegree, sNcp, sKnotV, sUsize, sEP,sEw,Dumax, ULims, sXdim, ndig, DerC, ARCO)

% RETURNS:
% sUtvt: updated with a new Ucoord's (contaP) computed from arcs new intersection
% inF: 'in' flag for contaP vtx.

ua = [sUvt(ra,1); sUvt(ra,2)];
ub = [sUvt(rb,1); sUvt(rb,2)];

xa = zeros(sXdim,1);
xb = zeros(sXdim,1);

for di = 1:1:sXdim
    xa(di) = sXvt(ra,di);
    xb(di) = sXvt(rb,di);
end

if ARCO == 1

    [uc,~,~] = ar3301_Ainters ...
    (ua,ub, ta,tb, ra, rb, rc, tamp, NSg, R, R, R, dSmesh, Dspline,...
    sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, sXdim, ndig, DerC);

elseif ARCO == 2
    
    [uc,~,~] = ar3302_Ainters_v2 ...
    (xa, xb, ua,ub, ta,tb, ra, rb, rc, tamp, NSg, R, R, R, dSmesh,Dspline, ...
    sDegree, sNcp, sKnotV, sUsize, sEP,sEw, Dumax, ULims, sXdim, ndig, DerC);
    
end




udim = 2;
[X] = rs3333_Xcoor (uc, Dspline, dSmesh, sKnotV, sNcp, sDegree, sUsize, sEw, sEP, ULims, udim, sXdim, DerC);

for di=1:1:sXdim
    sXvt(contaP,di) = X(di);
end

sUvt(contaP,1) = uc(1);
sUvt(contaP,2) = uc(2);
        
inF(contaP,1) = 1 ;

if  (uc(1) < ULims(1,1) || ULims(1,2) < uc(1)) || ...
    (uc(2) < ULims(2,1) || ULims(2,2) < uc(2))  

    inF(contaP,1) = 0 ;
    
end


end

