function [fs] = ds3376_OneE (sDegree, sNcp, sKnotV, sUsize, sP, sw, Np, Degree, xs,eUlim, xdim, paramPos, ktype, homCoord, fr)

% RETURNS:
% fitted surface at one element

udim = 2 ;
dSa = zeros(xdim,1);

% 1.- SET OF POINT TO FIT TO:

xf = zeros(Np(1), Np(2), xdim);

for i = 1:1:Np(1)
for j = 1:1:Np(2)
    
    u = [xs(1,i) xs(2,j)];
    xf(i,j,1) = u(1);
    xf(i,j,2) = u(2);

  	[dS] = b2701_BNURBS_deriv (sDegree, sNcp, sKnotV, sUsize, sP,sw, [1 1], u, xdim,udim);

    if fr==1
        dSa(:,1) = dS(2,1,1,:);
    elseif fr==2
        dSa(:,1) = dS(1,2,1,:);
    end
   	xf(i,j,3) = norm(dSa);

end
end

% 2.- COMPUTES SURFACES:

[fs] = bf3403_fitSp2D (xf, Np, Degree,eUlim, xdim, paramPos, ktype, homCoord);

end