function [] = ts3393_plotUisomesh (uNE, uUv, uXv, uTVcon, frUim, frXim)

% PRINTS:
% Uisomesh in phys and param. spaces

X = zeros(3,uNE);
Y = zeros(3,uNE);
Z = zeros(3,uNE);
C = zeros(3,uNE);

Xu = zeros(3,uNE);
Yu = zeros(3,uNE);
Zu = zeros(3,uNE);

for fil = 1:1:3
    for e = 1:1:uNE
        
        nR = uTVcon(e,fil);
        
        X(fil,e) = uXv(nR,1);
        Y(fil,e) = uXv(nR,2);
        Z(fil,e) = uXv(nR,3);
        C(fil,e) = 0 ;
        
     	Xu(fil,e) = uUv(nR,1);
        Yu(fil,e) = uUv(nR,2);
        
    end
end


if frUim > 0
    figure(frUim)
    fill3(Xu,Yu,Zu,C);
    axis equal
end

if frXim > 0
    figure(frXim)
    fill3(X,Y,Z,C); hold on
    axis equal
end


end

