function [Eua, ua] = ap1A_9752_cloudX0 (Ni,udim)


Ust = ones(udim,1)/Ni ; % step to check convergence.

ua =  zeros((Ni+1)^udim,udim);

if udim == 1
    
	Eua = zeros(Ni+1,udim);

    
    for i = 1:1:Ni+1
        Eua(i,1) = (i-1)*Ust(1);
        ua(i,1) = (i-1)*Ust(1);
    end

    
elseif udim ==2
    

    Eua = zeros(Ni+1,Ni+1,udim);
    
    conta = 0 ;
    for i = 1:1:Ni+1
    for j = 1:1:Ni+1
        
        Eua(i,j,1) = (i-1)*Ust(1);
        Eua(i,j,2) = (j-1)*Ust(2);
        
        conta = conta+1;
        ua(conta,1) = (i-1)*Ust(1);
        ua(conta,2) = (j-1)*Ust(2);
    end
    end

elseif udim==3
    
 	Eua = zeros(Ni+1,Ni+1,Ni+1,udim);
    
    conta = 0 ;
    for i = 1:1:Ni+1
    for j = 1:1:Ni+1
    for k = 1:1:Ni+1  
        
        Eua(i,j,k,1) = (i-1)*Ust(1);
        Eua(i,j,k,2) = (j-1)*Ust(2);
        Eua(i,j,k,2) = (k-1)*Ust(3);
        
        conta = conta+1;
        ua(conta,1) = (i-1)*Ust(1);
        ua(conta,2) = (j-1)*Ust(2);
        ua(conta,3) = (k-1)*Ust(3);
    end
    end
    end
    
end

end

