function [KnotV, Ncp, Degree, Usize, Ew, EP, w, P, CD, udim, xdim] = ap1A_9783_volu2 ( )

% half pipe linearly divergent 


udim = 3;
xdim = 3 ;

CD = [0 0 0];

Ncp = [3 3 7];
Degree = [2 2 2];

KnotV = [...
    0 0 0  1 1 1 0 0 0 0;
    0 0 0  1 1 1 0 0 0 0;
    0 0 0 0.333 0.333 0.667 0.667 1 1 1 ...
    ];

Usize = [6 6 10];

Ew = ones(Ncp(1),Ncp(2),Ncp(3));
EP = zeros(Ncp(1),Ncp(2),Ncp(3), xdim);

for k = 1:1:7
    
    if k==3 || k==5
        
        for i = 1:1:Ncp(1)
        for j = 1:1:Ncp(2)
            Ew(i,j,k) = 0.707 ;
        end
        end
        
    end
end


ancho = 10 ;

for j = 1:1:Ncp(2)
    
    i = 1 ;
    
    EP(i,j,1,1) = 0 ;  EP(i,j,1,2) = (j-1)*ancho ; EP(i,j,1,3) = 20 ;
    EP(i,j,2,1) = 0 ;  EP(i,j,2,2) = (j-1)*ancho ; EP(i,j,2,3) = 40 ;
    EP(i,j,3,1) = 20 ; EP(i,j,3,2) = (j-1)*ancho ; EP(i,j,3,3) = 40 ;
    EP(i,j,4,1) = 40 ; EP(i,j,4,2) = (j-1)*ancho ; EP(i,j,4,3) = 40 ;
    EP(i,j,5,1) = 40 ; EP(i,j,5,2) = (j-1)*ancho ; EP(i,j,5,3) = 20 ;
    EP(i,j,6,1) = 40 ; EP(i,j,6,2) = (j-1)*ancho ; EP(i,j,6,3) = 0 ;
    EP(i,j,7,1) = 20 ; EP(i,j,7,2) = (j-1)*ancho ; EP(i,j,7,3) = 0 ;
    
    i = 2 ;
    
    EP(i,j,1,1) = 5 ;  EP(i,j,1,2) = (j-1)*ancho ; EP(i,j,1,3) = 20 ;
    EP(i,j,2,1) = 5 ;  EP(i,j,2,2) = (j-1)*ancho ; EP(i,j,2,3) = 35 ;
    EP(i,j,3,1) = 20 ; EP(i,j,3,2) = (j-1)*ancho ; EP(i,j,3,3) = 35 ;
    EP(i,j,4,1) = 35 ; EP(i,j,4,2) = (j-1)*ancho ; EP(i,j,4,3) = 35 ;
    EP(i,j,5,1) = 35 ; EP(i,j,5,2) = (j-1)*ancho ; EP(i,j,5,3) = 20 ;
    EP(i,j,6,1) = 35 ; EP(i,j,6,2) = (j-1)*ancho ; EP(i,j,6,3) = 5 ;
    EP(i,j,7,1) = 20 ; EP(i,j,7,2) = (j-1)*ancho ; EP(i,j,7,3) = 5 ;
    
 	i = 3 ;
    
    EP(i,j,1,1) = 10 ; EP(i,j,1,2) = (j-1)*ancho ; EP(i,j,1,3) = 20 ;
    EP(i,j,2,1) = 10 ; EP(i,j,2,2) = (j-1)*ancho ; EP(i,j,2,3) = 30 ;
    EP(i,j,3,1) = 20 ; EP(i,j,3,2) = (j-1)*ancho ; EP(i,j,3,3) = 30 ;
    EP(i,j,4,1) = 30 ; EP(i,j,4,2) = (j-1)*ancho ; EP(i,j,4,3) = 30 ;
    EP(i,j,5,1) = 30 ; EP(i,j,5,2) = (j-1)*ancho ; EP(i,j,5,3) = 20 ;
    EP(i,j,6,1) = 30 ; EP(i,j,6,2) = (j-1)*ancho ; EP(i,j,6,3) = 10 ;
    EP(i,j,7,1) = 20 ; EP(i,j,7,2) = (j-1)*ancho ; EP(i,j,7,3) = 10 ;
    
end


[w,P] = GEN_12_ContractsBw (Ew, EP, xdim, udim, Ncp);



end

