function [Ncp, Degree, Usize, KnotV, w, P, Ew, EP, CD, ULims] = ts99_02_2_Sfeat()

xdim = 3 ;
udim = 2 ;

Ncp     = [5 6];
Degree  = [2 3];
Usize   = [8 10];
KnotV = [0 0 0    0.80 0.90 1 1 1 0 0; ...
         0 0 0 0  0.30 0.60 1 1 1 1 ];

aNcp = prod(Ncp);

w = ones(aNcp,1);
P = zeros(aNcp,xdim);

Dx = 20 ;
Dy = 15 ;
z = 0 ;

conta = 0 ;
x = 0 ;
for i = 1:1:Ncp(1)
    y = 0;
    z = (x/30)^3;
    for j = 1:1:Ncp(2)

        conta = conta + 1 ;
        
        P(conta,1) = x ;
        P(conta,2) = y ;
        P(conta,3) = z ;
        
        y = y + Dy ;
    end
    
    x = x + Dx ;
end

[Ew,EP] = GEN_12_ExpandBw (w, P, xdim, udim, Ncp);


CD = [0 0];
ULims = [ 0 1 ; 0 1 ];

end

