function [Sr, Se, Ea] = ts99_02_6_CoordE (ss, su, Np, Xnod, Degree, Ncp, KnotV, Usize, P ,w, EP ,Ew, CD, ULims)

xdim = 3 ;
udim = 2 ;

Xtol = 0.01 ;
DUtol = 0.001 ;

% Real ans estimated surfaces coordinates, and abs. error:

Sr = zeros(Np,xdim);
Se = zeros(Np,xdim);
Ea = zeros(Np,1);

iem = [ 0 4 6 ; 4 0 5 ; 6 5 0 ];

s = zeros(udim,1);
u = zeros(udim,1);

for v = 1:1:Np
    
    s(:,1) = ss(v,:);
    u0(:,1) = su(v,:);
    
    
    % Estimated:
    
    [xe, ~, ~] = mp1352_TRImapp (s, Xnod, udim, xdim, iem); 
    Se(v,:) = xe(:,1);
    
    % Real is obtained by pp of Xe:
    
    [ut, ~] = s2835b_onePoint (xe, u0', Degree, Ncp, KnotV, Usize, P ,w, EP ,Ew, CD, ULims, xdim, Xtol, DUtol);

    [xr] = b2601_BNURBS_Xcoord (ut, KnotV, Ncp, Degree, Usize, Ew, EP, udim, xdim);
    Sr(v,:) = xr(:,1);
    
    % Difference and error:
    Ea(v,1) = norm(xe-xr);

end


end

