function [] = GEN_0399_knotRemoval (r)

% PENDING !!! not sure if it works

% INPUTS:
% r: position in the knot vector to remove


p = 3 ;
n = 7 ;

U = [0 0 0 0  0.25 0.5 0.75  1 1 1 1];

w = [ 1 1 1 1 1 1 1 ] ;

Q = [ 0 0 ; 2.3 2 ; 6 3 ; 8 3 ; 10 3 ; 13.7 2 ; 16 0 ];

% Q = [ 0  ; 1 ; 2.4 ; 4.4 ; 8 ; 9 ; 12  ];

xdim = size(Q,2) ;
udim = 1 ;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

N1 = p ; % No. involved cps previous to removal
N2 = N1-1;

na = r-p; % cp ref's involved
nb = r-1;


% computes forwards:

Pf = zeros(N2,xdim);

Qp = zeros(xdim,1);
Qp(:,1) = Q(na-1,:); % previous coordinates

conta = 0 ;
for i = na:1:nb-1
    
    conta = conta + 1 ;

    alfa = (U(r)-U(i))/(U(i+p+1)-U(i)); 
    
    for di = 1:1:xdim
        Pf(conta,di) = (Q(i,di)-(1-alfa)*Qp(di,1)) / alfa ;
    end
    
    Qp(:,1) = Pf(conta,:);
    
end



% computes backwards:

Pb = zeros(N2,xdim);

Qn = zeros(xdim,1);
Qn(:,1) = Q(nb+1,:); % next coordinates

conta = N1 ;
for i = nb:-1:na+1
    
    conta = conta - 1 ;

	alfa = (U(r) - U(i))/(U(i+p+1)-U(i));
    
    for di = 1:1:xdim
        Pb(conta,di) = (Q(i,di)-alfa*Qn(di,1)) / (1-alfa) ;
    end
    
    Qn(:,1) = Pb(conta,:);
    
end



% compounds both options:

Qf = [Q(1:na-1,:) ; Pf ; Q(nb+1:n,:)];
Qb = [Q(1:na-1,:) ; Pb ; Q(nb+1:n,:)];

Pm = [Pf(1:(p-1)/2,:) ; Pb((p-1)/2+1:N2,:)] ; 

Qm = [Q(1:na-1,:) ; Pm ; Q(nb+1:n,:)];


Ur = [U(1:r-1) , U(r+1:n+p+1) ];
nr = n-1;
wr = [w(1:na-1), ones(1,N2) , w(nb+1:n)];



% {
figure(88)

scatter(Q(:,1),Q(:,2),'k'); hold on
scatter(Pf(:,1),Pf(:,2),'r'); hold on
%scatter(Pb(:,1),Pb(:,2),'g'); hold on
%scatter(Pm(:,1),Pm(:,2),'b'); hold on
axis equal
%}


% prints:

C  = zeros(1,xdim);
Cf = zeros(1,xdim);
Cb = zeros(1,xdim);
Cm = zeros(1,xdim);


conta = 0 ;

for u = 0:0.05:1
    
    conta = conta+1;
    
    [X] = b2601_BNURBS_Xcoord (u, U, n, p, n+p+1, w, Q, udim, xdim);
    C(conta,:) = X(:,1);
    
 	[X] = b2601_BNURBS_Xcoord (u, Ur, nr, p, nr+p+1, wr, Qf, udim, xdim);
    Cf(conta,:) = X(:,1);
    
	[X] = b2601_BNURBS_Xcoord (u, Ur, nr, p, nr+p+1, wr, Qb, udim, xdim);
    Cb(conta,:) = X(:,1);
    
 	[X] = b2601_BNURBS_Xcoord (u, Ur, nr, p, nr+p+1, wr, Qm, udim, xdim);
    Cm(conta,:) = X(:,1);
    
end

figure(8)

plot(C(:,1),C(:,2),'k'); hold on
plot(Cf(:,1),Cf(:,2),'r'); hold on
plot(Cb(:,1),Cb(:,2),'g'); hold on
plot(Cm(:,1),Cm(:,2),'b'); hold on

axis equal

end

