function [Ncpet,KnotVet,Bet,wet,Usizeet]=GEN_03_08_kRefinement(Ncp,Degree,KnotV, B,w, nX, Usize,udim,xdim)

% RETURNS:
% param's of geometry with global k refinement


% 1.- Initiates values:

Ncpet   = Ncp;
KnotVet = KnotV;
Bet     = B;
wet     = w;
Usizeet = Usize ;


% 2.- Loop on each param. dimension:

for d=1:1:udim
if nX(d) > 0 % required refinement
    
    Uet = zeros(Usize(d),1);
    for i=1:1:Usize(d)
       Uet(i) = KnotVet(d,i); 
    end
    
    [Be,Ue,we,Ncpe, Utame] = GEN_03_09_1D_kextended (Ncpet,Degree(d), Uet,Bet,wet, nX(d),d, xdim,udim);
    
    %updates geometrical parameters to refined mesh  
    Ncpet = Ncpe ;
    Bet = Be;
    Usizeet(d) = Utame;
    for i=1:1:Utame
       KnotVet(d,i) = Ue(i); 
    end
    wet = we;
    
end
end


    
       
end