function [alreadyIN, loc] = GEN_21_alreadyIN_tol (M, fil, col, P, nd)


% RETURNS:
% alreadyIN = 1 if P belongs to M, 0 otherwise
% loc: locatin of fil where coincides

% INPUTS:
% M:        matrix to evaluate
% fil, col: No. rows and cols of M
% P:        point to evaluate if belongs to M
% nd:       no. decimals to round up

% in case of non-integer numbers of M and P:
% remember to round values before this function is called !
% That is just to avoid error in matching due to rouding errors

alreadyIN = 0;
loc = 0 ;

for i = 1:1:fil
    
    conta=0;
    
    for j=1:1:col
        if round(P(j),nd) == round(M(i,j),nd);
            conta = conta+1;
        else
            break
        end 
    end
    
    if conta == col
        alreadyIN = 1;
        loc = i ;
        break
    end

end



end

