function [ Vt ] = GEN_23_transposeVector( V,NGPe )

% RETURNS: vector re-arranged accoding to transposed expanded indexes

% at the moment for 2D, needs extension to other dims (especially 1D!!)

% INPUTS:
% V:    vector, contracted
% NGPe: No. GP's in each direction         


% pre-sizes matrix and response:
M = zeros(NGPe,NGPe);
Vt = zeros(NGPe,1);

% expand to matrix:
conta=1;
for i=1:1:NGPe
for j=1:1:NGPe
                    
M(i,j) = V(conta);
conta=conta+1;
                    
end
end



% reconstruct V with transposed matrix:
conta=1;
for j=1:1:NGPe
for i=1:1:NGPe
                    
Vt(conta) = M(i,j) ;
conta=conta+1;
                    
end
end




end

