function [Mr] = GEN_27_remKrow (M,k)


% RETURNS:
% Mr: Matrix with no K row

Nr = size(M,1);
Nc = size(M,2);

if k == 1
    
    Mr = M(2:Nr,:);
    
elseif k < Nr
    
    Mr = [ M(1:k-1,:) ; M(k+1:Nr,:) ];
    
elseif k == Nr

    Mr = M(1:Nr-1,:);
    
end

end

