function [CIndexwires] = c1410_CopyIndexWires (OIndexwires, nWi, udim)

% RETURNS:
% Cwires: copy of wires from Owires, FOR INDEX SPACE

% INPUTS:
% OWires:   original wires object

CIndexwires(nWi) = GenWire ;

Icoor = zeros(1,udim);


for wi = 1:1:nWi
    
    % 1.- General info of the wire:
    mDir = OIndexwires(wi).mDir ;
    CIndexwires(wi).mDir = mDir ;


    % 2.- Points of the wire:
    nPO = 2 ;
    mP(nPO) = GenPoint;

    for po = 1:1:nPO
    for di=1:1:udim

        Icoor(di) = OIndexwires(wi).mP(po).mIcoor(di) ;
    	mP(po).mIcoor(di) = Icoor(di);
    end
    end
    
    % 3.- Transfers the info:
    CIndexwires(wi).mP = mP ;
    clearvars mP ;

end



end

