function [Ucoor] = b2808_CheckXdist ...
    (po, sX, seekst, ULims, Xcoor, Ucoor, Dmax, dmin, tolDist, Degree, Ncp, KnotV, Usize, P ,w, udim, xdim)

% Checks that Xcoor is not so far from prevXcoor
% if so, recomputes initial Ucoor.
    

% prev. point:

pXcoor = zeros(3,1);

for di = 1:1:xdim
    pXcoor(di) = sX(po-1,di);
end
    

% recomputes Ucoor if too much distance

if norm(Xcoor-pXcoor) > Dmax
    
    [Ucoor,~] = b2842_intialU ...
    (seekst/2, ULims, Xcoor, dmin, tolDist, Degree, Ncp, KnotV, Usize, P ,w, udim, xdim);     

end
    

end

