function [err1, E2, Nsame] = z2804_checkSameU (NsameLim, Nsame, err1, E2, ru, rupr, nd, udim)

% RETURNS:
% err1 & E2 = 0 if ru = rupr (rounded by nd) and it happens more than NsameLim

        
diffu = 0; % if detects any difference between 'ru' and 'rupr' greater than nd turns to 1


for di=1:1:udim
    
    if round(ru(di),nd) ~= round(rupr(di),nd)
        
        diffu = 1 ;
        break
        
    end
    
end
        
if diffu==0
    Nsame = Nsame + 1 ;
end


if diffu == 0 && Nsame > NsameLim
    
    err1 = 0;
    E2 = 0 ;
    
end


end


