function [Spatches] = c0917_XbfGPskins (Spatches, Npa, insR)

% RETURNS:
% Spatches with SKINS GP's Xbf's updated to latest anchors position

for pa = 1:1:Npa
    
    udim = Spatches(pa).Udim;
    xdim = Spatches(pa).Xdim;
    
    mA  = Spatches(pa).mRefin(insR).mA;
    nBS = Spatches(pa).mRefin(insR).nBS;
    
    for sk = 1:1:nBS
    
        nGP = Spatches(pa).mRefin(insR).mBskin(sk).nGP;

        for g = 1:1:nGP

            UsInte = 0 ;

            Usingu  = Spatches(pa).mRefin(insR).mBskin(sk).mGP(g).Usingu ;
            gRicpA  = Spatches(pa).mRefin(insR).mBskin(sk).mGP(g).mRicpA ;
            gNicp   = Spatches(pa).mRefin(insR).mBskin(sk).mGP(g).mNicp ;
            dRpa    = Spatches(pa).mRefin(insR).mBskin(sk).mGP(g).dR_pa ;
            dRpaRHS = Spatches(pa).mRefin(insR).mBskin(sk).mGP(g).dR_paRHS ;

            [dRfi, J1, detJ1] = p1211_Xbf (UsInte, Usingu, mA, gRicpA, gNicp, dRpa, dRpaRHS, udim, xdim);

            Spatches(pa).mRefin(insR).mBskin(sk).mGP(g).dR_fi = dRfi;
            Spatches(pa).mRefin(insR).mBskin(sk).mGP(g).J1 = J1;
            Spatches(pa).mRefin(insR).mBskin(sk).mGP(g).dJ1 = detJ1;
        end
    
    end
    
end


end

