function [] = fs0701_example_1 ( )

tolS = 0.5 ;
% tolS = 50 ;

Xtol= 0.01 ;
DUtol = 0.001; 

xdim = 3 ;

% patch features:

Spatches(1,1) = GenPatch;

Ro = 200 ;
Ri = 50 ;
W = 250 ;

T = Ro-Ri ;


 pP = [0 0 0 ; 0 0 Ro ; Ro 0 Ro ;
      0 W 0 ; 0 W Ro ; Ro W Ro ;
      T 0 0 ; T 0 T  ; Ro 0 T ;
      T W 0 ; T W T  ; Ro W T ];

 pDegree= [1 1 2];
 pNcp= [2 2 3];
 pKnotV= [ 0 0 1 1 0 0 ; 0 0 1 1 0 0 ; 0 0 0 1 1 1 ];
 pUsize= [4 4 6];
 pw = [1 0.707 1 1 0.707 1  1 0.707 1 1 0.707 1];
 pCD = [ 0 0 0 ];

[pEw,pEP] = GEN_12_ExpandBw (pw, pP, 3, 3, pNcp);

pULims = [0 1 ; 0 1 ; 0 1 ]; 

Spatches(1,1).mRefin(1) = GenInstance ;

pR = 1 ;

Spatches(pR,1).mRefin(1).mDegree = pDegree;
Spatches(pR,1).mRefin(1).mNcp = pNcp;
Spatches(pR,1).mRefin(1).mKnotV = pKnotV;
Spatches(pR,1).mRefin(1).mUsize = pUsize;
Spatches(pR,1).mRefin(1).mw = pw;

Spatches(pR,1).mRefin(1).mP = pP ;


% skin features:

Nbe = 1 ;
Eskin(Nbe,1) = GenSkinBE ;

NV = 5 ;

TVcon = [ 1 2 5 ; 2 3 5 ; 3 4 5 ; 4 1 5 ];
LVcon = [ 4 1 ; 1 2 ; 2 3 ; 3 4 ; 1 5 ; 2 5 ; 3 5 ; 4 5 ]; 
TLcon = [ 2 6 5 ; 3 7 6 ; 4 8 7 ; 1 5 8];

Eskin(1,1).mNV = NV ;
Eskin(1,1).mNE = 4 ;

Eskin(1,1).mTVcon = TVcon; 
Eskin(1,1).mLVcon = LVcon; 
Eskin(1,1).mTLcon = TLcon;
    
NLI = size(LVcon,1);

Eskin(1,1).mNlv = 4 ;
 

eDegree = [2 2];
eNcp =  [3 3];
eKnotV = [0 0 0 1 1 1 ; 0 0 0 1 1 1 ]; 
eUsize = [6 6];
ew = ones(1,9);

Eskin(1,1).mDegree = eDegree;
Eskin(1,1).mNcp = eNcp;
Eskin(1,1).mKnotV = eKnotV; 
Eskin(1,1).mUsize = eUsize;
Eskin(1,1).mw = ew;
Eskin(1,1).mCS = [0 0];


eP = [40 W/2 30 ;  40 W/2 100 ; 40 W/2+70 100 ;
      70 W/2 30 ; 140 W/2 100 ;140 W/2+70 100 ;
      70 W/2 0 ;  140 W/2 0   ;140 W/2+70 0 ];
[Eew,EeP] = GEN_12_ExpandBw (ew, eP,3, 2, [3 3]);
 
Eskin(1,1).mP = eP;


uc = [0.5 0.5];
xc = b2601_BNURBS_Xcoord (uc, eKnotV, eNcp,eDegree,eUsize, Eew,EeP, 2,xdim);
xc = xc';

Xv = [eP(7,:) ; eP(9,:); eP(3,:) ; eP(1,:); xc(1,:)];
Eskin(1,1).mXv = Xv;

[Uv] = s2831b_PPsurf (Xv, NV, eDegree, eNcp, eKnotV, eUsize, eP, ew, [0 0], xdim, Xtol, DUtol);
Eskin(1,1).mUv = Uv ;

[Av] = v2861b_PPvol (Xv, NV, pDegree, pNcp, pKnotV, pUsize, pP, pw, pCD, xdim, Xtol, DUtol);
Eskin(1,1).mAv = Av ;

Rv = [-10 -10 ; 10 -10 ; 10 10 ; -10 10 ; 0 0 ];
Eskin(1,1).mRv = Rv ;

Eskin(1,1).mPa = 1 ;


%{

fr1 = 1 ;
fr2 = 2 ;

lrF = 1;
vrF = 1;
erF = 0;

dim = 3 ;

tm1305_plotMesh_nD(Xv, NLI, LVcon, TVcon, dim, fr1, 'r', 0, NV, 0, 0, 0, 0, 0, 0, lrF, vrF, erF);
tm1305_plotMesh_nD(Av, NLI, LVcon, TVcon, dim, fr2, 'r', 0, NV, 0, 0, 0, 0, 0, 0, lrF, vrF, erF);

%}

% curves:

TNcu = 4 ;

agCurv = ts3313_EdgesContours (eNcp, eDegree, eUsize, eP,ew, eKnotV);



%{
for i = 1:1:4
    
    agCurv(i,1).Degree = 2;
    agCurv(i,1).Ncp = 3 ;
    agCurv(i,1).KnotV = [ 0 0 0 1 1 1 ];
    agCurv(i,1).w = [1 1 1 ] ;
    agCurv(i,1).CD = 0 ;
    
end

for di = 1:1:3
    
    agCurv(1,1).P(1,di) = eP(7,di);
    agCurv(1,1).P(2,di) = eP(8,di);
    agCurv(1,1).P(3,di) = eP(9,di);
    
   	agCurv(2,1).P(1,di) = eP(9,di);
    agCurv(2,1).P(2,di) = eP(6,di);
    agCurv(2,1).P(3,di) = eP(3,di);
    
   	agCurv(3,1).P(1,di) = eP(3,di);
    agCurv(3,1).P(2,di) = eP(2,di);
    agCurv(3,1).P(3,di) = eP(1,di);
    
   	agCurv(4,1).P(1,di) = eP(1,di);
    agCurv(4,1).P(2,di) = eP(4,di);
    agCurv(4,1).P(3,di) = eP(7,di);
    
end

%}

Ncv = [2 2 2 2]';

for i = 1:1:4
    cLUv(i,1) = 0 ;
    cLUv(i,2) = 1 ;
end

for di = 1:1:3
    
    cLXv(1,1,di) = eP(1,di);
    cLXv(1,2,di) = eP(7,di);
    
  	cLXv(2,1,di) = eP(7,di);
    cLXv(2,2,di) = eP(9,di);
    
    cLXv(3,1,di) = eP(9,di);
    cLXv(3,2,di) = eP(3,di);
    
   	cLXv(4,1,di) = eP(3,di);
    cLXv(4,2,di) = eP(1,di);
end

ncu = 4 ;
nlo = 1 ;

SCcon = zeros(1,1,4);

SCcon(1,1,1) = 1;
SCcon(1,1,2) = 2;
SCcon(1,1,3) = 3;
SCcon(1,1,4) = 4;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% prints domain and surface

%{

for u = 0:1:1
for v = 0:1:1
    
    x = zeros(1,3);
    c = 0 ;
    for w = 0:0.1:1
        
        c = c + 1 ;
        xc = b2601_BNURBS_Xcoord ([u v w], pKnotV, pNcp, pDegree, pUsize, pEw, pEP, 3, xdim);
        x(c,:) = xc(:,1);
    end
    figure(55)
    plot3( x(:,1),  x(:,2),  x(:,3), 'r'); hold on
    axis equal
end
end

for u = 0:1:1
for w = 0:1:1
    
    x = zeros(1,3);
    c = 0 ;
    for v = 0:0.1:1
        
        c = c + 1 ;
        xc = b2601_BNURBS_Xcoord ([u v w], pKnotV, pNcp, pDegree, pUsize, pEw, pEP, 3, xdim);
        x(c,:) = xc(:,1);
    end
    figure(55)
    plot3( x(:,1),  x(:,2),  x(:,3), 'r'); hold on
    axis equal
end
end

for v = 0:1:1
for w = 0:1:1
    
    x = zeros(1,3);
    c = 0 ;
    for u = 0:0.1:1
        
        c = c + 1 ;
        xc = b2601_BNURBS_Xcoord ([u v w], pKnotV, pNcp, pDegree, pUsize, pEw, pEP, 3, xdim);
        x(c,:) = xc(:,1);
    end
    figure(55)
    plot3( x(:,1),  x(:,2),  x(:,3), 'r'); hold on
    axis equal
end
end

Sx = zeros(1,1,3);
i = 0 ;
for u = 0:0.1:1
    i = i+1;
    j = 0 ;
    for v = 0:0.1:1
        j = j+1;
        xc = b2601_BNURBS_Xcoord ([u v], eKnotV, eNcp, eDegree, eUsize, Eew, EeP, 2, xdim);
        Sx(i,j,:) = xc(:,1);
        
        [ac, ~] = v2865b_onePoint ...
       	(xc, [0.5 0.5 0], pDegree, pNcp, pKnotV, pUsize, pP ,pw, pEP ,pEw, pCD, pULims, xdim, Xtol, DUtol);

    
        Sa(i,j,:) = ac(1,:);
        
    end
end

for i = 1:1:11
    figure(55)
    plot3( Sx(i,:,1), Sx(i,:,2), Sx(i,:,3),'k'); hold on
    axis equal
   	figure(56)
    plot3( Sa(i,:,1), Sa(i,:,2), Sa(i,:,3),'k'); hold on
    axis equal
end

for j = 1:1:11
    figure(55)
    plot3( Sx(:,j,1), Sx(:,j,2), Sx(:,j,3),'k'); hold on
    axis equal
 	figure(56)
    plot3( Sa(:,j,1), Sa(:,j,2), Sa(:,j,3),'k'); hold on
    axis equal
end



A = [ 0 0 0 ; 0 0 1 ; 0 1 1 ; 0 1 0 ; 0 0 0 ; ...
      1 0 0 ; 1 0 1 ; 1 1 1 ; 1 1 0 ; 1 0 0 ; ...
      1 0 1 ; 0 0 1 ; 1 0 1 ; 1 1 1 ; 0 1 1 ; 1 1 1 ; 1 1 0 ; 0 1 0 ];
figure(56)
plot3( A(:,1), A(:,2), A(:,3),'r'); hold on
axis equal

%}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% calls function:

[rEskin, Ncv, cLUv, cLXv] = fs0700_fit2surf...
    (Spatches, Eskin, Nbe, agCurv, tolS, Xtol, DUtol, TNcu, Ncv, cLUv, cLXv, ncu, nlo, SCcon);


end

