function [Ai] = fs0746_Cdi ...
    (pDegree, pNcp, pKnotV, pUsize, pP, pw, pCD, cKnotV, cNcp, cDegree, cw, cP, cULims, Umid, h, xdim, Xtol, DUtol)

% RETURNS:
% Ai(4,pudim): Points to estimate 3rd derivative in curves

nd = 6 ;

% 1.- PARAM. COORDINATES:

[ui] = fs0702_sampleP3d (Umid, h, nd, cULims);



% 2.- COMPUTES PHYSICAL COORDIANTES: mapping

xi = zeros(4,xdim);

for i = 1:1:4

    [X] = b2601_BNURBS_Xcoord (ui(i), cKnotV, cNcp, cDegree, cNcp+cDegree+1, cw,cP, 1, xdim);
    xi(i,:) = X(:,1);
    
end



% 3.- COMPUTES PATCH PARAM. SPACE COORDINATES: point projection

[Ai] = v2861b_PPvol (xi, 4, pDegree, pNcp, pKnotV, pUsize, pP, pw, pCD, xdim, Xtol, DUtol);



end

