function [DoF, PatchPos] = c0901_DoF (Spatches, Npa, insR)

% RETURNS:
% DoF:      Total No. DoF of the structure
% PatchPos:	1st position of each patch in K

DoF = 0 ;
PatchPos = zeros(Npa,1);

for pa = 1:1:Npa
    
    xdim = Spatches(pa).Xdim;
    
    noAcp = Spatches(pa).mRefin(insR).mNAon ;
    
    PatchPos(pa) = DoF+1;
    DoF = DoF + noAcp*xdim ;
    
end


end

