function [connT, THC, NVm, Eiem, Nve] = th1380_tSc (NE, connT, THC, NVm, Eiem, Nve)

pudim = 3 ;


% 1.- CONN. MATRICES EXCLUSIVELY FOR THE SIDES:

[connS, NSI, Siem] = th1381_connS (NE, connT) ;

NVm

% 2.- SIDES FEATURES INCLUDING SAMPLE POINTS A-coords:

[SIF] = th1382_SIF (THC, connS, NSI, Siem);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%{
for i = NSI:1:NSI

    sc = 0.3 ; % scale for derivatives
    
    siR = i ;

    Nc = SIF(siR).mNc ;

    anod = SIF(siR).mAsp(1:Nc,:);
    iem = SIF(siR).miem;

    st    = 0.1 ;
    fr    = 25 ;
    nodON = 1 ;

    pt1372_pTri_iem (anod, iem, st, fr, 'k', nodON, pudim);


    [a, J2, dJ2] = mp1352_TRImapp ([0 0], anod, 2, pudim, iem);

    br = sc * J2(:,1) ;
    bs = sc * J2(:,2) ;

    quiver3(a(1),a(2),a(3), br(1),br(2),br(3), 0, 'r'); hold on
    quiver3(a(1),a(2),a(3), bs(1),bs(2),bs(3), 0, 'r'); hold on
    
    [a, J2, dJ2] = mp1352_TRImapp ([0.3 0.3], anod, 2, pudim, iem);

    br = sc * J2(:,1) ;
    bs = sc * J2(:,2) ;

    quiver3(a(1),a(2),a(3), br(1),br(2),br(3), 0, 'r'); hold on
    quiver3(a(1),a(2),a(3), bs(1),bs(2),bs(3), 0, 'r'); hold on
    
    
    %scatter3( SIF(siR).mAsp(:,1),  SIF(siR).mAsp(:,2), SIF(siR).mAsp(:,3),'b'); hold on

end
%}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% 3.- FINDS INTERSECTING SIDES TO CORRECT THEM:

Tiem = zeros(4,4);

for e = 1:1:NE
    
    Tiem(:,:) = Eiem(e,:,:);
    
    if max(max(Tiem)) > 0 % only for non-linear tets
    
        for s1 = 1:1:4

            r1 = connT.ES(e,s1);

            for s2 = s1+1:1:4

                r2 = connT.ES(e,s2);
                itF = th1383_sidesPos (r1, r2, SIF); % returns intersection flag
                
                if itF==1
               	break
                end
            end
            
            if itF==1
           	break
            end
        end

        if itF==1
     	break
        end
    end
end




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Nr = 4 ;

r = zeros(1,Nr);

r(1,:) = [ connT.ES(e,:) ] ;

r = [r1 r2];

r


for i = 1:1:Nr
    
    siR = r(i) ;

    Nc = SIF(siR).mNc ;

    anod = SIF(siR).mAsp(1:Nc,:);
    iem = SIF(siR).miem;

    st    = 0.1 ;
    fr    = 25 ;
    nodON = 1 ;

    pt1372_pTri_iem (anod, iem, st, fr, 'k', nodON, pudim);

end
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
if jj==0
end



end

