function [NE, connT] = li1630_Locimpr (contaSL, aeR2, NE, connT, MLT, THC, nd)

% RETURNS:
% NE, EVcon: updated to consider improvement 
% Improvement might not happen.

pudim = 3 ;
NV = size(THC.Av,1);

% 1.- DETECTS BANNED LINES:
% (that must stay as they are since they are coincident with MLT lines):

% 1.1.- Involved lines of the tets:

Ne = size(aeR2,1);

iLR = zeros(1,1);
conta = 0 ;

for e = 1:1:Ne
    
    eR = aeR2(e,1);
    
    for i = 1:1:6
        conta = conta + 1 ;
        iLR(conta,1) = connT.EL(eR,i);
    end
end

[iLR,~] = GEN_16_RemoveRepeatedRows (iLR, 1, 0.1);

NL = size(iLR,1);


% 1.2.- Detects banned lines:

bnF = zeros(NL,1); % banned line flag

a1 = zeros(pudim,1);
a2 = zeros(pudim,1);

b1 = zeros(pudim,1);
b2 = zeros(pudim,1);

for L1 = 1:1:MLT.tNL
    
    a1(:,1) = MLT.tAv(MLT.tLVcon(L1,1),:);
    a2(:,1) = MLT.tAv(MLT.tLVcon(L1,2),:);
    
    for L2 = 1:1:NL
        
        r = iLR(L2);
        
        b1(:,1) = THC.Av( connT.LV(r,1),:);
        b2(:,1) = THC.Av( connT.LV(r,2),:);
        
        CO11 = go2542_coincidentP (a1, b1, pudim, nd);
        CO22 = go2542_coincidentP (a2, b2, pudim, nd);
        
        if CO11 == 1 && CO22 == 1
            bnF(r,1) = 1 ;
            break
        end
        
      	CO12 = go2542_coincidentP (a1, b2, pudim, nd);
        CO21 = go2542_coincidentP (a2, b1, pudim, nd);
        
        if CO12 == 1 && CO21 == 1
            bnF(r,1) = 1 ;
            break
        end
    end
end



% 2.- DOUBLE-CAP CHECK:

for k = 1:1:NL
if bnF(k,1) == 0  
    
    % attached elements to the line 'k':
    
    LR = iLR(k,1);
    
    aeR = zeros(1,1);
    conta = 0;
    for e = 1:1:size(connT.LE,2)
        
        eR = connT.LE(LR,e);
        
        if eR > 0
            conta = conta + 1 ;
            aeR(conta,1) = eR;
        end
    end
    


    
    % double-cap check:
    
    [EVcon, chF] = li1633_DouCap (contaSL, aeR, connT, THC.Av);
    

    if chF == 1

        oconnT = connT;
        connT = th1333_OtherConnLin (NE, NV, EVcon);
        
        %{
        contaSL
        k
        
        for e = 1:1:4
        
            eR = aeR(e,1);
            
            pt1373_pTetConn (eR, oconnT, THC.Av, k, 'r', 0.4, 1.1, 0, 0); hold on
            pt1373_pTetConn (eR,  connT, THC.Av, 100+k, 'r', 0.4, 1.1, 0, 0); hold on
            
            pm0650_plotMLT (MLT, k, 'k', 1.2, 0, 0, 0, 0, 0, 0, 0, 0)
            pm0650_plotMLT (MLT, 100+k, 'k', 1.2, 0, 0, 0, 0, 0, 0, 0, 0)
        end
        
        for e = 1:1:size(aeR2,1)
            
            eR = aeR2(e,1);
            
            pt1373_pTetConn (eR, oconnT, THC.Av, 200+k, 'r', 0.4, 1.1, 0, 0); hold on
            pt1373_pTetConn (eR,  connT, THC.Av, 300+k, 'r', 0.4, 1.1, 0, 0); hold on
            
            pm0650_plotMLT (MLT, 200+k, 'k', 1.2, 0, 0, 0, 0, 0, 0, 0, 0)
            pm0650_plotMLT (MLT, 300+k, 'k', 1.2, 0, 0, 0, 0, 0, 0, 0, 0)
            
        end
        
        
        %}
        
        break
    end

    
    
    
end  
end



end

