function [N, clR] = ts1601b_FindsN_DEL (isi, ILn, connS, connT, THC)

N = zeros(1,2);

Ns = size(isi,1);


% X.- REFS OF ONE COMMON LINE BTWN SIDES:

clR = 0;

sR1 = isi(1,1).R;

for s = 2:1:Ns

    sR2 = isi(s,1).R;
    
    for k1 = 1:1:3

        r1 = connS.SL(sR1,k1);

        for k2 = 1:1:3

            r2 = connS.SL(sR2,k2);
            if r1==r2
                clR = r1;
                break
            end
        end

        if clR > 0
        break
        end

    end
    
    if clR > 0
  	break
    end

end


% X.- FINDS CLOSEST LOCATION IN MISSING LINE TO clR:

tolP = 0.5 ;

A1 = THC.Av(ILn(1,1),:)';
A2 = THC.Av(ILn(2,1),:)';

B1 = THC.Av(connT.LV(clR,1),:)';
B2 = THC.Av(connT.LV(clR,2),:)';

A0 = (A1 + A2)/2;

[c] = go2549_cPr2r (A0, 0,0, 0,0, A1,A2, B1,B2, tolP);


% X.- COMPUTES SHAPE FUNCTIONS: (N1 TO ILn(1,1))

L = norm(A2-A1);
L1 = norm(c-A1);
L2 = norm(c-A2);

N = [L2/L L1/L];


end

