function [eTHC, MLT] = ts1603_inMLTmidU_DEL (contaL, Spatches, pR, mLR, mn, rTskin, agCurv, csM, MLT, B0, U0, A0, Xtol, DUtol)

% RETURNS:
% eTHC: insertion in MLT at mid-U-location of one line
% MLT:  with new node (eTHC) inserted

% INPUTS:
% mn(2): nodes of the line to insert, refs of MLT


% 1.- COMPUTES THE NODE AT U-MID:
   
[eTHC] = ts1614_inU0 (contaL, Spatches, pR, rTskin, agCurv, csM, MLT, B0, U0, A0, Xtol, DUtol);


% 2.- UPDATES MLT:

[MLT] = ts1603b_ (contaL, eTHC, Spatches, pR, mLR, MLT);



end

