function [Nte, teR] = ts1611_invTets (ILn, Av, isi, connS, connT)

% RETURNS:
% Nte:              No. tets intersected by the missing line
% teR(Nte,1):       ascendently ordered intersected tets


pudim = 3 ;

Nte = 0;
teR = zeros(1,1);

Nsi = size(isi,1);

for s = 1:1:Nsi
    
    sR = isi(s,1).R;
    
    for i = 1:1:2
        Nte = Nte + 1 ;
        teR(Nte,1) = connS.SE(sR,i);
    end
    
end

[teR,~] = GEN_16_RemoveRepeatedRows (teR, 1, 0.1);

Nte = size(teR,1);








end

