function [connT, THC, MLT] = de3500_remDT (Rthr, Ep, eR, connT, THC, MLT, Spatches, pR, rTskin, agCurv, Xtol, DUtol)


% RETURNS:
% updated tets with distorted tets removed

% INPUTS:
% Rthr = 0.05 ;
% Ep = 20 ;
% eR(Ne,1): elems to check

pudim = 3 ;

Tnod = zeros(4,pudim);
Ne = size(eR,1);

for e = 1:1:Ne
        
        for i = 1:1:4
            r = connT.EV(eR(e),i);
            Tnod(i,:) = THC.Av(r,:);
        end
        
        [DT, cf] = de3501_DisTp (eR(e), Tnod, Rthr, Ep, connT, THC);
        
        if DT~="0"
            
            if DT=="NE"
                
            elseif DT=="WE"
                
            elseif DT=="SP"  
              
          	elseif DT=="CA"
                
          	elseif DT=="SL"
                
                [connT, THC, MLT] = ds3561_CorrSL ...
                (eR(e), connT, THC, MLT, cf.gN, cf.gL, cf.CPp, Spatches, pR, rTskin, agCurv, Xtol, DUtol);
  
          	elseif DT=="U"

            end
            
            
        end
       
end


end

