classdef DirichletConditions < Conditions
 
     
properties
    
    mBE; % B.E. to allocate to
    md ; % total prescribed displacements
    Dmd; % increment of displacements for each time step
    
end
    
methods
    
    
    function obj = DirichletConditions()
        % constructor by default 
    end   
    
    
    function AllocatesDisplacements(obj,d,xdim)
        
        % allocates displacements
        
        % d:    displacement vector
        % xdim: No. dimensions in physical space
        
        obj.md = zeros(xdim,1);
        
        obj.md = d ;
        
    end
    
    
    
    
    
end
    
end

