classdef GenGeomPoint < handle
    

    properties
        
        % Coord's:
        mAcoor;     % (pudim) 
        mAcoorS;    % (pudim) , slave patch , for coupling surfaces
        %mIcoor;     % (udim)
        mUcoor;     % (eudim)
        mXcoor;     % (xdim) 
        mXcoor2;    % (xdim) 
        mXcoorF;    % (xdim) 
        mXdisp ;    % (xdim) 

        %mTj;    % indicates if there is T-joint at that anchor (udim)
                % +1:   T-junction, face extension in pos. dir
                % 0:   no T-junction, 'standard' anchor
                % -1:   T-junction, face extension in neg. dir
        
        %mEX;    % 0 / 1 => (not exist)/(already exists) in the prev. mesh
        
        % Inf. anchors:
        mNicp;      %           
        mRicpA;     % (mNicp)   
        
     	mNicpS;      %           
        mRicpAS;     % (mNicp) 
        
        mEr ; % ref's of Telems (elem ref , sub-elem ref)
        
     	% R-elements affected by the point (for t-mesh):
        Nrea ;  % No. R-elems affected by the node
        mRea ;  % R-elems reference
        
        % Points sharing same elements with our point
        nSE; % No. points
        SEr; % Points refernces
        
        mIN; % 1 / 0  for point IN / OUT the trimmed domain
        
        n; % normal vector, pointing out of the domain
        
    end
    
    methods
        
        %{
        % constructor
      	function obj = GenGeomPoint
            
            % constructor:
            obj.mAcoor = 0;     
            obj.mIcoor = 0;      
            obj.mUcoor = 0;      
            obj.mXcoor = 0;       
            obj. mXcoorF = 0;     
            obj.mXdisp  = 0;    

        end
        %}
    end
    
    
    
end

