classdef GenSkin

    
    properties
        
        xdim;
        udim;
        mPa; % patch where the skin belongs to
        
     	% NURBS surface features:
        
        mDegree ;
        mKnotV ;
        mUsize ;
        mNcp ;
        mB ;
        mw ;
        sPL ; % plane surface flag
        sCD ; % closed domain flag
        
        
        % contour loops curves info:
        
        nlo; % No. loops
        ncu; % No. curves per loop
        Rcu; % bCurv ferences per loop
        
        
        
        % SKIN POINTS COORDINATES:
        
        % contour loops points: Ucoord in terms of patch param. space
        nPL;                    % No. points per loop, nPL(nlo)
        mPL = GenPoint ();  % Point of each loop, mPL(nlo, npl)
        
        % All points: include first contour points and then the internals
        nP ;
        mP = GenPoint ();   % mP(nP)
        conM;
        
        % CLu(nlo,nPL,sudim): Contour loop uCoord's in terms of skin param. space
        CLu ;
        
        
        % trimming flag
        
        mTr ; % mTr = 0 => no trimming, otherwise mTr = bEnti ref.
        
        
        % Integration points:
        
        nGP ;
        mGP ;
        
    end
    

    methods
        
    end
    
    
end

