classdef GenStress < handle

       
    properties
        
        % location of point and displacement (un-scaled):
        mUcoor;     % (udim)
        mXcoor;     % (xdim) 
        mXcoorF;    % (xdim)
        mXdisp;     % (xdim) 
        
        mSv;        % stress vector (sx,sy,sz,txy,tyz,tzx)
        
        mVM;        % VonMises stresses
        mPst;       % Ppal. stresses (3,1)
        mPdi;       % Ppal. directions (3,3), each col is one dire.
        
        md;         % damage 
        mD;         % Const. matrix
        mhe;        % element charact. size
        mHse;       % effective softening parameter
        mHs;        % softening parameter
        
        mTE;        % triangular element where the stPo lies
        
        % icp's
        mNicp;
        mRicpA;
        
        % bf's and derivatives:
        Nist;       % Nist (udim,nAN,p+1,p+1)
        Rst;        % Rst(icp)
        dRst_pa;    % dRst_pa (icp,udim)
        dRst_ph;    % dRst_pa (icp,xdim)
        
        
    end
    
    
    
    
    methods
        
        function obj = GenStress()
            % constructor by default 
        end
        
        
        
    end
    
    
    
end

