classdef IntgPoint < handle
    

    properties
        
        % Coord's:
        mAcoor;     % (pudim) 
        mAcoorS;    % (pudim) , slave patch , for coupling surfaces

        mUcoor;     % (eudim)
        mXcoor;     % (xdim) 
        mXcoor2;    % (xdim) 
        mXcoorF;    % (xdim) 
        mXdisp ;    % (xdim) 

        % Inf. anchors:
        mNicp;      %           
        mRicp;     % (mNicp)   
        
     	mNicpS;      %           
        mRicpS;     % (mNicp) 
        
        
        mw;         % weight
        
        % Basis functions & deriv.:
        Nabs;       % (nAN)        
        Rrel;       % (mNicp)
        dR_pa;      % (mNicp, udim)
        dR_fi;      % (mNicp, xdim), for singular points can be LHS, RHS or average
        J1;         % (udim, xdim)
        dJ1;        %
        dJ2;        % (nE) for the elements where it lies
        
      	NabsS;             
        RrelS;      
        dR_paS;     
    	% dJ1S;        
        % dJ2S;        
        
        % for singular points: two J1 and deriv. are stored in param. space
        
        dR_paRHS;      % (mNicp, udim)
        %J1RHS;         % (udim, xdim)
        Usingu;        % (Nicp, udim) indicates where the peak is: -1 / 2 / 1 : start, mid, end. For smooth = 0 
        
        
        % Const. matrix
        mD;
        
        % mTM elements where the point lies in (can be more than one)
        NEg ;  % No. Telems
        GEcon ; % (NEg)T elems ref's
        
        
        % Point variables (scalars and vector) in each iteration and No. iterations:
        nIT  ; % No. iterations
        nVsc ; % No. vbles. - scalars
        nVve ; % No. vbles. - vectors
        mVsc ; % (nVsc, nIT)
        mVve ; % (nVsc, nIT, 6)

     	% Stresses:
        mSv;        % (6,1): sx, sy, sz, txy, tyz, txz
        mVM;        % Von Mises
        mPst;       % (3,1): ppal. stresses
        mPdi;       % (3,3): ppal. directions, each in a column
        
        % internal variables
        mDeet;      % trial increment of strain (all elastic)
        mDee;       % increment of elastic strain
        mDep;       % increment of plastic strain
        ma;         % internal variables
   
    end
    
    methods
        
        %{
        % constructor
      	function obj = GenGeomPoint
            
            % constructor:
            obj.mAcoor = 0;     
            obj.mIcoor = 0;      
            obj.mUcoor = 0;      
            obj.mXcoor = 0;       
            obj. mXcoorF = 0;     
            obj.mXdisp  = 0;    

        end
        %}
    end
    
    
    
end

