function [] = tst85_tetrahedralization ( )

udim = 3 ;

% initial cell lengths:
L = [1 1 1] ;


D = 1.8; % No. GP's per cube in each direction
    

    
% No. required Gps 'pe' and step:

pe = [ 5 6 3 ];

nta = zeros(udim,1); % No. triangles to add
stp = zeros(udim,1); % step lenght

for di = 1:1:udim
    nta(di) = round ((pe(di)-(D/2))/(D/2)) ;
    stp(di) = 2*L(di)/(nta(di)+1);
end

nta
stp

TOTAL = prod(pe);

mpe = max(pe);
mdi = 0 ;
pdi = zeros(2,1); % perp. directions to marked diretion

for di = 1:1:udim
    
    if mpe==pe(di)
        
        mdi = di ;
        break
    end
    
end

conta = 0 ;
for di = 1:1:udim
            
    if di~=mdi
        conta = conta + 1;
        pdi(conta,1) = di ;
    end
end

% adds nodes as complete cubes:

ptt = zeros(udim,1);
nca = zeros(udim,1); % No. cubes to add
for di = 1:1:udim
    
    u = 0 ;
    
    if di~=mdi

        nca(di,1) = round ((pe(di)-(D))/(D));
        for a = 1:1:nca(di)
            
            u = u + stp(di);
            
            ptt(di,a) = u ;

        end
    end
end

ptt = [zeros(3,1) ptt zeros(3,1)];

for di=1:1:3
    
    ptt(di,nca(di)+2) = 1 ;
    
end

% add nodes to the marked refined direction:



Tv = zeros(1,udim);
conta = 0 ;

st = 1/(nta(mdi)-2);

nr = nca(pdi(1))+2; % No. rows
nc = nca(pdi(2))+2; % No. cols

if mod(nc,2)==0 % alternating flag at start of each row
    asF = 1 ;
else
    asF = 0 ;
end

N = nta(mdi)-2 ;

for i = 1:1:nr


    if asF==1 && mod(i,2)==0
        x = 1;
    else
        x = 0 ;
    end
    
    for j = 1:1:nc

        % offset flag:
        oF = 0;
        if mod(j,2)==x
            oF = 1 ;
        end
        
        % initial point:
        conta = conta + 1 ;
        Tv(conta,pdi(1)) = ptt(pdi(1),i);
    	Tv(conta,pdi(2)) = ptt(pdi(2),j); 
        Tv(conta,mdi) = 0; 
        
        % rest of the points:
        acc = 0 ;
        for k = 1:1:N
            
            conta = conta + 1 ;

            Tv(conta,pdi(1)) = ptt(pdi(1),i);
            Tv(conta,pdi(2)) = ptt(pdi(2),j); 
            
            acc = acc +st ; 
            Tv(conta,mdi) = acc; 
            
            % applies offset
            if oF == 1
                Tv(conta,mdi) = acc-st/2; 
            end
        end
  
        % final point for offset lines
        if oF==1
            conta = conta + 1 ;
            Tv(conta,pdi(1)) = ptt(pdi(1),i);
            Tv(conta,pdi(2)) = ptt(pdi(2),j); 
            Tv(conta,mdi) = 1;
        end
        
        % ensures last point = 1
        Tv(conta,mdi) = 1;
        
    end
    
end




DT = delaunayTriangulation(Tv);

EVcon  = DT.ConnectivityList; % conn. matrix element => vertex
NE     = size(EVcon,1);      % No. elements


fr = 1 ;
unod = zeros(4,3);
dim = 3 ;

for e = 1:1:NE
    
    for i = 1:1:4
        unod(i,:) = Tv(EVcon(e,i),:);
    end
    pt1362_pTet (unod, dim, fr, 'k');
end


TOTAL
NE

end

